===== Dos Navigator Что нового?..  =========================================

  [!] Коротко о главном
  [+] Новое
  [-] Ошибка исправлена
  [*] Ошибка исправлена и/или изменено к лучшему


   Версия 6.4.0
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] В DPMI-версии используется исправленный extender (DPMI16BI.OVL).
    Он улучшает стабильность работы в MS-DOS 7.1 при использовании режима
    EMM386.EXE NOEMS, а также при работе совместно с драйвером NTFSDOS
    Professional Edition v4.x и v5.x (ntfspro.exe).

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлены ошибки в работе с INI-файлом.

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Команда "Разрезать/склеить" иногда делала копирование вместо склеивания.

[-] Исправлено позиционирование курсора при выходе из каталога после
    выполнения команды CD.

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлено определение MS hotfix (CAB-SFX с цифровой подписью).

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Из таблицы символов в строки ввода не вводились символы с кодами
    менее $20 (пробел).

[*] Для ввода символа из таблицы символов без ее завершения к старой
    комбинации Ctrl-Enter добавлена новая горячая клавиша (пробел).

[*] Добавлена подсказка в строке статуса для таблицы символов.

[-] Исправлено определение размера HDD в системной информации.

    >>> Особенности использования исходных текстов <<<<<<<<<<<<<<<<<<<<

[*] Внутренние оптимизации: уменьшен размер сегмента данных.


   Версия 5.9.0
  ---------------------------------------------------------------------

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлена запись настроек в файл dn.ini. Теперь ДН не будет падать
    при попытке стартовать с CD под MS-DOS.

[*] Hастpойка кодиpовки по умолчанию в dn.ini тепеpь pазделена для pедактоpа
    и просмотра. Паpаметp DefCodePage тепеpь действует только на pедактоp,
    а для просмотра введён отдельный паpаметp DefCodePageView.

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Теперь ДН не будет падать при попытке считать описания для файлов, когда
    файл descript.ion не является файлом описаний.

[-] Исправлена ошибка, возникавшая при поиске файлов по маске вида "DIR\*.*"
    (если "DIR" находится не в корне текущего каталога, а глубже).

[*] При смене диска по Ctrl-Left/Right на тот же самый сохраняется позиция
    курсора.

[*] При попытке переименования или удаления недоступных файлов выдается
    соответствующий диалог с возможностью пропустить файлы или отменить
    операцию.

[-] Исправлена ошибка, связанная с изменением размеров панели при включённых
    опциях "[X] Свободное место" и "[X] Показывать описание".

[-] Исправлена ошибка при обработке истории команд и файла dn.ext.

[-] Нельзя было отключить изменение описаний при переименовании файла.
    Теперь описания корректируются при переименовании только если включено
    "Всегда копировать описания".

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] В редакторе после удаления не последней строки (Ctrl-Y) курсор не меняет
    своего положения по горизонтали.

[*] В редакторе при передвижении блока курсор переходит в начало выделения.

[*] Дополнена русская справка редактора.

[+] В редакторе по Ctrl-E возможен переход обратно после Ctrl-PgUp/Dn,
    Home/End, поиска и перехода на маркер.

[*] В редакторе добавлены стандартные клавиатурные комбинации для работы
    с блоками:
    Ctrl-X - синоним Shift-Del
    Ctrl-C - синоним Ctrl-Ins
    Ctrl-V - синоним Shift-Ins
    Ctrl-D - синоним Ctrl-Del

[-] Исправлена утечка памяти при автоопределении кодовой таблицы в программе
    просмотра.

[-] Поиск многобайтовых последовательностей в HEX-режиме.

[-] Если в редакторе искать в обратном направлении один символ с включенной
    опцией "Поиск отдельных слов", и на пути поиска есть искомый символ, но
    не являющийся отдельным словом, то поиск зацикливается.

[-] Исправлена ошибка, связанная с обработкой истории просмотра для файлов,
    в конец которых была дописана некоторая информация со времени последнего
    просмотра.

[-] Исправлено отложенное сохранение изменений в HEX-режиме для относительно
    больших файлов.

[-] В просмотре некорректно происходила прокрутка по PgUp при смене буфера
    чтения.

[*] Теперь, если размер файла уменьшился с предыдущего просмотра, и позиция
    просмотра оказалась за концом файла, то она будет установлена на конец
    файла (как по Ctrl-PgDn), а не на начало.

[*] Теперь при нажатии Ctrl-PgDn в программе просмотра нижний край экрана
    будет опускаться на строчку ниже конца текста.

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] DN не показывал содержимое некоторых архивов.

[*] Собственная история для поля "Запаковать в" в диалоге архивации.

[*] Улучшено и значительно ускорено распознавание SFX.

[-] Архивы не заносились в историю каталогов при переходе на них по Tab.

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Определение размера HDD для 3-го и 4-го дисков.

[-] Окна калькулятора и тетриса становились недоступными, если после их
    открытия выбрать пункт меню "Запомнить состояние".

[+] Языковые ресурсы переведены на польский язык.

    >>> Особенности использования исходных текстов <<<<<<<<<<<<<<<<<<<<

[*] Исходные тексты очищены от неиспользуемых переменных/меток/констант.
    Произведена сортировка переменных с учетом компилятора BP.

[!] Async Pro library включена в состав исходных текстов.


   Версия 4.9.0
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] При создании директории под управлением Windows NT/2000/XP курсор не
    становился на новую директорию, если в ее имени были пробелы.

[-] Теперь ДН корректно работает под Windows XP с дисками, подключенными
    командой subst.

[*] Повышена совместимость CD-плейера с Windows NT/2000/XP. Теперь возможно
    пользоваться кнопками переключения мелодий в главном окне (< и >). При
    попытке задействовать функции, которые не поддерживаются в этих системах,
    выдается соответствующее предупреждение.

[*] Добавлен новый параметр AutoDisableSecondsWNT в секции [Clock] файла
    dn.ini, позволяющий автоматически отключать отображение секунд во
    встроенных в ДН часах при работе под Windows NT/2000/XP.

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Добавлен новый параметр BlinkSeparator в секции [Clock] файла dn.ini,
    позволяющий включать/выключать мигание разделителя часов при выключенных
    секундах. При использовании параметра AutoDisableSecondsWNT игнорируется.

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь ДН может сравнивать подкаталоги.

[+] Теперь ДН может копировать файлы из одного архива в другой, используя
    временный каталог (несовместимо с WinNT: не удаляются временные файлы).

[+] Теперь элементы списка каталогов быстрого доступа можно менять местами
    (Shift-Up/Down).

[-] Помощь для окна вывода (Alt-F5) показывается корректно.

[-] Исправлено аварийное завершение ДН при попытке Быстрого Поиска файлов
    на пустой панели.

[-] Теперь ДН будет менять диск по нажатию Ctrl+LeftArrow более корректно.

[-] Текущий каталог на диске, где находится временный каталог, после операций
    просмотра файлов в архивах не изменяется на временный.

[-] Теперь ДН будет менять текущий язык, используя новый алгоритм.

[-] После максимизации окна файлового менеджера невозможно было вернуть его
    первоначальный размер.

[-] После изменения каталогов быстрого доступа в диалоговом режиме не
    восстанавливался заголовок окна ДН.

[-] Теперь ДН будет корректно обрабатывать параметры командной строки,
    заключенные в кавычки.

[-] Теперь ДН корректно устанавливает позицию курсора после удаления
    выделенных файлов. Если курсор перед удалением находился на отмеченном
    файле, то после удаления курсор будет установлен на следующий файл после
    отмеченных файлов.

[*] Улучшен интерфейс операции "Сравнение каталогов".

[*] Теперь информация о свободной памяти, которая показывается при нажатии
    клавиши Shift, доступна и в том случае, если часы отключены.

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь при установке закладки в программе просмотра или редакторе
    выводится диалог, требующий подтверждения, если закладка с этим же
    номером уже была установлена.

[-] Теперь ДН снова будет принимать символ @ в формулах WKZ. Исправлена
    ошибка при работе функций с несколькими параметрами, приводившая к
    невозможности использовать в качестве параметров выражения со скобками.

[-] Теперь ДН будет смотреть временные файлы корректно.

[-] В редакторе при поиске вперед в вертикальном блоке ДН делал поиск
    в мусоре для коротких строк, которые заканчиваются левее левого края
    выделенной области. Для пустых строк это приводило к аварийному
    завершению ДН. Для непустых строк это иногда могло приводить к ложному
    успеху поиска.

[-] Исправлено аварийное завершение работы при просмотре файла в архиве из
    истории.

[-] Исправлена ошибка, из-за которой файлы без расширения не попадали в
    историю просмотра.

[-] Теперь ДН подсвечивает текст в редакторе корректно.

[-] ДН аварийно завершал работу при попытке выполнить операцию "Быстрый
    Просмотр", если опция DefCodePage в dn.ini имела значение Auto.

[-] Исправлена ошибка в обратном поиске, а также выправлено использование
    поиска в редакторе и просмотре. Теперь поиск вперед и назад, а также
    любое их чередование работают правильно.

[*] В редакторе при поиске в выделении перед собственно поиском сначала
    просматривались и игнорировались все строки от точки начала поиска до
    соответствующего конца выделенной области.

[*] Теперь сохраняется позиция просмотра для файлов в архивах.

[*] Теперь комбинации Ctrl-NumPad4/NumPad6 в редакторе сдвигают блок только
    при выключенном режиме NumLock.

    >>> Просмотр баз данных <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Было невозможно просмотреть поле memo в файлах dbf, если в dn.ini
    опция DefCodePage имела значение Auto.

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] В настройки архиваторов добавлена опция "Передавать имена каталогов".
    Если она включена, то имена каталогов будут передаваться архиватору
    наравне с именами файлов.

[+] Распознавание формата LHA .COM SFX.

[+] Поддержка архиватора 7-Zip.

[-] Теперь ДН будет удалять каталоги из архивов более корректно.

[-] Имена файлов "./path/filename" обрабатываются в архивах правильно.

[*] Ликвидирована опция "Своп при работе". Теперь перед запуском любых
    архиваторов ДН выгружается из памяти.

[*] Для просмотра файлов из архива не используется временный пакетный файл.

[*] Распознавание формата CAB-SFX.

    >>> Калькулятор <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Снова переписан и оптимизирован код калькулятора. Теперь, если выражение
    некорректно, при нажатии Enter курсор устанавливается на место ошибки.
    Если пропущен аргумент функции, выводится ее название.

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь в телефонной книжке поиск осуществляется не только по имени и
    телефону, но и по заметкам.

[-] Теперь переключение языка при открытом CD-плейере влияет и на его окно.

[-] Если CD-плейер не имеет возможности получить информацию об Audio CD, ДН
    не завершается аварийно, а выводит предупреждение.

[-] Изменение заголовка окна ДН реализовано более корректно.

[-] Распаковщик образов дискет и UU-раскодировщик устанавливали неверные дату
    и время файлов в некоторых случаях.

[*] Улучшен интерфейс CD-плейера.

[*] Расширение временных пакетных файлов выбирается в зависимости от
    операционной системы: CMD для WinNT и OS/2, BAT для DOS и Win9x.

    >>> Особенности использования исходных текстов <<<<<<<<<<<<<<<<<<<<

[!] Совместимость с Virtual Pascal.

[+] Реализован условный параметр {$DEFINE MICRO}.

[-] Теперь ДН будет компилироваться в версии BANK.

[*] Модуль RegAll переписан: счетчик NumRElms больше не используется.



   Версия 3.7.0
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Если невозможно удалить файл с длинным именем, то ДН пробует удалить файл
    по его короткому имени (Eugeny Zvyagintzev).

[*] Функция 'Показывать имя тома/сервера для сетевых дисков' теперь работает и
    с сетевыми клиентами Novell (Max Vasilyev).

[*] При работе с \\server\share\ под WinNT установлена искусственная граница
    свободного места в 2Gb вместо прежнего нулевого уровня (Max Vasilyev).

[-] Исправлено определение типа диска (Max Vasilyev).

[-] Убрано перечитывание текущего диска после показа меню выбора диска
    (Eugeny Zvyagintzev).

[-] Перезапись файлов под Windows XP на Novell Netware дисках происходит более
    корректно (Eugeny Zvyagintzev).

[-] Более корректная работа при копировании и показе размера файлов общим
    размером более 2Гб (Eugeny Zvyagintzev).

[-] Исправлено неработавшее Быстрое Переименование файлов на сетевых дисках,
    подключенных через команду CD (Eugeny Zvyagintzev).

[-] Выполнение команды CD на сетевых дисках происходит более корректно
    (Eugeny Zvyagintzev).

[-] Перечитывание информации о файле происходит более корректно
    (Eugeny Zvyagintzev).

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Изменен интерфейс настройки для внешнего вида панели и настройки внешнего
    вида для новой панели. Добавлена возможность более гибкой настройки показа
    выделенных файлов и длинного имени файла на разделителе и в панели
    информации (Eugeny Zvyagintzev).

[!] Настройка dn.ini ShowLongName (секция [FilePanels]) перенесена в настройки
    панелей (Jaroslaw Osadtchiy, Max Vasilyev).

[!] Внимание! Изменилось использование переменной dn.ini ShowLongName (секция
    [FilePanels]) (Eugeny Zvyagintzev):
    ShowLongName = 0 - не показывать LFN;
    ShowLongName = 1 - показывать LFN, если оно не равно короткому имени
                       файла без учета регистра имен;
    ShowLongName = 2 - показывать LFN, если оно не равно короткому имени
                       файла с учетом регистра имен;
    ShowLongName = 3 - LFN будет показываться во всех случаях.

[+] Добавлены новые переменные в dn.ini (секция [FilePanels])
    (Eugeny Zvyagintzev):
    AlignLFNInBottom = 0 - выравнивание LFN по центру;
    AlignLFNInBottom = 1 - выравнивание LFN слева;
    AlignLFNInBottom = 2 - выравнивание LFN справа.
    LFNCutSide = 0 - показывать левую часть LFN;
    LFNCutSide = 1 - показывать правую часть LFN;
    LFNCutSide = 2 - показывать левую часть LFN и расширение, если оно есть.

[+] В dn.ini добавлена настройка QuickSearchType (секция [FilePanels]),
    переключающая реакцию на точку при быстром поиске (Jaroslaw Osadtchiy,
    Max Vasilyev).

[+] Параметр AltGrAsAlt (секция [Kernel]) добавлен в dn.ini
    (Eugeny Zvyagintzev):
    AltGrAsAlt = 0  AltGr и Alt различаются;
    AltGrAsAlt = 1  AltGr и Alt одинаковы.

[+] Теперь опция DefCodePage (секция [Editor]) в dn.ini влияет и на встроенную
    программу просмотра (Sergey Biryukov).

[+] В dn.ini добавлена новая переменная ShowCopyTime (секция [Interface]),
    позволяющая показывать время и скорость процесса копирования
    (Eugeny Zvyagintzev).

[*] При проверке правила ReuseViewers (секция [Interface]) игнорируется окно
    быстрого просмотра (Sergey Biryukov).

[*] Открытие файлов из истории редактирования теперь согласуется с опцией
    "Встроенный редактор" (Sergey Biryukov).

[-] Действие параметра VertScrollBarChars (секция [Interface]) из dn.ini не
    распространялось на встроенную программу просмотра (Sergey Biryukov).

[-] Значение параметра ReuseViewers (секция [Interface]) из dn.ini не
    учитывалось при просмотре DBF файлов (Sergey Biryukov).

[-] При открытии файла из редактора через Ctrl-Enter или диалог открытия не
    происходила проверка на правило ReuseEditors (секция [Interface]) из
    dn.ini (Sergey Biryukov).

[-] Если в dn.ini установлено ReuseEditors=0 и ReuseViewers=0 (секция
    [Interface]), то порядок открытых окон не меняется при открытии второго
    окна редактора или просмотра с файлом, который уже открыт
    (Jaroslaw Osadtchiy).

[-] Исправлена работа опций "Запоминать позицию редактора" и "Запоминать
    позицию просмотра" (Sergey Biryukov).

[-] Не все опции редактора для конкретного файла сохранялись в истории
    (Sergey Biryukov).

[-] Опция DefCodePage (секция [Editor]) в dn.ini не влияла на кодировку вновь
    создаваемых файлов (Sergey Biryukov).

[-] Опция "Засыпать во время бездействия" работает более корректно
    (Eugeny Zvyagintzev).

[-] Не сохранялась последняя позиция в диалоге Настройки|Цвета|Группа
    (Sergey Biryukov).

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Добавлена возможность поиска файлов в архивах (Jaroslaw Osadtchiy,
    Max Vasilyev).

[+] При выделении файлов по Grey+ и развыделении по Grey-, если в конце маски
    указано "\", то действие применяется не к файлам, а каталогам
    (Jaroslaw Osadtchiy).

[+] Добавлять/удалять/изменять директории быстрого доступа теперь возможно
    непосредственно в диалоге (Eugeny Zvyagintzev).

[+] Если в режиме файловой панели под длинное имя отводится 250 или более
    символов и включен показ колонки размера файла, то она показывается перед
    колонкой длинного имени (Jaroslaw Osadtchiy, Max Vasilyev).

[+] При попытке удаления текущего каталога из истории смены каталогов выдается
    предупреждение о невозможности этого (Eugeny Zvyagintzev).

[+] Во время копирования файлов появилась возможность пропустить все плохие
    файлы (Eugeny Zvyagintzev).

[+] В подвале панелей теперь можно отображать описание файла
    (Jaroslaw Osadtchiy, Max Vasilyev).

[+] Переключение между текущим и полным режимами отображения файлов по Ctrl-Y
    теперь работает и в архивах (Pavel Borodin).

[+] На панелях поиска/ветки каталога в архивах по Ctrl-K/Alt-; показывается
    путь файла в архиве (Pavel Borodin).

[+] Имя файла теперь добавляется в историю диалога копирования и в том
    случае, когда в неактивной панели открыт архив (Sergey Biryukov).

[+] Теперь при копировании каталога в историю диалога копирования добавляется
    его имя (Sergey Biryukov).

[+] Теперь на панели дерева каталогов работают сочетания Alt-BackSpace,
    Alt-Shift-0, Ctrl-Shift-Alt-1..9 (Sergey Biryukov).

[+] В файловых панелях можно использовать комбинацию Ctrl-Shift-Del для
    скрытия текущего файла (Sergey Biryukov).

[+] Теперь при быстром переименовании файла в панели новое имя добавляется в
    историю копирования/перемещения файлов (Sergey Biryukov).

[*] В диалоге "Установки колонок" реализована проверка на случай, если
    пользователь введет под расширение больше символов, чем под имя.
    Аналогичная проверка введена для режимов, которые выставляются в
    настройках (Sergey Biryukov).

[*] Изменен вид короткого имени файла, которое показывается в архивах
    (Sergey Biryukov).

[*] Теперь снятие выделения файлов при архивировании и распаковке происходит
    только тогда, когда действительно есть отмеченные файлы (Sergey Biryukov).

[*] Теперь заголовок окна ДН при операциях с файловой панелью обновляется
    только тогда, когда это необходимо (Sergey Biryukov).

[*] Операции добавления файлов и проверки записи во время копирования стали
    более оптимальными (Eugeny Zvyagintzev).

[*] Теперь ДН будет показывать строку быстрого поиска файла на разделителе
    или в панели информации более гибко в зависимости от настроек показа
    выделенных файлов и длинного имени файла (Eugeny Zvyagintzev).

[*] Продумано сохранение файлов из архивов или после работы фильтра, для
    которых был вызван режим редактирования. Теперь при перезапуске ДН или
    смене языка появляется запрос на сохранение, и соответствующее действие
    производится, только если файл был сохранен либо окно редактора было
    закрыто. Кроме того, новая логика позволяет после редактирования таких
    файлов переключаться обратно в режим просмотра (Sergey Biryukov).

[*] Теперь поля размера и описания, а также степени сжатия в архивах
    подсвечиваются полностью, а не только текст; поле пути в панели поиска
    файлов теперь также подсвечивается (Jaroslaw Osadtchiy, Max Vasilyev).

[*] Теперь панель архива, арвида и файла-списка одинаково реагируют на нажатие
    <Ctrl-\> - происходит выход из файла (архива, списка арвида и файла-списка
    соответственно) и курсор позиционируется на этот файл (Jaroslaw Osadtchiy,
    Max Vasilyev).

[*] Теперь операция 'Ассоциировать список файлов' распознает имена файлов в
    списке по такому алгориту (Alexey Korop, Max Vasilyev):
    - если первый символ строки пробел или '>' - строку ингорировать (это на
      случай использования многострочных описаний в качестве списка);
    - если первый символ кавычка ('"') - считать именем текст до следующей
      кавычки;
    - если первый символ не из вышеперечисленных - сначала попробовать в
      качестве имени взять всю строку;
    - если такого файла не нашлось, но в строке есть пробелы - считать именем
      текст до первого пробела.

[*] В панели файла-списка файлы могли дублироваться (Jaroslaw Osadtchiy,
    Max Vasilyev).

[*] Теперь в файле-списке игнорируются строки "*" и "*.*" (Jaroslaw Osadtchiy,
    Max Vasilyev).

[*] Теперь при удалении перечитываются только те каталоги, в которых
    производилось удаление (Aleksej Kozlov).

[*] Теперь если в файловой панели задана маска имени файлов, то в подвале она
    показывается полностью, без отсечения "*.", что позволяет избежать
    неправильного показа масок, отличных от вида "*.ext" (Jaroslaw Osadtchiy).

[*] Добавление в историю команд команды вида "CD folder" происходит более
    корректно (Eugeny Zvyagintzev).

[*] Изменен вид заголовка окна ДН при копировании файлов. Обновление заголовка
    происходить только при наличии изменений (Sergey Biryukov).

[*] При копировании одного файла на TEMP: в историю диалога копирования
    добавляется его имя (Sergey Biryukov).

[*] При вызове истории каталогов из панели поиска или TEMP: курсор
    устанавливается на каталог, откуда произошел переход (Sergey Biryukov).

[*] Улучшено изменение размеров файловых панелей по Alt-Left/Right и
    Ctrl-M/Ctrl-Alt-Z (Sergey Biryukov).

[*] Команда 'Окна|Распахнуть' теперь работает для файловых панелей более
    корректно (Sergey Biryukov).

[*] Теперь ДН будет корректно копировать файлы, когда выбрана опция 'Проверять
    место на диске' и выполняется ряд условий: на диске не хватает места,
    копируемый файл уже существует и новый файл можешь уместиться только
    поверх старого (Eugeny Zvyagintzev).

[*] Теперь ДН при создании списка файлов будет использовать LFN при включенной
    галочке 'Использовать длинные имена файлов' только если строка 'Действие'
    не содержит макросов (Eugeny Zvyagintzev).

[*] Прервать процесс удаления каталогов можно намного быстрее
    (Eugeny Zvyagintzev).

[-] При нажатии на '*' не происходил выход из быстрого поиска
    (Sergey Biryukov).

[-] При переносе файла в архив его описание не удалялось (Sergey Biryukov).

[-] После копирования файла с описанием в его же каталог с новым именем
    описание старого файла удалялось (Sergey Biryukov).

[-] Исправлены ошибки при добавлении пунктов в историю диалога копирования
    (Sergey Biryukov).

[-] Более корректно выполняется операция "Создать список файлов"
    (Eugeny Zvyagintzev).

[-] После остановки и продолжения поиска файлов не обновлялся заголовок окна
    Дос Навигатора (Sergey Biryukov).

[-] В архиве при максимизации панели строка, содержащая информацию о размере
    упакованных файлов и степени компрессии, не выравнивалась по центру, и фон
    элемента "Текущий файл" наползал на правую часть этой строки
    (Sergey Biryukov).

[-] Исправлено появившееся зависание ДН при входе в архив с открытой панелью
    информации (Eugeny Zvyagintzev).

[-] Находясь на панели информации теперь нельзя вызвать панель быстрого
    просмотра (Sergey Biryukov).

[-] История просмотра для файлов из архивов работала некорректно
    (Sergey Biryukov).

[-] Поиск файлов по маске вида 'DIR\*.*' работает правильно (Sergey Biryukov).

[-] История каталогов теперь работает корректно с сетевыми путями вида
    '\\server\share' (Max Vasilyev).

[-] Из истории команд по Ctrl-E могла вызываться не последняя команда
    (Sergey Biryukov).

[-] Разделитель панели не всегда перерисовывался при нажатии кнопки Home
    (Sergey Biryukov).

[-] В истории команд при переполнении удалялись и те записи, которые были
    помечены как неудаляемые (Sergey Biryukov).

[-] Исправлена ошибка при копировании описаний к одному и тому же файлу
    (Sergey Biryukov).

[-] При вызове фильтра просмотра для файла из архива после обработки файл не
    удалялся из временного каталога (Sergey Biryukov).

[-] Исправлены некоторые ошибки при просмотре файлов в архивах через историю
    просмотра (Sergey Biryukov).

[-] Теперь при распахнутом Окне ДОС есть возможность вызывать команды из
    истории командной строки по Shift-Up/Down (Sergey Biryukov).

[-] Теперь ДН будет отображать предыдущие и следующие команды в командной
    строке более корректно (Eugeny Zvyagintzev).

[-] Если в процессе копирования стало невозможно открыть файл, то ДН не будет
    прерывать операцию копирования файлов (Eugeny Zvyagintzev).

[-] Процедура перемещения файлов происходит более корректно
    (Eugeny Zvyagintzev).

[-] При переходе файлового курсора на противоположную панель клавишей Tab
    разделители между колонками с информацией о текущем файле окрашивались в
    цвет файла (Jaroslaw Osadtchiy).

[-] Подсветка колонок размера, даты, времени и описания выделенных файлов
    исчезала при переключении на противоположную панель (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] При переименовании файлов на панели поиска или временной панели в случае,
    если для переименованного файла установлен другой цвет, смены цвета не
    происходило (Jaroslaw Osadtchiy, Max Vasilyev).

[-] При быстром переименовании файлов на панели поиска или временной панели
    иногда выдавались ложные сообщения об ошибке (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] Функция смены каталога по Alt-T из панели архива работала некорректно
    (Jaroslaw Osadtchiy).

[-] Если на текущей панели отображалось содержимое архива, то после попытки
    выбора в истории каталогов архива или списка который был удалён в
    оставшейся панели архива наблюдались глюки (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] При попытке перейти через историю каталогов в каталог который был удалён
    происходил переход в его родительский каталог без каких-либо сообщений
    (Jaroslaw Osadtchiy, Max Vasilyev).

[-] При переходе в через историю каталогов к списку текущий каталог не менялся
    на каталог, содержащий этот список. В результате в список попадали файлы
    не из его каталога а из каталога, текущего на момент вызова
    (Jaroslaw Osadtchiy, Max Vasilyev).

[-] При нажатии <Ctrl-\> на панели временного диска происходил переход в
    корень диска, который был в панели до временного (Jaroslaw Osadtchiy).

[-] В панелях поиска, списка и Temp перечитывание содержимого панели по Ctrl-R
    не происходило (Jaroslaw Osadtchiy).

[-] Устранены ошибки в drag&drop (Jaroslaw Osadtchiy, Max Vasilyev).

[-] Устранены ошибки при переключении во время поиска файлов на панель поиска
    (Jaroslaw Osadtchiy, Max Vasilyev).

[-] При поиске файлов на диске и раскрытии ветви каталога на диске сортировка
    полученного списка производилась дважды (Jaroslaw Osadtchiy,
    Max Vasilyev).

[-] При некоторых "неудачных" установках колонок наблюдались глюки и падения
    (Jaroslaw Osadtchiy, Sergey Biryukov, Eugeny Zvyagintzev).

[-] Иногда файлы описаний отмечались даже при включенной опции "Всегда
    копировать описания" (Max Vasilyev).

[-] При просмотре файлов из архива, если длина командной строки для запуска
    архиватора превышает допустимое значение в 127 символов, то выдается
    соответствующее сообщение и не происходит аварийный выход из ДН
    (Sergey Biryukov).

[-] Процедура изменения текущего диска происходит более корректно
    (Eugeny Zvyagintzev).

[-] Перечитывание каталога во время операции перемещения файлов происходит
    более корректно (Eugeny Zvyagintzev).

[-] Теперь ДН будет снимать с файлов флаг об отметке при возвращении на Temp
    Drive (Eugeny Zvyagintzev).

[-] Копирование имени каталога '..' в буфер обмена происходит более правильно
    (Eugeny Zvyagintzev).

[-] Перечитывание Панели Поиска Файлов стало более корректным
    (Eugeny Zvyagintzev).

[-] Теперь информация об отмеченных файлах на панели поиска не сбрасывается
    после просмотра архива по F3 (Sergey Biryukov).

[-] Теперь ДН будет устанавливать позицию текущего файла после удаления
    файлов более корректно (Eugeny Zvyagintzev).

[-] Исправлена ошибка при вызове помощи для быстрого переименования файла в
    панели, приводившая к тому, что окно помощи оставалось в фоне после
    нажатия Esc (Sergey Biryukov).

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Изменена логика выбора режима просмотра файлов (Sergey Biryukov):
    - опция "Встроенный просмотр" включена -
    по F3 - специальный внутренний, затем согласно dn.vwr, затем текстовый;
    - опция "Встроенный просмотр" выключена -
    по F3 - согласно dn.vwr, затем специальный внутренний, затем текстовый;
    - вне зависимости от опции "Встроенный просмотр" -
    по Alt-F3 - согласно dnalt.vwr, затем текстовый;
    по Alt-Shift-F3 - безусловно текстовый.
    Под специальным внутренним режимом подразумевается запуск встроенных
    программ просмотра баз данных, электронных таблиц и сообщений.
    При вызове файла из истории просмотра выбирается тот режим, который
    использовался для этого файла в последний раз.

[+] В Редактор добавлены новые "горячие клавиши" (Sergey Biryukov):
    Ctrl-A, Ctrl-Numpad5 - выделить весь текст как поточный блок;
    Ctrl-F               - показать/скрыть выделение;
    Ctrl-<               - выделить слово слева от курсора;
    Ctrl->               - выделить слово справа от курсора;
    Ctrl-Shift-Up        - выделить текст от текущей строки и до начала;
    Ctrl-Shift-Down      - выделить текст от текущей строки и до конца.
    С комбинаций Ctrl-A, Ctrl-F снято перемещение курсора влево/вправо по
    словам, которое по-прежнему можно осуществлять нажатием Ctrl-Left и
    Ctrl-Right соответственно.

[+] В историю диалога "Запись в файл" для программы просмотра и редактора
    теперь добавляется имя текущего файла (Sergey Biryukov).

[+] В редактор добавлены новые "горячие" клавиши (Sergey Biryukov):
    Ctrl-Up   - построчная прокрутка вверх;
    Ctrl-Down - построчная прокрутка вниз.
    Подобное также возможно при включенном режиме Scroll Lock с помощью клавиш
    Up/Down. От операций по Ctrl-W и Ctrl-Z эти функции отличаются тем, что
    курсор не меняет своего положения относительно окна, если не достигнуто
    начало или конец файла.

[+] В редакторе при нажатии Alt-Left производится уменьшение отступа для
    выделенных строк слева, а при нажатии Alt-Right - справа. Новые комбинации
    являются синонимами для Ctrl-K U и Ctrl-K I (Sergey Biryukov).

[+] Для сортировки блока в обратном порядке теперь используется комбинация
    клавиш Alt-Shift-T, введенная в качестве синонима для Ctrl-R
    (Sergey Biryukov).

[*] Небольшое улучшение в трактовке ключевого слова StringFLAGS файла dn.hgl
    и небольшое дополнение комментария файла dn.hgl (Jaroslaw Osadtchiy).

[*] Исправлена ошибка, приводившая к перемещению курсора на одну позицию
    вправо при отмене операций, связанных с изменением регистра букв
    (Sergey Biryukov).

[-] Ползунок линейки прокрутки про просмотре очень больших файлов работал
    неправильно (Jaroslaw Osadtchiy).

[-] RealMode-версия ДН завершалась в аварийном порядке при сортировке блока
    в редакторе (Sergey Biryukov).

[-] Если во время поиска во встроенной программе просмотра найденное слово
    находилось в последней строке, то оно не выделялось (Sergey Biryukov).

[-] Исправлена ошибка при подсчете суммы блока в редакторе (Sergey Biryukov).

[-] Исправлена ошибка при открытии несуществующего файла внешним редактором
    (Sergey Biryukov).

[-] Теперь ДН будет корректно выполнять операции с выделенным блоком в
    редакторе: верхний регистр, нижний регистр и т.д... (Eugeny Zvyagintzev).

[-] Прокрутка окна редактора (Ctrl-W, Ctrl-Z) происходит более корректно
    (Eugeny Zvyagintzev).

[-] SmartTab работал некорректно, когда курсор располагался перед позицией
    символа пробела в предыдущей строке (Eugeny Zvyagintzev).

[-] Инициализирование раскраски файлов в просмотре происходит более корректно
    (Eugeny Zvyagintzev).

[-] При смене режима просмотра с дизассемблера на текст не гасился курсор
    (Alexey Korop).

[-] Устранено аварийное завершение работы ДН при попытке перейти к какому-либо
    адресу по F5 во время просмотра файла в режиме дизассемблера
    (Jaroslaw Osadtchiy).

[-] При двоичном редактировании во время просмотра файла в режиме
    дизассемблера изменялись не те байты, на которых стоял курсор
    (Jaroslaw Osadtchiy).

[-] Исправлена ошибка в редакторе, возникавшая при нажатии Esc после операции
    сортировки блока (Sergey Biryukov).

[-] В текстовом режиме программы просмотра при переходе на первую строку в
    ней пропадал первый символ (Sergey Biryukov).

[-] Исправлены ошибки с выделением текста (Eugeny Zvyagintzev,
    Sergey Biryukov).

[-] Не работала опция "AutoBrackets" в конфигурационном файле dn.hgl
    (Eugeny Zvyagintzev).

[-] Исправлена потенциальная ошибка при перемещении в программе просмотра
    (Sergey Biryukov).

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Улучшения в определении HDD (Max Vasilyev).

[-] DN/DPMI показывал неверные значения 'памяти для работы' в панели
    'Текущая системная информация' (Max Vasilyev).

    >>> Просмотр баз данных <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Теперь при просмотре DBF-файлов возможно переключение между различными
    кодовыми страницами и xlt-файлами (Eugeny Zvyagintzev).

[+] Сделана возможность перехода к строке или столбцу в DBF просмотре через
    диалог, вызываемый по F6 (Eugeny Zvyagintzev).

[*] Если в диалоге поиска в DBF просмотре строка поиска будет пуста, то
    поиском будут найдены пустые поля (Eugeny Zvyagintzev).

[*] Теперь ДН будет показывать предупреждающий диалог при обнаружении ошибок в
    заголовке DBF (Eugeny Zvyagintzev).

[*] Более правильная загрузка пустой электронной таблицы (Eugeny Zvyagintzev).

[-] Исправлено ошибочное сообщение о переполнении в редакторе электронных
    таблиц (Eugeny Zvyagintzev).

[-] Исправлено определение DBF файлов (Eugeny Zvyagintzev).

[-] Более корректно показываются пустые memo, созданные Clipper'ом
    (Eugeny Zvyagintzev).

[-] Вернулась ранее имевшаяся возможность экпортировать электронную таблицу в
    текстовый файл (Eugeny Zvyagintzev).

[-] Теперь ДН будет обновлять меню редактора электронных таблиц после смены
    активного языка по нажатию Alt+F12 (Eugeny Zvyagintzev).

[-] В электронной таблице при вставке ячеек из буфера и при вставке пустых
    строк или столбцов не выполнялась коррекция адресов в формулах
    (Alexey Korop).

[-] Более корректная запись истории просмотра WKZ из архива
    (Eugeny Zvyagintzev).

[-] После просмотра WKZ из архива оставались временные файлы
    (Eugeny Zvyagintzev).

[-] Более корректное использование истории просмотра DBF (Eugeny Zvyagintzev).

[-] В редакторе электронных таблиц будет корректно выполняться автоматическое
    вычисление формул при использовании символа "," (Eugeny Zvyagintzev).

[-] Исправлена ранее сломавшаяся возможность использовать символ ":" в
    формулах (Eugeny Zvyagintzev).

[-] Убрана 100% загрузка процессора при изменении ширины колонки электронной
    таблицы (Alexey Korop).

[-] Удаление строк и столбцов в электронной таблице происходит более корректно
    (Eugeny Zvyagintzev).

[-] Более корректное выполнение SUM и MUL вычислений с множественными
    операторами (Eugeny Zvyagintzev).

[-] Исправлено некорректное выполнение автоматического обновления связанных
    полей, которые содержат SUM и MUL функции с множественными операторами
    (Eugeny Zvyagintzev).

[-] Автоматическое обновление связанных полей после возникновения ошибки в
    предыдущем вычислении происходит корректно (Eugeny Zvyagintzev).

[-] При редактировании ячейки в редакторе электронных таблиц можно выйти из
    этого режима по Esc. Предыдущее значение ячейки будет при этом
    восстановлено (Eugeny Zvyagintzev).

[-] ДН не будет сохранять содержимое WKZ в dn.dsk (Eugeny Zvyagintzev).

[-] Теперь ДН будет использовать только два операнда в формулах таких, как
    =SUM(a1,d1) (Eugeny Zvyagintzev).

[-] Выполнение операции замены в редакторе электронных таблиц происходит более
    корректно (Eugeny Zvyagintzev).

[-] ДН при поиске в DBF не находил искомое, если оно было только в текущей
    строке (Sergey Biryukov).

[-] Поиск даты в DBF файле происходит корректно (Eugeny Zvyagintzev).

[-] Теперь ДН будет обновлять окно просмотра DBF файла после изменения
    настроек страны (Eugeny Zvyagintzev).

[-] Поиск текста в DBF файлах происходит более правильно (Eugeny Zvyagintzev).

[-] Теперь ДН будет определять структуру DBF более корректно. Странные
    символьные поля C(10,3) будут определятся так как они описаны в заголовке
    при первом определении структуры. Затем рассчитывается длина всей записи.
    Если рассчитанная длина записи не совпадает с длиной записи из заголовка,
    то длина символьных полей будет рассчитана как 10+3*256=778
    (Eugeny Zvyagintzev).

[-] Индикатор при просмотре DBF-файлов отображается более корректно
    (Eugeny Zvyagintzev).

[-] Теперь ДН будет сохранять настройки диалога поиска в редакторе электронных
    таблиц и просмотре DBF-файлов (Eugeny Zvyagintzev).

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Добавлена распаковка образов дискет фикспаков OS/2 (Max Vasilyev).

[*] Улучшено определение TDR файлов стримера Arvid, Package for the WEB
    (CAB-sfx), WinZIP SFX и ACE SFX архивов (Max Vasilyev).

[*] Теперь при разархивировании файлов из архива распаковщику подставляется
    длинное или короткое имя архива в зависимости от параметра "Использовать
    длинные имена" ("Use long file names") в установках архиватора
    (Jaroslaw Osadtchiy, Max Vasilyev).

[*] Распаковка .DDI образов дискет (Max Vasilyev).

[*] Для архиватора ACE по умолчанию выставлена опция "Использовать длинные
    имена файлов" (Max Vasilyev).

[*] Для архиватора ARJ по умолчанию выставлены более совместимые с LFN
    установки, что, возможно, потребует от вас обновить свой ARJ
    (Max Vasilyev).

[*] Архиваторы теперь вызываются как 'NAME' вместо 'NAME.EXE' (Max Vasilyev).

[*] В случае несовпадения паролей при архивировании выдается соответствующее
    сообщение (Sergey Biryukov).

[-] Исправлена ошибка, проявлявшаяся при попытке создать или распаковать архив
    с паролем, содержащим пробел (Sergey Biryukov).

[-] Более строгая обработка архивов ARJ, RAR, ZIP и GZIP (Max Vasilyev).

[-] Работа с RAR архивами, созданными в Unix (Max Vasilyev).

[-] Исправлена невозможность просмотра файлов с двумя пробелами в имени из
    архива (Max Vasilyev).

[-] Исправлена потеря позиции курсора после выхода из архива, вложенного в
    другой архив (Max Vasilyev).

[-] Исправлена работа с описаниями файлов внутри AVT/TDR (Max Vasilyev).

[-] ДН аварийно завершался при чтении AVT/TDR (Max Vasilyev).

[-] Содержимое архива AnyFile.gz.rar не всегда показывалось правильно
    (Max Vasilyev).

[-] Распаковщик образов дискет не мог правильно обработать более 16 файлов
    при некоторых условиях (Max Vasilyev).

    >>> Калькулятор <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь все функции в калькуляторе, кроме конструкции IF(...,...,...),
    могут получать параметры без скобок (Sergey Biryukov).

[+] В калькуляторе для вычисления факториала числа n вместо функции fact(n)
    можно писать n!, однако функция fact(n) тоже продолжает работать
    (Sergey Biryukov).

[+] Введена функция dfact(n) и аналогичная ей запись n!!, вычисляющая значение
    двойного факториала числа n (Sergey Biryukov).

[+] В связи с двумя вышеперечисленными нововведениями, чтобы сохранить
    значение операции !=, приняты следующие решения (Sergey Biryukov):
    n!=m    соответствует n<>m;
    n!!=m   соответствует n!<>m;
    n!!!=m  соответствует n!!<>m.
    Для более наглядной интерпретации можно пользоваться скобками, например,
    (n!)!=m.

[+] Теперь в калькуляторе при нажатии кнопки "Вычислить" число в строке ввода
    преобразуется в выбранную форму (Sergey Biryukov, Eugeny Zvyagintzev).

[+] Теперь калькулятор может быть вызван из любой строки ввода как модальное
    окно. Кнопка "Вычислить" будет вычислять выражение и возвращать результат
    в строку ввода (Eugeny Zvyagintzev, Sergey Biryukov).

[*] Теперь из калькулятора можно вызвать главное меню (Sergey Biryukov).

[*] В калькуляторе переписан и оптимизирован алгоритм распознавания
    повторяющихся операций и недостающих аргументов. Устранены ошибки при
    анализе унарных операций. Исправлена работа с отрицательными степенями
    (Sergey Biryukov).

[-] В калькуляторе улучшено определение пропущенной операции и
    экспоненциальной формы числа (Sergey Biryukov).

[-] Исправлена функция XOR (Sergey Biryukov).

[-] В калькуляторе повышена точность вычислений. Исправлена работа унарного
    минуса. Также число ch теперь распознается корректнее (Sergey Biryukov).

[-] Исправлена ошибка, из-за которой некоторые результаты работы калькулятора
    в десятичной системе отображались неправильно (Sergey Biryukov).

[-] Исправлено падение ДН при вводе в калькуляторе больших чисел в двоичной,
    восьмеричной и шестнадцатеричной системах счислений (Sergey Biryukov).

    >>> Терминал <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлена ошибка, из-за которой открытое окно терминала не могло
    активизироваться при повторном вызове (Sergey Biryukov).

[-] Временно ДН не будет сжимать пакеты в Navigator Link (Eugeny Zvyagintzev).

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Немного возросла скорость сортировки директорий в DN/DPMI (Max Vasilyev).

[+] Теперь возможно переключать отображение имени директории в командной
    строке на отображение первых 3 знаков (только буква диска) двойным щелчком
    мыши или нажатием Ctrl-< и Ctrl-> (Eugeny Zvyagintzev).

[+] Теперь во всех историях клавиши Alt-Up и Alt-Down приводят к перемещению
    на ближайший неудаляемый элемент в указанном направлении (Alexey Korop,
    Sergey Biryukov).

[+] Теперь при установке расширенных параметров форматирования соответствующий
    пункт в меню емкости дискет выбирается автоматически (Sergey Biryukov).

[+] Добавлены новые горячие клавиши в Строки Ввода (Eugeny Zvyagintzev,
    Sergey Biryukov):
    Ctrl+Q D - вставить дату;
    Ctrl+Q T - вставить время;
    Ctrl+Q Y - удалить текст от курсора до конца;
    Ctrl+<   - выделить слово слева от курсора;
    Ctrl+>   - выделить слово справа от курсора.

[*] Теперь смена текущего языка влияет на открытые окна калькулятора и тетриса
    (Sergey Biryukov, Eugeny Zvyagintzev).

[*] Оптимизация перемещения элемента истории каталогов, просмотра,
    редактирования и команд с помощью Shift-Up и Shift-Down (Alexey Korop,
    Sergey Biryukov).

[*] Теперь позиция окна формирования фильтра по расширениям (Alt-BS) не
    запоминается и окно всегда размещается в центре экрана (Alexey Korop).

[*] Размер окна помощи теперь зависит от видеорежима (Jaroslaw Osadtchiy).

[*] "@echo off" не добавляется в начало временных командных файлов, если
    первая строка этих файлов начинается с "\*" или с "#" (признак REXX и Perl
    скриптов) (Jaroslaw Osadtchiy).

[*] Теперь клавиши Ins и Del корректно работают в редакторе переменных
    окружения. Функции добавления и удаления переменных перенесены на Alt-Ins
    и Alt-Del соответственно (Ilya Malanyin).

[*] Изменена логика добавления строки с датой и временем в SmartPad
    (Sergey Biryukov).

[*] DnError: Совместимость с OS/2 VDM (Max Vasilyev).

[*] Улучшен интерфейс операций "Создать список файлов" и "Прочитать список
    файлов" (Eugeny Zvyagintzev).

[*] Теперь ДН будет прерывать перемещение или изменение размеров окон по
    нажатию клавиши Esc (Eugeny Zvyagintzev).

[-] Теперь ДН будет завершаться корректно при запущенном Редакторе Диска
    (Eugeny Zvyagintzev).

[-] Теперь макросы !: #: $: &: работают корректно на пустых или сетевых
    дисках (Eugeny Zvyagintzev).

[-] Исправлена неправильная работа макросов '#' и '&' на элементе '..'
    (Eugeny Zvyagintzev).

[-] ДН при аварийном завершении не сохранял dn.err, если его запускали из
    каталога с длинным именем (Sergey Biryukov).

[-] Происходил аварийный выход из DN, если командная строка была слишком
    длинной (Sergey Biryukov).

[-] Теперь для всех функций CD-проигрывателя помощь показывается корректно
    (Sergey Biryukov).

[-] Теперь ДН более корректно будет показывать сообщение "Ошибка при обращении
    к ..." (Eugeny Zvyagintzev).

[-] После выхода из помощи иногда не обновлялся заголовок окна ДН
    (Sergey Biryukov).

[-] Теперь Ctrl-BackSlash работает корректно в диалогах (Eugeny Zvyagintzev).

[-] Восстановлена работа опций форматирования дискет (Sergey Biryukov).

[-] Исправлено удаление вложенных архивов из TEMP при выходе из ДН
    (Sergey Biryukov).

[-] Теперь ДН будет ждать, пока не будет отпущена клавиша Del после очистки
    командной строки (Eugeny Zvyagintzev).

[-] Устранена ошибка при нажатии "\" на панели дерева каталогов после быстрого
    поиска (Sergey Biryukov).

[-] Теперь ДН будет показывать сообщения прямо на экране, когда Desktop не
    существует (при загрузке) (Eugeny Zvyagintzev).

[-] Теперь DNERROR будет использовать "файл подкачки" вместо использования
    памяти (Eugeny Zvyagintzev).

[-] Пункты меню "Панель" => "Перечитать диск", "Окна" => "Следующее такое же",
    "Предыдущее такое же", "Следующее другое", "Предыдущее другое" не
    становились недоступными когда соответствующее им действие недоступно
    (Jaroslaw Osadtchiy).

[-] Исправлен возможный баг при массовом раскодировании uue-файлов
    (Alexey Korop).

[-] В индикаторах прогрессии на экран отображались символы #0 вместо пробелов
    (Jaroslaw Osadtchiy).

[-] При передвижении по кнопкам CD-проигрывателя при помощи клавиш Tab и
    Shift-Tab учитываются только видимые кнопки (Sergey Biryukov).

[-] При закрытии всех окон в заголовке окна ДН оставался заголовок от
    последнего окна или диалога (Sergey Biryukov).

[-] Теперь выделенный текст перезаписывается при вставке даты или вставке
    времени (Eugeny Zvyagintzev).

[-] При UU-кодировании в случае наличия уже существующих секций пропуск одной
    секции был равнозначен полной отмене действия (Sergey Biryukov).

[-] Если при UU-кодировании секция была одна и она уже существовала, то при
    положительном ответе на вопрос о перезаписи файла диалог появлялся два
    раза (Sergey Biryukov).

[-] Теперь ДН будет выполнять быстрый поиск файлов в диалогах Открытия Файлов
    корректно (Eugeny Zvyagintzev).

[-] Теперь ДН будет загружать текущий файл из dn.dsk более корректно
    (Eugeny Zvyagintzev).

[-] Теперь ДН работает с клавишами "2" и "8" на цифровой клавиатуре более
    корректно (Eugeny Zvyagintzev).

[-] Исправлено аварийное завершение проигрывателя компакт-дисков при работе
    под Windows XP (Sergey Biryukov, Eugeny Zvyagintzev).

    >>> Особенности использования исходных текстов <<<<<<<<<<<<<<<<<<<<

[*] Небольшая внутренняя оптимизация LFN модуля (Max Vasilyev).

[*] В TObject введено дополнительное поле, позволяющее определить тип
    образованного от него объекта. В связи с этим изменена процедура
    определения типа текущего окна при вызове помощи (Sergey Biryukov).

[-] Для работы с буфером обмена в диалогах теперь используются процедуры из
    dnutil2.pas GetFromClip и PutInClip (Eugeny Zvyagintzev).

[-] function uFnMatch.FnMatchFunc исправлена для работы с маской файлов "любой
    файл" в нотации ДОСа (*.*) (Max Vasilyev).

[-] Файлы с именем '.jpg' сообщают имя '', расширение '.jpg' (Max Vasilyev).

[-] Устранена утечка памяти в коллекциях (Eugeny Zvyagintzev).

[-] Устранена утечка памяти при работе с панелью дерева (Alexey Korop,
    Sergey Biryukov).

[-] Устранена небольшая утечка памяти в CallUuDecode (Alexey Korop).


   Версия 2.7.0
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлена проблема с определением свободного места, созданием и
    удалением подкаталогов на сетевых дисках (Max Vasilyev).

[-] Удалено распознавание IOmega Bernoully по причинам того, что вызывает
    обращение к диску для правильного его распознавания (Max Vasilyev).

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Добавлен хоткей Ctrl-A для вызова свойств текущего файла (Pavel Borodin).

[+] Shift-F5/F6 теперь производит копирование/перенос текущего файла. Для
    этого разрезание/склейка файлов перенесено на Ctrl-Alt-F5, а вызов
    Реаниматора на Ctrl-Alt-F8 (Pavel Borodin).

[*] Ненужная настройка CapitalCodePageName удалена из dn.ini (Max Vasilyev).

[-] Не показывался Экран ДОС по нажатию клавиши Esc, если командная строка
    была отключена (Eugeny Zvyagintzev).

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Реализовано более корректное регулирование размера окна просмотра и
    редактирования в зависимости от размера Десктопа (Eugeny Zvyagintzev).

[-] Исправлена появившаяся в версии 2.3.0 ошибка, приводившая к потере
    положения текущего файла в файловой панели (Eugeny Zvyagintzev).

[-] Не работало перемещение по панели с помощью кнопок Left и Right, если
    ширина колонки равнялась или была на единицу меньше, чем ширина панели
    (Pavel Borodin).

[-] Исправлена логика работы копирования/переноса при выборе параметра
    "Принять выбор для всех файлов" и нажатию кнопки "Имя" (Eugeny
    Zvyagintzev).

[+] Реализовано сохранение истории редактирования Записной Книжки (Eugeny
    Zvyagintzev).

[*] Более корректное удаление каталогов, помеченных как "Только-Чтение"
    (Eugeny Zvyagintzev).

[*] При просмотре файла с помощью внешнего фильтра, после фильтрации файл
    обрабатывается также встроенными программами просмотра ДН и внешними,
    заданными в dn.vwr (Max Vasilyev).

[+] При поиске строки в файлах прервать поиск теперь можно в любой момент, а
    также стало возможно пропустить текущий файл (Eugeny Zvyagintzev).

[*] При копировании имен файлов по Ctrl-Ins у них был неправильный регистр
    (Max Vasilyev).

[-] В русских ресурсах исправлен баг, не позволявший переключаться между
    окнами по F9 или Shift-F9 во время поиска файлов (Eugeny Zvyagintzev).

[+] На панелях списка, поиска и temp хоткеи Ctrl-K или Alt-; переключают
    отображение текущего пути файла (Pavel Borodin, Max Vasilyev).

[*] При перетаскивании файлов мышью с панели "информация о каталоге"
    показывается правильное количество файлов (Eugeny Zvyagintzev).

[+] Если при запуске не будет существовать временных каталогов, то для
    временных файлов будет использоваться исходный каталог ДН (Eugeny
    Zvyagintzev).

[-] Переключение между текущим и полным режимом файловой панели по Ctrl-Y
    на панели поиска или временной панели теперь происходит корректно (Pavel
    Borodin).

[*] Окно процесса Поиска Файлов теперь не может быть закрыто через Менеджер
    окон (Eugeny Zvyagintzev).

[-] Не работало разворачивание/сворачивание ветвей в панели дерева мышью
    (Jaroslaw Osadtchiy).

[*] Теперь ДН будет сохранять текущий каталог и для активной, и для пассивной
    панелей через меню "Настройки|Запомнить Состояние" (Eugeny Zvyagintzev).

[-] Для окна максимизированной Файловой Панели правильно показывается ее тень
    (Eugeny Zvyagintzev).

[*] Теперь в файловой панели при скроллинге мышью (кроме выделения) курсор
    не начинает бежать по файлам, а сразу прыгает на первый непоказанный файл
    (Alexey Korop).

[+] История каталогов теперь работает с каталогами вида '\\server\share'
    (Max Vasilyev).

[-] Если в истории каталогов было всего две записи, то удаление нижней из них
    (верхней всегда будет текущая, которую удалить нельзя) приводило к тому,
    что курсор не сдвигался на единственную оставшуюся запись
    (Sergey Biryukov).

[-] Исправлен неправильная работа функций копирования и переноса каталога,
    когда в качестве получателя указывалось имя самого каталога, содержащее
    точку в конце (Sergey Biryukov).

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Поиск текста в редакторе теперь можно прервать в любой момент (Eugeny
    Zvyagintzev).

[-] Неправильно считалась сумма выделенного блока, если в нем были пустые
    строчки (Eugeny Zvyagintzev).

    >>> Просмотр баз данных <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Более корректное сохранение истории просмотра DBF (Eugeny Zvyagintzev).

[*] Поиск текста при просмотре DBF и WKZ файлов такой же, как в просмотре и
    редакторе (Eugeny Zvyagintzev).

[+] Alt-W в редакторе электронных таблиц теперь производит изменение ширины
    текущей колонки (Pavel Borodin).

[-] Устранено падение ДН при изменении количества полей DBF файла с момента
    последнего просмотра DBF файла и при активном последнем поле (Eugeny
    Zvyagintzev).

[-] Более корректно показываются длинные поля в просмотре DBF файлов (Eugeny
    Zvyagintzev).

[-] Устранено падение ДН при попытке просмотреть DBF поле длиною более 255
    символов как мемо поле, хотя на самом деле оно не является мемо полем
    (Eugeny Zvyagintzev).

[-] Устранено падение ДН при запуске, если был открыт на просмотр DBF файл при
    предыдущем выходе ДН (Eugeny Zvyagintzev).

[*] Устранено падение ДН при переполнении во время вычисления значения WKZ
    ячейки (Eugeny Zvyagintzev).

[*] Более корректное выполнение операции Перейти к ячейке при просмотре WKZ
    файлов (Eugeny Zvyagintzev).

[*] Определение повреждения заголовка DBF файла (Eugeny Zvyagintzev).

[+] Теперь ДН может импортировать Comma Separated Value (CSV) и dBase (DBF)
    файлы в WKZ файлы (Kirill Vodonosov, Eugeny Zvyagintzev, Max Vasilyev).

[+] Теперь ДН может экспортировать WKZ файлы в Comma Separated Value (CSV) и
    dBase (DBF) файлы (Kirill Vodonosov, Eugeny Zvyagintzev, Max Vasilyev).

[-] Исправлены падения ДН при загрузке файлов из WKZ просмотра (Eugeny
    Zvyagintzev).

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Работа с GZip архивами теперь производится внешними утилитами. Внутри
    архива не обязательно должен быть архив TAR (Max Vasilyev).

[+] Значительно увеличена скорость чтения ZIP архивов (Max Vasilyev, Jaroslaw
    Osadtchiy).

[+] ДН может работать с многотомными ZIP архивами. Для правильной работы
    вставляйте последнюю дискету такого архива (Max Vasilyev).

[-] При попытке просмотра rar 3.0 архивов с зашифрованными заголовками DN
    зависал. Теперь такие архивы видятся как пустые rar-архивы (Max Vasilyev,
    Jaroslaw Osadtchiy).

[-] Исправления в определении ZIP и GZ архивов (Max Vasilyev).

    >>> Калькулятор <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Исправлены следующие ошибки в работе калькулятора (Sergey Biryukov):
    a) Неправильное вычисление в DEC чисел 10^31, 10^34 и 10^35.
    b) Вычисление 10 в степени, большей 40 и кратной 10, было некорректным.
    c) При переводе числа в экспоненциальную форму появлялся пробел в начале.
    Изменена нижняя граница, при которой десятичное число автоматически
    преобразуется в экспоненциальную форму.

[+] В калькулятор встроен гораздо более гибкий механизм обработки ошибок.
    Введенное выражение анализируется на соответствие правилам синтаксиса,
    а затем вычисляется. Если на каком-то этапе обнаружится ошибка, то
    выдается соответствующее сообщение (Sergey Biryukov).

[-] Исправлены функции DIV, MOD, COSEC, ARCCOTAN, ARCCOSEC, а также операции
    <=, >=, <>, !=. Функция возведения в степень работает корректнее (Sergey
    Biryukov).

    >>> Терминал <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлены неправильные хоткеи в работе с буфером вывода терминала (Pavel
    Borodin).

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Двойное нажатие F10 в редакторе диска теперь производит переход в главное
    меню (Pavel Borodin, Eugeny Zvyagintzev).

[*] Процедура показа Помощи работает более корректно (Eugeny Zvyagintzev).

[-] Окно Помощи во время копирования файлов отображается корректно (Eugeny
    Zvyagintzev).

[-] Окна Помощи для установок CD проигрывателя и Форматирования дискет
    отображаются корректно (Sergey Biryukov).

[-] При первом запуске с не английскими ресурсами нельзя было вызвать помощь
    (Max Vasilyev).

[*] Комбинации клавиш Ctrl-/, Ctrl-\ работают в Диалогах так же, как в
    Редакторе (Eugeny Zvyagintzev).


   Версия 2.3.0
  ---------------------------------------------------------------------

[+] Версии получают номер по дате (Год-2000).(Месяц).(День) (Max Vasilyev).

[-] Частично исправлена 100% загрузка процессора при работе под W2K и NT
    (Kirill Vodonosov).

[!] новый template.txt

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Вновь созданный DN.INI не содержал значений типа String (Pawel Ziemian).

[+] Новые хоткеи в "Вырезать с экрана" (Oleg Antoshkiv):
    Shift-End  ─ расширить выделение до правого края экрана;
    Shift-Home ─ расширить выделение до левого края экрана;
    Shift-PgUp ─ расширить выделение до верхнего края экрана;
    Shift-PgDn ─ расширить выделение до нижнего края экрана.

[*] Во всех меню обозначение хоткеев приведено к общему стилю.
    В русских ресурсах добавлен хоткей Alt-Ь для вызова информации о
    памяти и отсортированы описания статусной строки для более удобной
    правки. Сделана возможность настраивать через диалог цвета окна
    помощи Дос Навигатора. Пункт настройки цветов календаря перенесён в
    конец списка (Pavel Borodin).

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Форматирование дисков в DN/RealMode (Max Vasilyev).

[-] При копировании на некоторые устройства (замечено для CD R/W под RSJ,
    OS/2) выдавался ложный запрос о перезаписи файла. При отрицательном
    ответе на целевом устройстве оставался созданный файл с нулевой длиной
    (Alexey Korop).

[*] Теперь ДН будет проверять существование файла перед чтением файла в буфер
    (Eugeny Zvyagintzev).

[*] Теперь ДН будет показывать сообщение об ошибке во время перемещения файла
    в самого себя (Eugeny Zvyagintzev).

[*] Теперь количество файлов в панели Поиска Файлов отображается корректно
    (Eugeny Zvyagintzev).

[+] Сделано копирование/перемещение текущего файла через меню "Файл".
    Раньше это было возможно лишь с помощью мышки путем "хватания" за
    информацию о текущем файле. Вопрос о освобождении хоткеев Shift-F5/F6 для
    этих действий еще пока решается (Pavel Borodin).

[*] В менеджере окон теперь корректно отображаются заголовки окон dbf-вьюера
    и редактора электронных таблиц (Pavel Borodin).

[*] Теперь ДН загружает размер десктопа более корректно (Eugeny Zvyagintzev).

[*] Теперь ДН может обрабатывать нажатие клавиши PGDN в первой строке
    Пользовательского Меню (Eugeny Zvyagintzev).

[*] Теперь командная строка ДН более удобная... Снова. Какой она была в
    оригинальном DN 1.51 by RitLabs (Eugeny Zvyagintzev).

[*] В русских ресурсах пункт меню "Панель|Ассоциировать список файлов" теперь
    называется "Прочитать список файлов" (Pavel Borodin).

[-] Устранено падение ДН после удаления всех файлов из архива
    (Eugeny Zvyagintzev).

[-] Устранено падение при запуске ДН, если уже не существовало архива,
    который был открыт на одной из панелей при выходе (Eugeny Zvyagintzev).

[-] Устранено падение ДН после двух попыток перемещения файла мышью, если
    файл уже существовал на панели и в диалоге перезаписи выбирался вариант
    "Пропустить" (Eugeny Zvyagintzev).

[*] Логика работы при перемещении файлов мышью на строку дисков теперь не
    отличается от обычной (Eugeny Zvyagintzev).

[*] Теперь ДН не будет проверять запись на диск и свободное место во время
    копирования файлов на устройства PRN или NUL (Eugeny Zvyagintzev).

[-] Устранено падение ДН в момент запуска внешней программы, когда одна из
    панелей была панелью поиска или списка файлов (Eugeny Zvyagintzev).

[-] Исправлены потенциальные баги в различных операциях с файловой панелью
    (Eugeny Zvyagintzev).

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Дос Навигатор иногда не удалял файлы из %TEMP% после просмотра (Max
    Vasilyev).

[-] Редактор при выполнении "Заменить все" с подтверждением после "Отмена"
    не выдавал сообщения о числе сделанных замен (Alexey Korop).

[*] Сортировка в редакторе теперь не переставляет строки с равными ключами
    (Alexey Korop).

[-] Редактор падал, если при включённой защите файла редактировать файл
    с Read Only, нажать F2, на запрос о перезаписи ответить Отмена и опять
    нажать F2 (Alexey Korop).

[-] Теперь изменение регистра имени игнорируется при записи в историю
    (Eugeny Zvyagintzev).

[*] В русских ресурсах пункт меню редактор "Поиск|Реверсный поиск" теперь
    называется "Обратный поиск" (Pavel Borodin).

[+] В просмотре теперь Alt-F7 также как и в редакторе производит обратный
    поиск. Старый хоткей Ctrl-F7 оставлен без изменений (Pavel Borodin).

[-] Теперь ДН более корректно выполняет операцию подсчета выделенного блока
    (Eugeny Zvyagintzev).

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Определение процессоров AMD Duron и Intel Pentium 4 (Max Vysokikh).

    >>> Просмотр баз данных <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Если файл с расширением .DBF не являлся на самом деле файлом базы данных,
    то он не открывался на просмотр по F3 совсем (только по Alt-F3).
    При повторном просмотре *.DBF и *.WKZ не восстанавливалось положение
    курсора и окна (Eugeny Zvyagintzev).

[-] Теперь dbf и wkz файлы правильно показываются в истории (Eugeny
    Zvyagintzev).

[-] Горизонтальный скроллбар больше не перекрывает нижний правый угол окна
    (Eugeny Zvyagintzev).

[-] После просмотра структуры пустой dbf-базы не вызывается внутренний
    просмотр (Eugeny Zvyagintzev).

[+] Теперь в dbf-вьюер показывается тип и размер текущего поля (Eugeny
    Zvyagintzev).

[*] Теперь размер горизонтального скроллбара в dbf-вьюере такой же как
    и в редакторе (Eugeny Zvyagintzev).

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] определение RAR 3.0 SFX (Max Vasilyev).

[*] Оптимизирована работа с архиваторами, исправлены ошибки обработки
    некоторых типов архивов (Max Vasilyev).

[*] Теперь изменение параметров архиватора не делает его дефолтным при
    архивации (Pavel Borodin).

[-] После копирования/перемещения файла в архив происходило изменение
    дефолтного архиватора на тот, в архив которого копировали/перемещали
    (Pavel Borodin).

[*] Теперь ДН будет более корректно архивировать файлы. Если для создания
    архива был выбран один файл, то ДН будет использовать длинное или короткое
    имя этого файла для имени архивного файла. Это зависит от настроек текущей
    панели: Показывать Длинное Имя (Eugeny Zvyagintzev).

    >>> Особенности использования исходных текстов <<<<<<<<<<<<<<<<<<<<

[-] Восстанавлено копирование файлов документации в OUT при компиляции
    (Alexey Nemytov).


   Версия 2.0.0
  ---------------------------------------------------------------------

[!] Устранено случайное стирание файлов, зависание ДН при файловых операциях,
    "пропадание" файлов в файловых панелях, улучшена совместимость с
    Novell Netware. В исходные тексты включена информация об изменениях.

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлена ошибка, из-за которой Дос Навигатор не мог работать с пустыми
    директориями на новелловских дисках из-под ДОСа (Max Vasilyev).

[-] Изменена система разделения времени в многозадачных средах
    (убраны EnterCriticalSection и LeaveCriticalSection) (Max Vasilyev).

[-] При переименовании файла в текущем каталоге в DPMI версии под Windows NT
    и Windows 2000 файл перемещался в корневой каталог диска
    (Kirill Vodonosov).

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Новый параметр DN.INI: HistoryButtonChars = string[4], (секция
    [Interface]). В этом случае для отображения кнопки вызова истории в
    диалогах будет использоваться ограниченный набор символов
    (аналогично параметру PoorFrames) (Pawel Ziemian).

[+] Новый параметр DN.INI: SundayFirst = byte (секция [Calendar]). Значение 1
    определяет Воскресенье как первый день недели, 0 - как последний.
    Значение 2 - автоопределение этого параметра (по умолчанию)
    (Max Vasilyev).

[+] Введен новый режим отображения файлов. Устанавливается в меню
    Настройки -> Менеджер файлов -> Колонки панелей -> (любой из пунктов) ->
    Автоопределение.
    При этом регистр файлов в панелях будет определяться так:
    1. Если В.имени.МЕЖДУ.ДВУМЯ.точками буквы одного регистра, то файлы
       приводятся к нижнему регистру, а каталоги к верхнему.
    2. Если в.Имени.присутствуют буквы разного регистра, то оно будет
       показано "как есть".
    Такой способ отображения ранее задавался только в исходных текстах
    указанием  {$DEFINE COMBINE_MIXED}
    (Max Vasilyev).

[*] Убраны пересекающиеся горячие клавиши в диалоге архивирования.
    Исправления в диалогах поиска и замены в редакторе и просмотрщике.
    Добавлен вызов помощи для диалогов настройки колонок файлов.
    Добавлена горячая клавиша Ctrl-M для максимизации окна.
    Для английских и венгерских файлов помощи добавлена тема IniFile для
    описания структуры dn.ini (Pavel Borodin, Max Vasilyev).

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Добавлен режим сортировки файлов по описанию (Jaroslaw Osadtchiy).

[*] Теперь комбинация клавиш Ctrl-N используется для переключения показа
    длинных и коротких имён в файловой панели, а комбинация клавиш
    Ctrl-Alt-N - для показа информации о сети (Jaroslaw Osadtchiy).

[*] В установках панели добавлена опция, позволяющая сортировать в панелях
    архивы перед исполнимыми файлами (Jaroslaw Osadtchiy).

[*] При использовании HandleChDirCommand=1 имя директории в команде CD будет
    автоматически преобразовано в длинное. Команда CD /? теперь передается
    на обработку системе (Max Vasilyev).

[*] Изменён смысл комбинации клавиш Ctrl-Y - теперь она служит для
    переключения между текущим (а не только первым, как раньше) и вторым
    (полным по умолчанию) режимами колонок файловых панелей
    (Jaroslaw Osadtchiy).

[*] Комбинация клавиш Shift-Del (для удаления отдельного файла)
    в файловой панели теперь не будет работать при выключенной опции
    "[ ] DEL для удаления файлов" в Установках Менеджера Файлов
    (Jaroslaw Osadtchiy).

[*] Маски вида "*." и "xxx*." теперь при поиске по фильтру и в фильтре
    файловой панели рассматриваются как маски файлов без расширения
    (Jaroslaw Osadtchiy).

[*] В фильтр файловой панели нормально подставляются (и обрабатываются) маски
    с расширением, превышающим в длину три символа, если таковые имеются
    (Jaroslaw Osadtchiy).

[*] В режиме показа длинных имён фильтр файловой панели работает по длинным
    именам файлов, а в режиме показа коротких - по коротким
    (Jaroslaw Osadtchiy).

[-] Исправлена работа в случае неуспешного переноса файлов на другой диск
    (Aleksej Kozlov).

[-] Исправлена работа клавиатурных сочетаний Ctrl(+Alt)(+Shift)+Enter
    (Max Vasilyev).

[-] Теперь элемент '..' невозможно удалить с помощью Ctrl-Del
    (Jaroslaw Osadtchiy).

[-] Исправлена ошибка, приводившая к невозможности при сравнении каталогов
    задействовать все четыре критерия сравнения одновременно
    (Jaroslaw Osadtchiy).

[-] Устранено зависание при просмотре дерева каталогов.
    Косметические изменения в отрисовке дерева: имена каталогов теперь не
    оторочены нулевыми символами (которые видны зачастую в виде мерзких
    мелких точечек или ещё чего-нибудь похуже), все каталоги одного уровня
    теперь показываются выровненными по одной вертикальной линии вне
    зависимости от факта наличия в них подкаталогов (Jaroslaw Osadtchiy).

[-] Исправлена ошибка, приводившая к тому, что если в истории каталогов
    удалить нулевой элемент (текущий каталог), то затем переход происходил
    к элементу истории с номером на 1 меньше выбранного (а если выбрать
    нулевой элемент - то просто в текущий каталог) (Alexey Korop).

[-] В некоторых режимах сортировки отображались не все файлы (Max Vasilyev).

[-] Исправлено копирование описаний для директорий, содержащих точку в имени
    (Max Vasilyev).

[*] Раньше в случае возникновения ошибки (например, дискета не вставлена)
    после нажатия в выскочившем окне кнопки "отмена" прекращалась реакция
    на клавиатуру до тех пор, пока не будет нажата кнопка мыши

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлен поиск назад в просмотре (Marcin Meinardi).

[-] Исправлено зависание при смене xlt-таблицы в просмотре (Alexey Korop).

[-] Исправлена ошибка, приводившая к тому, что при помощи мыши нельзя
    было перейти к закладке, если нет закладки с номером на 1 меньше
    (Alexey Korop).

[-] Раньше данные для масок !\!.! для просмотрщиков, редакторов и запуска по
    расширению передавались с искажённым регистром. Каталог - в верхнем,
    регистре, имя файла - в нижнем, независимо от реального, что приводило к
    проблемам с Java (Aleksej Kozlov).

[-] Раньше после выхода из ДН-а при открытом Clipboard-е, при следующем
    запуске ДН падал (Aleksej Kozlov).

[-] Исправлена работа функций Откат/Накат после записи файла в редакторе
    (Max Vasilyev).

[-] Устранено крушение DN при просмотре Clipboard, если Windows-Clipboard
    пуст и параметр dn.ini SaveClipboardOnExit равен 0 (Max Morozov).

[-] Раньше после выхода из ДН-а при открытом SmartPad-е, при нажатии
    Alt-Q (при следующем запуске) открывалось второе окно SmartPad-а
    (Aleksej Kozlov).

[*] Теперь при перезапуске ДН-а с открытым редактором сохраняются значения:
    - режим вставки/замены
    - режим рисования линий
    - положение курсора не только в редактируемом файле, но и в окне
    - выделенный блок
    - перевод строки CrLf/Lf/Cr
    - кодировка DOS/WIN/KOI
    (Aleksej Kozlov).

[*] Раньше "отступ при забое" работал неправильно со строками с номерами
    более 255 (Aleksej Kozlov).

[*] Раньше в случае неудачного поиска в редакторе "с начала текста"
    курсор устанавливался в начало файла

[*] Раньше в случае неудачного поиска в редакторе "с позиции курсора"
    подсвечивались символы перед курсором

    >>> Просмотр баз данных <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлена идентификация баз данных (Max Vasilyev).

[-] При попытке просмотра DBF файла созданного Clipper-ом если файл имел
    символьные поля длиной более 256 символов ничего не происходило -
    файл не открывался (Kirill Vodonosov).

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Оптимизирована работа с архиваторами, исправлены ошибки обработки
    некоторых типов архивов, работа с архивами без расширения и с большим
    объемом непакованных данных (Max Vasilyev).

[-] Исправлена некорректная индикация процесса чтения архива (Max Vasilyev).

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Изменено определение жестких дисков больших размеров (более 8Гб)
    (Max Morozov, Max Vasilyev).

    >>> Калькулятор <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Числа можно указывать в экспоненциальной форме <a>E+<b>,<a>E-<b>
    (Pavel Anufrikov).

[+] Добавлена поддержка логических функций && и || (Max Morozov).

[*] В калькуляторе целые числа по основаниям 16, 8 и 2 рассматриваются как
    беззнаковые, т.е. при вводе числа 0xFFFFFFFF в строке HEX отображается не
    Overflow, а 0xFFFFFFFF. Также теперь коректно работает с отрицательными
    числами типа -0xF8000001 (Max Morozov).

[-] Исправлена работа различных функций (Max Morozov, Aleksej Kozlov).

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Полностью переписан Календарь. Подробную информацию можно найти в
    разделе справочной системы, посвященном Календарю (Pawel Ziemian).

[-] Исправлено крушение программы после сообщения о невозможности найти COM
    порт, при открытии окна терминала (Max Morozov).

[-] Исправлено крушение программы при копировании файлов (Pawel Ziemian).

[-] Установленный "с нуля" Дос Навигатор было невозможно запустить без
    файлов английских ресурсов (Max Vasilyev).

[-] Исправлена ошибка, приводившая к случайному стиранию файлов
    (Jaroslaw Osadtchiy).

[-] Исправлено зависание Дос Навигатора и создание случайных файлов на
    некоторых компьютерах (Marcin Meinardi).

    >>> Особенности использования исходных текстов <<<<<<<<<<<<<<<<<<<<

[*] {$DEFINE COMBINE_MIXED} перенесено из исходных текстов в настройки
    панелей (Max Vasilyev).

[-] Исправлена некорректная компиляция библиотеки определения процессоров
    (Max Vasilyev).

[-] Библиотеку AsyncPro теперь можно использовать в виде исходных текстов.
    (Max Vasilyev).

[-] Исправлена "сломавшаяся" возможность компилировать с включенным pktview
    (Pavel Borodin).

[!] В исходные тексты включена информация об изменениях.
    Заполняется КООРДИНАТОРОМ.


   Версия 1.6.RC1 (Release Candidate 1)
  ---------------------------------------------------------------------

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Файлы с описаниями (descript.ion, file_id.diz) теперь не исключаются из
    группового выделения на панелях просмотра архива, Navigator Link или Arvid
    (Jaroslaw Osadtchiy)

[*] Файлы с атрибутами Скрытый и Системный одновременно отмечаются символом,
    отличным от символов, используемых для файлов с атрибутами Скрытый и
    Системный по отдельности (Pavel Anufrikov)

[-] Наличие двух символов '*' в маске приемника вызывало некорректную работу
    операций копирования, перемещения и переименования (Pavel Anufrikov)

[-] Установки колонок панели сбрасывались при смене диска клавишами
    Ctrl-Влево/Вправо (Eugeny Zvyagintzev)

[-] Сообщение об ошибке "Устройство не готово" при смене устройства клавишами
    Ctrl-Влево/Вправо отображалось дважды (Max Vasilyev)

[-] Исправлена логика смены текущего каталога (Max Vasilyev)

[-] Исправлена идентификация каталогов хранилищ TDR (Max Vasilyev)

[-] Тома Arvid инициализировались неверно (Max Vasilyev)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] После редактирования файла, содержащего более 65535 строк, работа DN
    становилась неустойчивой (Anton Fedorov)

[-] При открытии файла в Редакторе, лишние переводы строк все еще могли
    появляться, хотя и в редких случаях (Anton Fedorov)

[-] Команды Сдвиг влево и Сдвиг вправо в русскоязычных ресурсах меню Редактора
    были перепутаны. Восстановлен правильный порядок (Alexey Feldgendler)

[-] Пересчет некоторых формул в Электронной таблице выполнялся неверно
    (Anton Fedorov)

[-] Исправлена идентификация баз данных (Max Vasilyev)

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Архиваторы, которые не могут читать список файлов из отдельного файла,
    теперь при необходимости вызываются несколько раз, так что все выбранные
    файлы распаковываются независимо от их числа (Jaroslaw Osadtchiy)

[-] Исправлена идентификация архивов ARJ (Max Vasilyev)

[-] Исправлено чтение архивов TAR и TGZ (Max Vasilyev)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Расширен набор символов, после которых в командную строку не добавляется
    пробел при нажатии Ctrl-Enter для вставки имени текущего файла. Теперь в
    этот набор входит символ коммерческое эт '@' (Pavel Borodin)

[-] Некоторые исправления, объявленные в DN OSP 1.51.12, в действительности
    отсутствовали. Приведено в соответствие (Alexey Feldgendler)

[-] Исправлено поведение уменьшенных версий с отключенными дополнительными
    возможностями. Такие версии DN не распространяются; их можно получить
    только самостоятельной компиляцией исходного кода (Pavel Borodin)

[-] Для диалогового окна Установки Менеджера Файлов в русскоязычных ресурсах
    отображалась несоответствующая статья Справки (Pavel Borodin)

[-] Внесены косметические исправления в русскоязычные ресурсы некоторых
    диалоговых окон (Pavel Borodin)

[-] В русскоязычных ресурсах вместо русских букв иногда появлялись английские
    со сходным начертанием, и наоборот (Pavel Borodin)

[-] Исправлено множество опечаток в файле history.txt на русском языке
    (Alexey Feldgendler)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.12
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Теперь 3.5" дисководы, поддерживающие емкость 2.88 мегабайт, правильно
    определяются в окнах Системной информации и Форматирования (Ondrej Zary)

[-] В системе DOS DPMI-версия некорректно распознавала устройства некоторых
    типов (Alexey Feldgendler)

[-] При выборе варианта Abort в окне Системная Ошибка в DPMI-версии в системе
    DOS происходил сбой (Alexey Feldgendler)

[-] При использовании длинных имен работа с сетевыми дисками Novell NetWare
    была невозможна (Anton Fedorov)

[-] В системе MS-DOS в DPMI-версии не работала возможность сброса атрибута
    Read-Only при копировании файлов с компакт-дисков (Max Vasilyev)

[-] Значение параметра CopyLimit в секции [Kernel] файла DN.INI использовалось
    при работе не только в системе Windows, но и в DOS, что противоречило
    описанному в документации поведению (Max Vasilyev)

[-] Параметр SmartWindowsBoxClose в секции [Kernel] файла DN.INI почти никогда
    не работал. Теперь его работа исправлена как в версии реального режима,
    так и в DPMI-версии. Единственное ограничение состоит в том, что для
    правильной работы кнопки закрытия окна необходимо, чтобы DN.COM был
    запущен как самостоятельное приложение, а не вызван, к примеру, из
    BAT-файла (Vitaly Astaforkin)

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Новый параметр DN.INI: UseF3InViewer = long (секция [Interface]). Сходен
    с уже существующим параметром UseEnterInViewer (секция [Interface]). Когда
    установлено значение 0, нажатие F3 при просмотре файла не производит
    никаких действий, когда установлено 1, F3 закрывает окно просмотра, и,
    наконец, 2 означает, что клавиша F3 должна производить переключение
    между режимами просмотра текста, шестнадцатеричных кодов и дампа
    (Alexey Feldgendler)

[+] Новый параметр DN.INI: PoorFrames = bool (секция [Interface]). Значение 1
    указывает, что в используемой кодировке доступны не все псевдографические
    символы. В этом случае для отображения рамок будет использоваться
    ограниченный набор символов (Pawel Ziemian)

[*] Память для параметров DN.INI теперь используется более экономно
    (Pawel Ziemian)

[*] Если при чтении файла DN.INI обнаружены синтаксические ошибки,
    отображаются соответствующие сообщения с указанием номера строки
    (Pawel Ziemian)

[*] Оптимизировано сохранение файла DN.INI (Pawel Ziemian)

[*] Добавлена возможность настройки цветов полос прокрутки окна просмотра баз
    данных (Max Morozov)

[*] Обновлены настройки по умолчанию: разрешено Расширенное копирование, для
    всех дисков включена проверка свободного места, добавлены новые настройки
    колонок панелей по умолчанию (Max Vasilyev)

[-] Завершающая строка в настройках печати игнорировалась (Anton Fedorov)

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] При HandleChDirCommand=1 в секции [Kernel] DN.INI теперь можно перейти
    на сетевое устройство без предварительного назначения ему буквы диска.
    Для этого следует выполнить команду "cd \\имя_сервера\имя_ресурса"
    (Anton Fedorov)

[*] При сравнении каталогов теперь используются длинные имена файлов
    (Max Morozov)

[*] При копировании файлов системный буфер теперь сбрасывается всякий раз,
    когда записано все содержимое оперативной памяти, при условии, что
    скопировано больше одного мегабайта. Испытания показали, что это повышает
    производительность (Stanislav Olkhovik)

[*] В панели быстрого просмотра отключена подсветка синтаксиса, так как
    для работы подсветки нужно было бы добавить множество новых цветовых
    элементов в палитру (Max Morozov)

[-] Средство поиска иногда находило файлы, не соответствующие заданной маске
    (Anton Fedorov)

[-] При переименовании файла по Alt-F6 в одно из имен файлов описаний,
    например, files.bbs, его содержимое повреждалось (Anton Fedorov)

[-] При переименовании файла между его именем и описанием в файле описаний
    появлялся лишний пробел (Max Vasilyev)

[-] Иногда последнее описание из файла описаний удалялось некорректно
    (Max Vasilyev)

[-] Размер файлов отображался не в соответствии с установками страны
    (Marcin Gryszkalis)

[-] Исправлено отображение размера очень больших файлов, в том числе сжатого
    размера в архивах (Marcin Gryszkalis, Alexey Feldgendler)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Файлы, для просмотра которых используются внешние программы, теперь
    попадают в историю просмотра, за исключением файлов, временно создаваемых
    для просмотра, таких, как файлы внутри архивов (Alexey Feldgendler)

[*] Функция Открыть файл под курсором в Редакторе оптимизирована по скорости
    без изменения логики работы (Anton Fedorov)

[-] Улучшена работа функции Открыть файл под курсором в Редакторе: исправлена
    логика извлечения имени файла из текущей строки, добавлена корректная
    обработка абсолютных путей, внесены косметические исправления в
    пользовательский интерфейс. Кроме того, автоматически созданный файл
    DN.SPF не появлялся на панелях до принудительного обновления
    (Alexey Feldgendler)

[-] Исправлен возможный сбой при открытии окна Редактора (Anton Fedorov)

[-] При открытии файла для редактирования в нем могли появиться лишние пустые
    строки (Anton Fedorov)

[-] После просмотра файла встроенным средством просмотра (Alt-F3) было
    невозможно просмотреть его внешней программой (F3), так как в истории
    просмотра находилась запись об этом файле. Теперь F3 всегда выбирает
    то средство просмотра, которое соответствует расширению этого файла, будь
    то внешняя программа или встроенный модуль. Выбор файла из истории
    просмотра по-прежнему выбирает тот способ просмотра, который был
    использован последним (Alexey Feldgendler)

    >>> Пакет дополнительных файлов для пользователя <<<<<<<<<<<<<<<<<<

[*] Добавлены новые и исправлены некоторые старые примеры в файлах DN.EXT,
    DN.HGL, DN.XRN из пакета дополнительных файлов для пользователя
    (Andrzej Kowalczyk)

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлено чтение архивов WinRAR 2.80 beta 1 и более поздних версий
    (Max Vasilyev)

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Добавлено определение Windows ME (Millennium Edition) (Ondrej Zary)

[*] В Системной информации отображается версия OS/2 Warp Server for e-Business
    (Max Vasilyev)

[-] Иногда в Системной информации завышалось число LPT-портов (Anton Fedorov)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Теперь возможна распаковка образов дискет в формате DDI (Max Vasilyev)

[*] В Калькулятор добавлена функция arcctg как синоним для arccotan
    (Michael Mercuryev)

[-] В Калькуляторе не работала функция sqrt (Michael Mercuryev)

[-] При запуске DN не происходила правильная инициализация палитры VGA
    (Alexey Feldgendler)

[-] После запуска любой внешней программы палитра VGA возвращалась к установке
    по умолчанию (Marcin Gryszkalis)

[-] Когда DN работал в видеорежиме со 132 колонками, начальное состояние меню
    выбора видеорежима не отражало текущий режим (Pawel Ziemian)

[-] Нажатие PgUp во время перемещения окна перемещало его за пределы экрана
    (Alexey Feldgendler)

[-] Окно справки, вызванное из меню, могло располагаться позади него
    (Alexey Feldgendler)

[-] При отображении Справки символы с кодом 255, иногда создающие
    нежелательный визуальный эффект, заменены пробелами (Jaroslaw Osadtchiy)

[-] Внесено множество косметических исправлений в русскоязычный
    пользовательский интерфейс (Michael Mercuryev)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.11
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Устранен конфликт с сервисами длинных имен LFN00X в Windows NT
    (Anton Fedorov)

[-] Устранен конфликт с диспетчером памяти QEMM (Jiri Travnicek)

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Новый параметр DN.INI: RecombineLongLines = bool (секция [Editor]). Как и
    прежде, строки длиннее 255 символов при загрузке в любом случае
    разделяются на несколько сегментов. Но теперь, если включена новая опция,
    каждая строка, длина которой составляет ровно 255 или 254 символа, при
    сохранении файла или записи выделенного блока в файл объединяется со
    следующей строкой. Это позволяет производить ограниченное редактирование
    файлов с длинными строками: можно обычным образом редактировать последний
    сегмент длинной строки, в то время как в предыдущих сегментах возможна
    только замена символов без изменения длины строки. Чтобы отобразить особый
    статус таких строк, они подсвечиваются при наведении курсора
    (Jaroslaw Osadtchiy)

[*] Расширения 1ST, ANI, BAS, CC, CHR, CUR, CXX, DB, DIB, HPP, HXX, JAV, JAVA,
    JS, MAK, ME, MOV и WP добавлены в соответствующие группы подсветки файлов
    по умолчанию (Alexey Feldgendler)

[*] Изменена установка по умолчанию для цвета рамки окна Терминала
    (Alexey Nemytov)

[-] Некоторые символы кириллицы с надстрочными знаками, используемые в русском
    и украинском языках, по умолчанию не подвергались смене регистра
    (Alexey Feldgendler)

[-] Нулевое значение, случайно указанное в качестве продолжительности
    задержки запуска экранной заставки, приводило к зацикливанию DN
    (Alexey Feldgendler)

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Клавиша Menu на 104-клавишных клавиатурах теперь открывает меню,
    соответствующее расширению текущего файла, что позволяет высвободить
    комбинацию клавиш Alt-Enter для нужд Windows (Michael Averbukh)

[-] Типы устройств в меню выбора диска всегда отображались на английском языке
    (Alexey Feldgendler)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Добавлена поддержка текстовых файлов с переводами строк символами LFCR
    (Anton Fedorov)

[-] Исправлено определение способа перевода строки (Alexey Feldgendler)

    >>> Пакет дополнительных файлов для пользователя <<<<<<<<<<<<<<<<<<

[*] В пакет дополнительных файлов для пользователя добавлено множество новых
    таблиц перекодировки (Pavel Protasov, Andrzej Kowalczyk)

[*] Добавлены новые и исправлены некоторые старые примеры в файлах DN.EXT,
    DN.HGL, DN.MNU, DN.SPF из пакета дополнительных файлов для пользователя
    (Andrzej Kowalczyk, Alexey Feldgendler)

[*] Пакет дополнительных файлов для пользователя теперь содержит DN.INI с
    комментариями на английском и русском языках, описывающими каждый параметр
    (Alexey Feldgendler)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Дробление модуля DNUtil на две части и размещение той из них, которая не
    требуется постоянно, в оверлее позволило высвободить некоторое количество
    нижней памяти без ущерба для производительности (Anton Fedorov)

[-] Внесены косметические исправления во множество диалоговых окон в
    русскоязычных ресурсах (Pavel Borodin)


   Версия 1.51.10
  ---------------------------------------------------------------------

    >>> Совместимость <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] DN не работал с длинными именами файлов под Windows NT и dosemu
    (Anton Fedorov)

[-] Под Windows NT работа DN была крайне нестабильной. В частности, невозможно
    было удалить каталог; некоторые строки, выводимые на экран, дублировались
    (Anton Fedorov)

[-] DN не работал в реальном режиме MS-DOS (Anton Fedorov)

[-] Доступ к файлам на сетевых дисках Novell Netware был невозможен
    (Anton Fedorov)

[-] DPMI-версия не обрабатывала ошибки, связанные с файловой системой, такие,
    как, например, физическая ошибка чтения или записи (Anton Fedorov)

[-] Исправлена обработка ошибок, связанных с файловой системой, в среде OS/2
    (Max Vasilyev)

[-] Внесены серьезные изменения в механизм работы с файлами, устраняющие ряд
    проявляющихся и потенциальных ошибок (Anton Fedorov)

[-] Исправлена ошибка при смене каталога в системе MS-DOS (Anton Fedorov)

[*] В реальном режиме снова используется алгоритм быстрой, а не поглощающей
    сортировки. Это позволило повысить как производительность, так и
    надежность версии реального режима (Anton Fedorov)

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Новый параметр DN.INI: UseEnterInViewer = long (секция [Interface]). Когда
    установлено значение 0, нажатие Enter при просмотре файла не производит
    никаких действий, когда установлено 1, Enter закрывает окно просмотра, и,
    наконец, 2 означает, что клавиша Enter должна производить переключение
    между режимами просмотра текста, шестнадцатеричных кодов и дампа
    (Jaroslaw Osadtchiy)

[*] Состав информации, отображаемой в меню выбора дисков, теперь можно
    настраивать, не только редактируя параметр DriveInfoType в файле DN.INI,
    но и используя диалоговое окно настройки интерфейса, в которое были
    добавлены соответствующие опции (Jaroslaw Osadtchiy)

[-] Параметр DN.INI [Kernel] DoVesaTest не действовал (Pawel Ziemian)

[*] Настройки редактора и просмотра реорганизованы и отделены друг от друга
    (Anton Fedorov)

[-] Внесены косметические исправления в окно настройки экранных заставок
    (Alexey Nemytov)

[-] Внесены косметические исправления в диалоговые окна настройки наборов
    колонок (Mariusz Borkowski)

[-] Ключевые слова AutoWrap и WrapJustify в файле DN.HGL были перепутаны между
    собой (Pawel Ziemian, Marcin Gryszkalis)

[-] Если между последним расширением в списке и открывающей скобкой в файле
    DN.EXT были пробелы, то последнее расширение не обрабатывалось
    (Alexey Feldgendler)

[-] Некорректно заданный фильтр расширений U[1-9][1-9] для группы 2 подсветки
    файлов исправлен на U[0-9][1-9] (Alexey Feldgendler)

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Оптимизировано использование оперативной памяти панелями TEMP, ветви
    каталога и результатов поиска (Anton Fedorov)

[-] Перезапуск DN при открытой панели TEMP или результатов поиска вызывал сбой
    (Anton Fedorov)

[-] При отмене в процессе построения ветви каталога теперь отображается пустая
    ветвь без каких-либо нежелательных эффектов (Anton Fedorov)

[*] Теперь DN корректно читает и обновляет файлы с описаниями, где последние
    привязаны к длинным именам файлов. Запись новых описаний по-прежнему
    осуществляется с привязкой к коротким именам (Anton Fedorov)

[-] Исправлены проблемы с обновлением файла описаний при выполнении файловых
    операций: теперь обновление и удаление описаний корректно выполняется при
    копировании, перемещении и удалении файлов, даже если описание одного и
    того же файла присутствует несколько раз (Jaroslaw Osadtchiy)

[-] После автоматического обновления файла с описаниями, например,
    descript.ion, его атрибуты сбрасывались (Anton Fedorov)

[-] Исправлено удаление многострочных описаний файлов (Max Vasilyev)

[-] Иногда при выходе из подкаталога или архива можно было по ошибке попасть в
    корневой каталог (Anton Fedorov)

[-] Вход в архивы, содержащие подкаталоги, вызывал утечку оперативной памяти
    (Anton Fedorov)

[-] Исправлено извлечение файлов из архивов, не имеющих расширений
    (Anton Fedorov)

[-] Исправлен запуск на выполнение файлов, не имеющих расширений
    (Anton Fedorov)

[-] Программам, запускаемым из меню пользователя, не передавались списки
    выделенных файлов (Anton Fedorov)

[-] При сортировке файлов по длинному расширению, файлы с именами, состоящими
    из одного символа, и без расширений оказывались в начале списка
    (Anton Fedorov)

[-] Сортировка пустого списка файлов приводила к сбою (Anton Fedorov)

[-] Иногда было невозможно перейти на другой диск при помощи клавиш
    Ctrl-Влево и Ctrl-Вправо (Anton Fedorov)

[-] Нажатие Ctrl-[ или Ctrl-] иногда могло вызвать сбой (Anton Fedorov)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлено переключение между режимами просмотра и редактирования
    текстового файла (Anton Fedorov)

[-] При просмотре файлов, в которых перевод строки обозначен одиночными CR или
    LF, прокрутка к началу текста вызывала сбой (Anton Fedorov)

[-] При просмотре файлов длинные текстовые строки отображались некорректно
    (Anton Fedorov)

[-] Горизонтальная полоса прокрутки редактора могла отображаться вне его окна
    (Anton Fedorov)

[-] Позиции табуляции в редакторе были смещены на один символ (Pawel Ziemian)

[-] В редакторе не работала макрокоманда MoveDown (Alexey Feldgendler)

[-] Фильтры {32-127} и {32-255} при просмотре не действовали (Anton Fedorov)

[-] При просмотре файла в режиме шестнадцатеричных кодов последний символ
    каждой строки не перекодировался в соответствии с текущей кодовой таблицей
    (Alexey Nemytov)

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Добавлена поддержка самораспаковывающихся архивов IS3 (Max Vasilyev)

[*] Оптимизировано чтение архивов ARJ, а также самораспаковывающихся архивов с
    исполнимыми частями в формате NE (Max Vasilyev)

[*] Улучшено распознавание архивов ARC, QuArk, UFA, а также
    самораспаковывающихся архивов ARJ (Max Vasilyev)

[*] В связи с появлением параметра архиваторов Включая подкаталоги обновлены
    настройки по умолчанию для архиваторов QuArk и UFA (Max Vasilyev)

[-] Расширение архивов QuArk было некорректно указано как QRK (Max Vasilyev)

[-] Некорректные архивы IS3 и LHA, а также некоторые некорректные
    самораспаковывающиеся архивы вызывали сбой в DN (Max Vasilyev)

[-] Исправлены ключи архиватора ACE для совместимости с ACE версии 2.0
    (Max Vasilyev)

    >>> Просмотр баз данных <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] При просмотре баз данных теперь можно использовать полосы прокрутки
    (Eugeny Zvyagintzev)

[*] При просмотре структуры базы данных отображаются порядковые номера полей
    (Anton Fedorov)

[*] После редактирования полей базы данных из них автоматически удаляются
    концевые пробелы (Oleg Redut)

[*] Значительно ускорен поиск текста в базе данных (Anton Fedorov)

[-] Исправлен поиск текстовой строки по всем полям базы данных
    (Eugeny Zvyagintzev)

[-] Исправлено редактирование полей даты в базах данных (Anton Fedorov)

[-] Команда Уложить черепицей в меню Окно теперь действует и на окно просмотра
    базы данных (Eugeny Zvyagintzev)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Теперь при поиске маска файлов отображается, даже если это *.*
    (Pavel Borodin)

[-] Внесены множественные косметические исправления в пользовательский
    интерфейс (Pavel Borodin)

[*] Возвращены функции sum() и mul() для электронных таблиц (Anton Fedorov)

[-] Исправлены русскоязычные ресурсы для электронных таблиц (Alexey Nemytov)

[-] Внесены косметические изменения в систему меню и некоторые диалоговые окна
    (Jiri Travnicek)

[-] Исправлено несколько опечаток и пунктуационных ошибок в тексте справки на
    русском языке (Alexey Feldgendler)

[-] Понятия Распахнуть и Минимизировать в русскоязычных ресурсах для меню Окно
    не соответствовали англоязычным аналогам (Alexey Nemytov)

[-] Диалоговое окно дополнительных параметров форматирования диска всегда
    отображалось с надписями на английском языке (Jaroslaw Osadtchiy)

[-] Попытка получить справку во время перемещения уже открытого окна справки
    вызывала сбой (Anton Fedorov)

[-] Исправлена работа окна О программе (Anton Fedorov, Oleg Redut)

[-] Иногда командная строка скрывала последнюю строку информации, выведенной
    внешними программами (Anton Fedorov)

[-] Заголовок окна выбора звуковой дорожки на компакт-диске мог отображаться
    неверно (Anton Fedorov)

[-] При сортировке записей в телефонной книжке строка ".." могла оказаться не
    на первом месте (Denis Afonin)

[-] Исправлены ошибки в Калькуляторе (Anton Fedorov)

[-] Если первое число месяца приходилось на воскресенье, оно не отображалось в
    Календаре (Jaroslaw Osadtchiy)

[-] Исправлен возможный сбой при отображении Системной информации
    (Konstantin Kuznetsov)

[-] Исправлено отображение версии OS/2 в Системной информации
    (Mariusz Borkowski, Max Vasilyev)

[-] При запуске отдельных сеансов OS/2 в DPMI-версии был возможен сбой
    (Max Vasilyev)

[-] DN реального режима зависал после выхода из экранной заставки
    (Alexey Nemytov)

[-] Исправлены многочисленные внутренние ошибки (Jiri Travnicek)

[-] Устранена потенциальная внутренняя проблема, связанная с неявным
    преобразованием типов данных (Alexey Feldgendler)

[-] Некоторые модули перемещены из оверлейного файла в основной код, так как
    производительность DN в отсутствие доступа к расширенной памяти и без
    дискового кэша была неудовлетворительной (Alexey Feldgendler)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.09
  ---------------------------------------------------------------------

[*] Добавлена поддержка самораспаковывающихся архивов с исполнимыми частями в
    формате LE (Max Vasilyev)

[*] Новая опция Плавающее расширение позволяет автоматически отводить для
    имен файлов без расширений всю ширину колонки
    (Anton Fedorov, Max Vasilyev)

[-] Исправлено чтение файлов GZIP (Anton Fedorov)

[-] Alt-3 и Alt-9 на дополнительной клавиатуре срабатывали как Alt-PageDown и
    Alt-PageUp (Anton Fedorov)

[-] Исправлено открытие справочной системы во время перетаскивании окна
    (Anton Fedorov)

[-] Исправлена работа Игры после перезапуска DN (Anton Fedorov)

[-] Исправлена работа функции Распаковать образы дискет для образов,
    содержащих файлы с длинными именами. В настоящий момент длинные имена не
    обрабатываются, но это только временная мера (Max Vasilyev)

[+] При просмотре баз данных теперь можно удалять и восстанавливать записи
    (Eugeny Zvyagintzev)

[-] Исправлено определение версии Windows (Max Vasilyev)

[-] Архиватор ARJ теперь считается совместимым с длинными именами файлов, в
    связи с чем изменены его настройки по умолчанию (Max Vasilyev)

[-] Некоторые комбинации клавиш не срабатывали с первого раза (Anton Fedorov)

[-] При значительной величине горизонтальной прокрутки в просмотре происходил
    сбой (Anton Fedorov)

[-] В среде DOS иногда не создавался файл DN.SWP, когда это было необходимо
    (Anton Fedorov)

[-] В режиме рисования линий в редакторе иногда происходило выделение блока
    (Anton Fedorov)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.08
  ---------------------------------------------------------------------

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Добавлены расширения PAT, NFO, UUE, UU[1-9] и U[1-9][1-9] в группу файлов
    2 (текст), WMA расширение в группу 7 (аудио) и REG в группу 8
    (конфигурации) (Anton Fedorov)

[*] Диалоговое окно настройки групп подсветки теперь содержит пример цвета
    каждой группы (Anton Fedorov)

[*] Подтверждение о выходе теперь стоит на последнем месте в диалоге
    Подтверждения (Anton Fedorov)

[-] Исправлена обработка значения задержки запуска экранных заставок
    (Anton Fedorov)

[-] Исправлена обработка комментариев в файлах настройки отбработки файлов
    по расширениям (Anton Fedorov)

[-] После перезапуска не восстанавливалась чувствительность мыши
    (Anton Fedorov)

[*] Удален параметр DN.INI StoreVideoMode2 (Pawel Ziemian)

[+] Новый параметр DN.INI: StoreVideoMode = long (секция [Kernel]). 0 означает
    нигде не сохранять видеорежим выбранный из меню, 1 означает сохранять его
    как видео режим 1, 2 означает сохранять его как видео режим 2.
    (Pawel Ziemian)

[+] Новый параметр DN.INI: DoVESATest = bool (секция [Kernel]). Когда включен,
    доступны расширенные видеорежимы VESA со 132 символами в ширину, но
    Windows будет производить раздражающее переключение в полный экран
    (Pawel Ziemian)

[*] Специфичные для DN видео режимы теперь кодируются номерами,
    не конфликтующими с расширенными режимами VESA. Для получения необходимого
    видео режима нужно сложить два числа, первое должно быть 128 для
    горизонтального размера в 40 символов, 144 для 80 и 160 для 94, и второе
    должно быть 0 для вертикального размера в 12 символов, 1 для 14, 2 для 25,
    3 для 30, 4 для 34, 5 для 43, 6 для 50 и 7 для 60 (Pawel Ziemian)

[*] Исправлены настройки для альтернативного видеорежима 1, чтобы он вновь
    соответствовал режиму 80х30 (Anton Fedorov)

[*] Изменены некоторые настройки по умолчанию в соответствии с желаниями
    большинства пользователей (Max Vasilyev)

[*] Добавлены параметры для отображения серийного номера диска и типа
    файловой системы в Панели информации (Ondrej Zary)

[+] Новый параметр DN.INI: PreserveMenuPositions = bool (секция [Interface]).
    Когда включен, текущие позиции во всех меню сохраняются между запусками
    DN (Anton Fedorov)

[-] Параметр DN.INI HistoryErrorBeep игнорировался для историй ввода
    (Anton Fedorov)

[*] В то время как параметр DN.INI QuickRenameInDialog определяет, какой
    метод быстрого переименования должен использоваться по Alt-F6, клавиши
    Alt-Shift-F6 позволяют использовать другой метод (Anton Fedorov)

[*] Исправлены значения по умолчанию параметров панелей 3 и 4 (Max Vasilyev)

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Регистр Смешано вновь имеет старый смысл (Anton Fedorov)

[-] Ctrl-Shift-Стрелки приводили к странным эффектам в командной строке
    (Anton Fedorov)

[*] Произведено несколько внутренних оптимизаций для значительного уменьшения
    времени чтения каталога. Эта же технология применена к панели Ветвь
    (Anton Fedorov)

[-] Иногда командная строка могла переключиться в режим запуска OS/2 сессии
    в операционных системах, отличных от OS/2 (Anton Fedorov)

[-] Когда видна одна панель, Ctrl-Стрелки меняют диск только на ней. В прежних
    версиях было возможно изменять устройство на невидимой панели
    (Anton Fedorov)

[-] Возвращена информация о содержимом TEMP панели, отображаемая в панели
    информации (Anton Fedorov)

[-] Было невозможно редактировать описание файла, когда отсутствовал файл с
    описаниями (Anton Fedorov)

[-] Исправлена старая ошибка: когда перемещали файл в директорию, где был
    файл с подобным именем, открывалось окно подтверждения записи, где не
    работала опция Имя (Anton Fedorov)

[-] Не работала подсветка файлов с расширениями, содержащими закрывающую
    квадратную скобку (Anton Fedorov)

[-] Исправлена ошибка в сортировке файлов по длинному расширению
    (Anton Fedorov)

[-] При удалении файлов с многострочными описаниями, удалялась только первая
    строка описания (Max Vasilyev)

[-] Движение влево и вправо в файловой панели вызывало нежелательную прокрутку
    (Anton Fedorov)

[-] Был невозможен быстрый поиск файлов, имена которых содержали квадратные
    скобки (Anton Fedorov)

[-] Исправлена операция копирования при перетаскивании мышью (Anton Fedorov)

[*] Alt-Shift-Влево и Вправо перемещают вертикальный разделитель между
    панелями с большим шагом (Anton Fedorov)

[-] Общее число файлов отображаемое внизу панелей было на единицу больше
    реального количества (Anton Fedorov)

[-] Сборка разделенных файлов не работала, если ее запускать не с первой
    секции (Anton Fedorov)

[-] В диалоге разделения файлов строка ввода содержала последнюю запись
    истории, а не каталог приемника (Anton Fedorov)

[-] Исправлена ошибка, приводившая к ошибке при сортировке большого количества
    файлов (Anton Fedorov)

[-] Исправлена информация о большом количестве файлов (Anton Fedorov)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] В редакторе символ с кодом 0 был по умолчанию для строки замены в
    редакторе, вместо пустой строки (Anton Fedorov)

[*] При поиске файла по Ctrl-Enter в редакторе теперь возможно прервать поиск
    по нажатию Esc (Anton Fedorov)

[-] Немного исправлена логика работы поиска файла по Ctrl-Enter
    (Anton Fedorov)

[-] Исправлена логика изменения скорости прокрутки в просмотре (Anton Fedorov)

[*] Файлы, не описанные в DN.HGL, теперь не используют подсветку синтаксиса
    (Pawel Ziemian)

[-] Окно состояния поиска в DBF не содержало закрывающей кавычки
    (Anton Fedorov)

[-] Из-за внутренней ошибки некоторые команды редактора могли отсутствовать
    (Pawel Ziemian)

[*] В подсветке синтаксиса добавлен флаг к основным опциям (значение 128)
    (параметр GENERALFLAGS) который позволяет распознавать вещественные числа,
    у которых отсутствует целая часть и добавлен флаг к строковым параметрам
    (значение 128) (параметр STRINGFLAGS) который заставляет относить
    управляющие символы вида ^символ к строкам только если за символом идет
    не буква (это позволяет решить некоторые проблемы с синтаксисом Pascal)
    (Pawel Ziemian)

[*] По крайней мере временно удален дизассемблер (Max Vasilyev)

[-] При замене всех вхождений в редакторе итоговая информация была неверна
    (Max Vasilyev)

[-] Не всегда корректно работала прокрутка в просмотре (Anton Fedorov)

[-] Было невозможно прервать поиск в DBF просмотре (Anton Fedorov)

[-] После редактирования файла, прошедшего через внешний фильтр, в историю
    редактирования добавлялась пустая запись (Anton Fedorov)

[-] Не подсвечивались комментарии на текущей строке (Anton Fedorov)

[-] Была нарушена печать из редактора (Anton Fedorov)

[-] Редактор работал слишком медленно в реальном режиме (Anton Fedorov)

[*] Заголовок панели списка теперь имеет соответствующую приставку
    (Anton Fedorov)

[*] Shift-F6 в просмотре не сбрасывает таблицу перекодировки. Вместо этого
    отображается меню со всеми доступными таблицами перекодировки. Нажатие
    Backspace в этом меню удаляет перекодировочную таблицу, нажатие Пробел
    открывает окно выбора XLT-файла (Anton Fedorov)

[-] Отсутствовала команда Перейти в редакторе электронных таблиц
    (Anton Fedorov)

[*] В просмотре появилась команда Перейти, действующая аналогично одноименной
    команде редактора (Anton Fedorov)

[*] Alt-F7 производит обратный поиск в DBF просмотре (Anton Fedorov)

[*] Добавлена опция Smart Tab в локальное меню редактора (Anton Fedorov)

[*] Просмотр пустых баз данных сохраняется в истории (Anton Fedorov)

[-] DN не работал при просмотре DBF файла с полем нулевой длины, создаваемых
    некоторыми утилитами (Anton Fedorov)

[-] Рамка окна редактора некорректно подсвечивалась (Anton Fedorov)

[-] Установка по умолчанию для замены табуляции игнорировалась (Anton Fedorov)

[-] Горизонтальная строка прокрутки могла иметь некорректный размер при
    изменении окна редактора (Anton Fedorov)

[-] Исправлена установка случайных атрибутов при создании новых файлов
    редактором (Anton Fedorov)

[*] После печати блока из редактора не выполняется прогон страницы
    (Anton Fedorov)

    >>> Поиск <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Поиск строки в файлах не работал, если файл был размером меньше двух длин
    искомой строки (Anton Fedorov)

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлена обработка AIN и UC2 архивов (Max Vasilyev)

[-] После выхода из архива, выбранного из истории каталогов, DN возвращался
    в последний каталог. Теперь выход происходит в каталог, содержащий архив
    (Anton Fedorov)

[-] Исправлена ошибка упаковки директорий (Anton Fedorov)

[-] Когда запускались AIN и UC2, включался режим мигания (Max Vasilyev)

[-] Некорректные AIN архивы могли вызвать зависание DN (Max Vasilyev)

[-] Исправлено и оптимизировано определение AIN, GZip, LHA и UC2 архивов, а
    также ARJ 2.72 SFX архивов (Max Vasilyev)

[-] Исправлена обработка TDR откатом к коду DN 1.51 без потери
    функциональности (Anton Fedorov)

[+] Добавлена новая опция архиваторов: Включая подкаталоги. По умолчанию
    включена для тех архиваторов, которые производят рекурсивное сканирование
    только для маски *.*. Не установлена для тех, кто производит сканирование
    всегда, и при упаковке одного файла могли упаковать все с такими именами
    из подкаталогов (Max Vasilyev)

[*] Улучшены значения по умолчанию для большинства архиваторов (Max Vasilyev)

[*] Улучшено определение SFX архивов (Max Vasilyev)

[-] Исправлено чтение маленьких LHA архивов (Max Vasilyev)

[*] Исправлен запуск HPACK (Max Vasilyev)

[-] Длинные опции архиваторов могли быть укорочены (Max Vasilyev)

[*] Во избежание сбоев, упаковщики и распаковщики, имеющие расширения,
    отличающиеся от EXE или COM, вызываются через командный процессор, даже
    когда опция Своп при работе выключена (Anton Fedorov)

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Больше DOS поставщиков, Windows позднее, чем 95 и OS/2, позднее, чем
    Warp 3, теперь корректно отображаются в Информации о системе
    (Mariusz Borkowski)

[-] Определение скорости процессора приводило к зависанию в чистом DOS
    (Max Vasilyev)

[-] Исправлены ресурсы для системной информации (Max Vasilyev)

[-] Исправлено определение OS/2 и некоторых Windows версий (Max Vasilyev)

[-] Исправлено отображение больше чем 64 мегабайта памяти (Max Vasilyev)

[-] Исправлена ошибка, когда DN определял четыре LPT порта (Max Vasilyev)

    >>> Косметические исправления <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Небольшие изменения в диалоге после форматирования в русских ресурсах
    (Anton Fedorov)

[*] Строка состояния теперь отображает команды, сочетания клавиш для которых
    содержат Ctrl и Alt вместе (Anton Fedorov)

[-] Меню пользователя иногда имело неверное положение (Anton Fedorov)

[-] Исправлена записная книжка. Теперь секции сортируются каждый раз после
    загрузки и после переименования (Anton Fedorov)

[-] Исправлен код определения времени, спасибо Павлу Бородину (Anton Fedorov)

[-] Исправлены некоторые ошибки в английских ресурсах (Mariusz Borkowski)

[-] Отсутствовали горячие клавиши для кнопок ОК и Помощь (Pavel Borodin)

[*] В английских ресурсах теперь T в CD проигрывателе работает для
    Time, а не для Title (доступной через L). R теперь для Track list
    (JITRsoftware)

[-] Исправлена косметическая ошибка в списке дорожек CD (JITRsoftware)

[*] Тетрис, Менеджер печати, Календарь и Калькулятор теперь тоже имеют
    порядковые номера (Anton Fedorov)

[*] Заголовок окна задачи Windows 9x теперь формируется, правильно
    укорачиваясь при необходимости (Max Vasilyev)

[*] F9 и Shift-F9 теперь доступны в окне набора номера (Anton Fedorov)

[*] PgUp и PgDn теперь работают в меню (Anton Fedorov)

[*] При открытии истории каталогов, вторая запись выбирается автоматически
    (Anton Fedorov)

[*] При нажатии стрелки в меню или прокручивании его мышью, прокрутка
    останавливается в начале или конце и не продолжается до отпускания
    клавиши или батона мыши (Anton Fedorov)

[*] В случае сбоя DN запрашивает его описание (Anton Fedorov)

[*] Изменен вид диалога настройки параметров панели по умолчанию в русских
    ресурсах (Anton Fedorov)

[-] DPMI-версия при запуске определяла себя как DOS-версию (Anton Fedorov)

    >>> Исполнение программ <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Иногда не удалялся DN.SWP (Anton Fedorov)

[-] Исправлен сбой, когда переменная окружения DN указывала на не существующий
    путь (Vladimir Korablin)

[*] Временные списки файлов теперь имеют уникальные имена. Это устраняет
    конфликты между несколькими копиями DN запущенными одновременно
    (Anton Fedorov)

[-] Внешние программы, запущенные при помощи Quick Run, не имели доступа к
    списку выделенных файлов (Anton Fedorov)

[*] При использовании в многозадачных операционных системах, различные копии
    запущенного DN сохраняют свое состояние в раздельных временных файлах для
    предотвращения нежелательных взаимных воздействий (Anton Fedorov)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Изменена логика изменения размеров окон. Alt-Z теперь переключает между
    максимумов (с полностью видимыми рамками) и предыдущим размером, а
    Ctrl-Alt-Z переключает в распахнутый режим, когда не видны рамки, и
    обратно. Это верно для редактора, просмотра и терминала.
    В менеджере файлов также произошли изменения: Ctrl-Alt-Z теперь только
    распахивает текущую панель на весь размер окна файлового менеджера, не
    увеличивая его размера, и увеличивает размер на весь экран по Alt-Z.
    Это вызвало изменение формата файла DN.DSK (Anton Fedorov)

[*] Переписан менеджер экрана. Теперь он позволяет использовать больше
    текстовых режимов (40, 80, 94 на 12, 14, ..., 60) и не имеет проблем с
    VESA режимами под DPMI (Pawel Ziemian)

[-] Из-за внутренней ошибки DN нельзя было использовать под не-Windows 9x
    окружением с доступным LFN API (Max Vasilyev)

[-] Внутренние изменения подсветки синтаксиса (Pawel Ziemian)

[-] DPMI версия не работала с пользовательским меню, первая запись которого
    была пустой (Anton Fedorov)

[-] После игры в Тетрис DN прекращал работать (Anton Fedorov)

[-] Иногда после загрузки палитры DN не работал (Pawel Ziemian)

[-] Исправлены многочисленные ошибки в работе с VGA палитрой (Anton Fedorov)

[-] DN не работал при отсутствии файлов помощи (Anton Fedorov)

[-] Не работала печать в DPMI режиме (Anton Fedorov)

[-] Внутренние исправления в прямом доступе к диску
    (Max Vasilyev, Anton Fedorov)

[-] Реаниматор и Редактор диска не работали в режиме DPMI (Sergey Korshunoff)

[-] Не работало стирание файлов при включенном прямом доступе (Anton Fedorov)

[-] Было невозможно вычислить арксинус и арккосинус от 1 и -1 (Anton Fedorov)

[-] Отсутствовал унарный оператор минус в Калькуляторе (Anton Fedorov)

[-] Некорректно удалялись завершающие нули из экспоненты десятичных чисел
    (Anton Fedorov)

[-] Исправлены многочисленные ошибки в Navigator Link (Anton Fedorov)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.07
  ---------------------------------------------------------------------

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Новый параметр DN.INI: HistoryErrorBeep = bool (секция [Interface]). Если
    включено, при нажатии Del в истории ввода на "замороженном" элементе
    выдается звуковой сигнал. В противном случае нажатие Del на таком элементе
    просто игнорируется (Anton Fedorov)

[-] Не работал параметр настройки менеджера файлов Обозначать отметку
    (Anton Fedorov)

[+] Для каждого архиватора доступна новая опция Использовать длинные имена
    файлов (соответствует новому параметру ARCHIVER.INI UseLFN = bool).
    Правильная установка этой опции позволяет избежать проблем с некоторыми
    архиваторами (Anton Fedorov)

[+] Добавлены два новых значения для параметра DN.INI DriveInfoType (секция
    [Interface]), доступные для использования совместно с остальными:
    16 - Включать в меню выбора дисков каталоги быстрого доступа
    32 - Отображать число файлов и каталогов на устройстве TEMP
    (Anton Fedorov)

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Появилась возможность преобразования регистра имен файлов. При нажатии
    Ctrl-Alt-F6 выдается диалоговое окно с образцами (Anton Fedorov)

[*] Изменен состав групп файлов по умолчанию. Звуковые файлы и видеоролики
    объединены, а освободившаяся группа использована для "офисных" файлов
    (Max Vasilyev)

[*] Если при копировании или перемещении группы файлов в маске файла-приемника
    появляется символ "<", это означает, что соответствующий символ имени
    файла-источника должен быть удален (Anton Fedorov)

[-] После перетаскивания файлов мышью индикатор хода выполнения всегда
    заполнялся слева направо, независимо от установки ReflectCopyDirection в
    DN.INI (Anton Fedorov)

[-] После переименования каталога курсор не перемещался должным образом
    (Anton Fedorov)

[-] Перемещение по панели влево и вправо не всегда работало правильно
    (Anton Fedorov)

[*] Теперь Строка дисков автоматически сжимается так, чтобы угол окна панели,
    предназначенный для изменения ее размеров, всегда оставался видимым
    (Anton Fedorov)

[*] Теперь невозможно перейти на сменный диск, которого нет в устройстве
    (использован код из Yasha, автор линии Yasha: Sergey Korshunoff)

[*] Исправлена работа с описаниями (Anton Fedorov)

[*] При разбиении (Split) доступен новый параметр Число секций. Теперь, если
    параметр Размер секции пуст, то он выбирается таким, чтобы в результате
    получилось нужное количество секций. Также изменена логика сборки файлов.
    Теперь сначала проверяется наличие следующего файла в текущем каталоге, в
    случае отсутствия предлагается диалоговое окно с возможностью
    редактирования пути к файлу (Anton Fedorov)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Поиск в просмотре работает корректно и после применения таблицы
    перекодировки (Anton Fedorov)

[+] Теперь скорость прокрутки мышью в просмотре зависит от места, где нажата
    кнопка мыши: чем больше расстояние до середины окна по вертикали, тем
    быстрее происходит прокрутка (Anton Fedorov)

[-] Исправлен перезапуск DN с открытым для просмотра файлом из архива или
    прошедшим обработку внешним фильтром (Anton Fedorov)

[-] Исправлены обработка табуляции, перенос строк и дизассемблер в просмотре
    (Anton Fedorov)

[-] Исправлено чтение файла раскраски редактора DN.HGL (Pawel Ziemian)

[-] Исправлена обработка окон редактора в Менеджере окон (Anton Fedorov)

    >>> Поиск <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь панель результатов поиска содержит в заголовке полный контекст
    (Anton Fedorov)

[+] Как в файловых панелях, так и в дереве каталогов корректно работает
    быстрый поиск: короткое или длинное имя выбираются автоматически
    (Anton Fedorov)

[-] При быстром поиске по CapsLock-<буква> не выключался индикатор CapsLock
    (Anton Fedorov)

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Во время чтения архива TGZ отображается индикатор хода выполнения
    (Anton Fedorov)

[-] Исправлено чтение архивов TGZ (Anton Fedorov)

[-] Исправлена работа с архивами ACE (Max Vasilyev)

[-] Исправлено распознавание самораспаковывающихся архивов (Max Vasilyev)

[-] Длинное имя архиватору теперь передается в кавычках (Anton Fedorov)

    >>> Терминал <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Исправлены сбои Терминала в некоторых ситуациях (Anton Fedorov)

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Распознавание некоторых версий Windows удалено вследствие невозможности
    корректного определения (Max Vasilyev)

[*] Улучшено отображение версии OS/2 (Max Vasilyev)

[-] Информация о сопроцессоре всегда выводилась по-английски (Max Vasilyev)

[*] DPMI-версия теперь отображает размер доступной EMS- и XMS-памяти
    (Anton Fedorov)

    >>> Калькулятор <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Полностью переписан Калькулятор (Anton Fedorov)

[+] Новый Калькулятор понимает дробные числа в разных системах счисления
    (Anton Fedorov)

[+] Добавлена функция root(a,x) - извлечение арифметического корня степени a
    из x (Anton Fedorov)

[+] Добавлены гиперболические функции sh(x), arsh(x), ch(x), arch(x), th(x),
    arth(x), cth(x), arcth(x) (Anton Fedorov)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь открываемым окнам присваиваются номера от 1 до 9, причем каждому
    новому окну выделяется первый свободный номер. Переключение между окнами
    по номерам возможно нажатием Ctrl-Shift-1..Ctrl-Shift-9 (Anton Fedorov)

[*] Переключение между открытыми окнами того же типа, что и текущее, стало
    возможным по Shift-Gray "+" и Shift-Gray "-" (Anton Fedorov)

[*] Палитры, входящие в комплект DN, изменены так, чтобы соответствовать
    увеличенному количеству групп раскраски файлов. Новые цветовые схемы
    оптимизированы для работы при любом освещении как в оконном, так и в
    полноэкранном режиме (Max Vasilyev)

[*] Нажатие кнопки мыши на верхней или нижней рамках меню вызывает прокрутку с
    постоянной скоростью (Anton Fedorov)

[*] Имена файлов в заголовке окна консоли Windows 9x отображаются полностью
    (Anton Fedorov)

[+] Оптимизирован загрузчик DN.COM (Max Vasilyev)

[*] Улучшена и сделана независимой от производительности процессора отработка
    временных задержек (Anton Fedorov)

[-] Исправлена упаковка отладочного файла DN.MPP (Pawel Ziemian)

[-] Исправлена логика отображения меню редактора (Anton Fedorov)

[-] Исправлены многочисленные ошибки в работе справочной системы
    (Anton Fedorov)

[-] Диалоговое окно Открыть файл могло вызвать зависание в чистом DOS
    (Anton Fedorov)

[-] Исправлена коллизия подсвеченных букв в меню Файл в русскоязычных ресурсах
    (Anton Fedorov)

[-] Исправлен алгоритм определения доступности сервиса длинных имен файлов
    (Anton Fedorov)

[-] Исправлено открытие файлов в редакторе (Anton Fedorov)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.06
  ---------------------------------------------------------------------

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Полностью заменен модуль обработки DN.INI. Теперь, в частности,
    комментарии остаются нетронутыми при сохранении параметров (Anton Fedorov)

[+] Новый параметр DN.INI: SmartWindowsBoxClose = bool (секция [Kernel]).
    Когда параметр включен, попытка закрытия окна консоли Windows 9x/2000
    эквивалентна нажатию Alt-X в DN (Jaroslaw Osadtchiy)

[+] Новый параметр DN.INI: StoreVideoMode2 = bool (секция [Kernel]). Значение
    1 указывает, что видеорежим, выбранный по Shift-F12, должен сохраняться
    как второй режим (Anton Fedorov)

[+] Новый параметр DN.INI: ReflectCopyDirection = bool (секция [Interface]).
    При установленном значении 1 индикатор копирования растет справа налево
    при копировании с правой панели в левую (Anton Fedorov)

[+] Новые параметры DN.INI: ReuseViewers = long, ReuseEditors = long (секция
    [Interface]). Первый параметр определяет поведение окон просмотра, второй
    - поведение окон редактора. Когда установлено значение 1, вместо открытия
    второго окна для одного и того же файла происходит запрос на активизацию
    уже существующего окна. При значении 2 активизация существующего окна в
    таких случаях выполняется без запросов. При нулевом значении всегда
    открывается новое окно (Anton Novosyolov, Anton Fedorov)

[+] Новый параметр DN.INI: QuickRenameInDialog = bool (секция [FilePanels]).
    Значение 1 определяет, что быстрое переименование файлов по Alt-F6 должно
    производиться в отдельном диалоговом окне (Anton Fedorov)

[+] Новый параметр DN.INI: RightAlignClock = bool (секция [Clock]). Когда
    включен, часы всегда находятся вплотную к правому краю экрана
    (Anton Novosyolov)

[+] Теперь настройки архиваторов хранятся в текстовом виде в файле
    ARCHIVER.INI. Автоматически там сохраняются только измененные
    пользователем настройки. Если необходимо записать туда все настройки,
    можно воспользоваться новой командой Обновить ARCHIVER.INI из подменю
    Архиваторы меню Настройки (Anton Fedorov)

[+] Добавлены дополнительные параметры, передаваемые архиваторам при упаковке
    (Jaroslaw Osadtchiy)

[*] Опция создания самораспаковывающихся архивов теперь доступна в окне
    Архивировать (Anton Fedorov)

[-] Исправлены ошибки обработки DN.XRN (Anton Fedorov)

[+] При нажатии Ctrl-Enter в редакторе, если файл не найден, пользователю
    предлагается создать такой файл или настроить пути поиска в DN.SPF
    (Anton Fedorov)

[+] Вместо выдачи сообщения о необходимости ввода параметров FTN-сети
    отображается соответствующее диалоговое окно (Anton Fedorov)

[+] Новый параметр системной конфигурации, устанавливаемый отдельно для
    каждого диска: Проверять свободное место. Если включен, свободное место
    при копировании на это устройство проверяется по умолчанию (Anton Fedorov)

[*] Теперь значения флажков Проверять запись и Проверять свободное место в
    диалоговом окне копирования файлов зависят от того, какой диск выбран на
    пассивной панели в момент открытия диалога, и имеют приоритет над
    настройками дисков из системных установок (Anton Fedorov)

[+] Добавлена опция Всегда копировать описания в настройках менеджера файлов.
    Когда эта опция включена, параметр Копировать описания в окне копирования
    файлов будет всегда включен по умолчанию. В этом режиме все файлы с
    описаниями (descript.ion, files.bbs и другие) будут исключены из операций
    пометки файлов по маске и инвертирования пометки (Jaroslaw Osadtchiy)

[+] Добавлена опция альтернативной логики различения Ctrl. Если она включена,
    то правый Ctrl при выборе устройства относится к активной панели, а левый
    - к пассивной. Когда опция отключена, левый Ctrl относится к левой панели,
    а правый - к правой (Anton Fedorov)

[+] Число групп подсветки увеличено с 5 до 10 (Jaroslaw Osadtchiy)

[+] В диалоговом окне Страна появилась кнопка для импортирования параметров
    настройки из драйвера национальных особенностей DOS (Pawel Ziemian)

[+] Добавлены опции для включения и отключения подсветки синтаксиса и функции
    SmartTab в редакторе и подсветки синтаксиса при просмотре (Anton Fedorov)

[-] Исправлена ошибка восстановления видеорежима при выходе из DN
    (Anton Fedorov)

[*] Теперь в меню выбора видеорежима курсор позиционируется на текущем
    видеорежиме (Sergey Korshunoff)

[-] Исправлена ошибка сохранения положения часов и урны (Anton Fedorov)

[*] Добавлена возможность отключения предупреждения о форматировании под OS/2
    (Jaroslaw Osadtchiy)

[*] Установка переменной OS2COMSPEC теперь не требуется для запуска приложений
    OS/2 под OS/2 Warp 3+ (Mariusz Borkowski)

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] После использования Alt-Enter меню для файла с данным расширением
    отображалось и по нажатию F2 (Anton Fedorov)

[+] Улучшен алгоритм сопоставления расширений файлов, так что теперь файл
    file.tar.gz попадает под спецификации расширений gz и tar.gz, а file.html
    - под спецификации htm и html (Anton Fedorov)

[+] Теперь везде, где требуется маска имен файлов, можно использовать символы
    * и ? в любом количестве, а также:
        [abc0-9_] - любой из символов abc0123456789_ (ровно один)
        [^ax-z] - любой символ, кроме axyz (ровно один)
        "символы" - любые символы "как есть", включая специальные
    (Anton Fedorov)

[*] Новая логика работы режима отображения имен Смешано: файл отображается
    "как есть", если в его имени присутствуют и заглавные, и строчные буквы
    (Jaroslaw Osadtchiy)

[-] Исправлена работа подстановок пути (!\ и других) для элемента ..
    (Anton Fedorov)

[*] При рассечении файла теперь можно указать произвольный размер секции
    (Anton Fedorov)

[+] При отсутствии файлов dirinfo и file_id.diz, в панели информации
    отображается содержимое readme.txt. Содержимое этих файлов теперь
    прокручивается (Anton Fedorov)

[+] Такие файловые операции, как копирование и архивирование, при нажатии
    соответствующей клавиши на элементе .. выполняются над всеми файлами в
    текущем каталоге (Anton Fedorov)

[*] При нажатии F5 или F6, если на обеих панелях активен один и тот же
    каталог, в строке ввода не отображается путь к файлу (Anton Fedorov)

[*] Если при копировании или перемещении группы файлов в маске файла-приемника
    появляется символ ">", это означает, что следующий символ должен не
    заменить существующий, а быть вставленным в имя (Anton Fedorov)

[*] Включение и выключение показа описаний в файловых панелях теперь возможно
    также клавишами Alt-; (Alt-точка с запятой) (Anton Fedorov)

[+] Базы данных и электронные таблицы сохраняются в истории просмотра, включая
    позицию внутри файла (Anton Fedorov)

[+] Каталоги внутри архивов и оглавлений Arvid сохраняются в истории каталогов
    (Anton Fedorov)

[-] При переименовании в панели курсор мог находиться непосредственно на
    символе рамки (Sergey Korshunoff)

[*] Файлы с расширением CMD теперь считаются в Windows NT исполняемыми

[-] У файлов с атрибутами Hidden, System и Read-only невозможно было сменить
    атрибуты (Anton Fedorov)

[-] Подстановки с символами !, #, $ и & при пустых панелях давали мусор в
    пользовательском меню (Anton Fedorov)

[-] При попытке перехода командой cd в несуществующий каталог происходило
    нежелательное перемещение курсора (Anton Fedorov)

[-] Автоматический выход в надкаталог в случае, когда при повторном чтении
    панели текущий каталог оказывался отсутствующим, не работал, если
    непосредственный надкаталог текущего также не существовал (Anton Fedorov)

[*] После применения клавиши Backspace для стирания содержимого командной
    строки, функция выхода в надкаталог нажатием этой клавиши не действует до
    ее отпускания (Anton Fedorov)

[-] Иногда при использовании клавиш Вправо/Влево в панелях некорректно
    производилась прокрутка (Anton Fedorov)

[-] DN мог зависнуть при перемещении разделителя панелей клавишами
    Alt-Вправо/Влево (Alexey Feldgendler)

[+] Два новых режима сортировки файлов предназначены для упорядочивания файлов
    по длинному имени и по длинному расширению (Anton Fedorov)

[*] Новый алгоритм сортировки файлов значительно уменьшает время, требуемое
    для входа в каталоги с большим числом файлов (Anton Fedorov)

[*] Теперь при смене режима сортировки перечитывание панели не производится
    (Anton Fedorov)

[*] Во время чтения каталога в левом верхнем углу экрана вращается палочка
    (Anton Fedorov)

[*] При смене режима сортировки текущий файл остается текущим (Anton Fedorov)

[*] Одинарный щелчок по текущему диску на строке дисков теперь воспринимается
    как Ctrl-R. Двойной щелчок по букве диска позволяет перейти к его
    корневому каталогу (Anton Fedorov)

[*] Теперь окна историй показываются всегда, даже если они пусты
    (Sergey Korshunoff)

[-] Исправлена ошибка, проявлявшаяся при попытке повторно открыть для
    просмотра файл, находящийся в архиве (Sergey Korshunoff)

[+] Немного изменена работа с TDR и AVT файлами, что должно привести к
    ускорению работы (Anton Fedorov)

[-] Снова корректно определяется тип файлов в архивах и каталогах ARVID
    (Anton Fedorov)

[-] Когда одна из панелей была закрыта, некоторые подстановки не работали
    (Sergey Koryakin)

[*] Теперь в меню выбора дисков "*" является горячей клавишей для TEMP, "/:" -
    для LINK, кроме того, здесь же доступны каталоги быстрого доступа
    (Anton Fedorov)

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Редактор теперь открывает файлы неограниченного размера. Пока эта
    возможность доступна только в DPMI-версии (Anton Fedorov)

[+] В порядке эксперимента в просмотр добавлен четвертый режим отображения,
    доступный по F4, - дизассемблер (Anton Fedorov)

[+] В просмотр добавлена возможность использования внешних фильтров. Строки в
    DN.VWR, содержащие подстановку !%F, являются спецификациями не внешних
    программ просмотра, а фильтров. Подстановка !%F заменяется полным коротким
    именем временного файла, который утилите фильтрации следует создать. После
    фильтрации открывается встроенный просмотр с результатом работы внешнего
    фильтра. При попытке изменить такой файл непосредственно в просмотре или
    посредством открытия редактора по Alt-E выдается предупреждение о том, что
    сохранить файл обратно через фильтр не удастся. Если пользователь
    соглашается, то последующая попытка сохранить файл вызывает появление
    диалогового окна Сохранить как (Anton Fedorov)

[*] Функция Накат в редакторе теперь доступна и по Alt-Shift-Backspace
    (Anton Fedorov)

[-] При закрытии окна просмотра при помощи менеджера окон временный файл не
    уничтожался (Sergey Korshunoff)

[-] Сохранение измененного файла при просмотре было невозможно, если файл имел
    атрибут Read-only (Sergey Korshunoff)

[+] Теперь из редактора по Alt-V вызывается просмотр того же файла и
    выполняется переход на тот же его участок. Окно редактора при этом
    закрывается; пользователю предлагается сохранить изменения (Anton Fedorov)

[*] Апостроф больше не считается символом-разделителем (Anton Fedorov)

[-] Удаление слова по Ctrl-Backspace отменялось посимвольно (Anton Fedorov)

[-] Исправлена ошибка при вставке и отмене вставки вертикального блока в
    редакторе (Anton Fedorov)

[-] Исправлена работа просмотра и редактора с символами табуляции
    (Alexey Froloff)

[-] Снова исправлена работа просмотра с символами табуляции (Anton Fedorov)

[+] Автоматическое определение способа перевода строки работает и в редакторе
    (Anton Fedorov)

[-] Файлы, состоящие из одной строки, всегда распознавались как разбитые на
    строки символом <CR> (Anton Fedorov)

[-] Файлы, содержащие одинарный символ <CR>, при просмотре отображались
    некорректно (Anton Fedorov)

[+] Подсветка синтаксиса при просмотре (Sergey Korshunoff)

[+] Усовершенствованный модуль подсветки синтаксиса в просмотре и редакторе со
    многими новыми возможностями. Подробности читайте в примере файла DN.HGL
    (Mariusz Borkowski)

[-] Исправлена работа модуля подсветки (Pawel Ziemian)

[-] Снова исправлена работа модуля подсветки (Anton Fedorov)

[+] Теперь в просмотрщике в режиме шестнадцатеричного дампа можно ввести любой
    символ. Ctrl-P и Ctrl-B вызывают ASCII таблицу (последние два символа
    можно ввести только при помощи таблицы) (Sergey Korshunoff)

[+] В просмотрщике в режиме шестнадцатеричного редактирования позиция курсора
    подсвечивается инверсным цветом (Max Vasilyev)

[-] Теперь пробел работает как PgDn только в режиме текстового просмотра или
    дампа (Anton Fedorov)

[-] Пользователю предлагается сохранить файлы в редакторе и просмотре при
    перезапуске DN с помощью Ctrl-Alt-X (Anton Fedorov)

[+] При выделении в редакторе арифметического выражения и нажатии Alt-Ins в
    буфер обмена помещается результат вычисления (Anton Fedorov)

[*] Закладки в редакторе остаются связанными с одними и теми же строками
    текста при любых операциях по вставке и удалению предшествующих строк
    (Anton Fedorov)

[*] В просмотре, как и в редакторе, теперь доступны комбинации клавиш
    Alt-цифра для установки закладок и Ctrl-цифра для перехода на них
    (Anton Fedorov)

[-] Нижняя рамка окна просмотра отображалась некорректно при сжатии его до
    малых размеров (Anton Fedorov)

[*] При отображении полей дат в базах данных показываются четыре цифры года
    (Anton Fedorov)

[*] Заголовки полей при просмотре баз данных центрируются (Anton Fedorov)

[-] В некоторых случаях при просмотре баз данных было невозможно увидеть
    содержимое memo-полей (Anton Fedorov)

    >>> Поиск <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Возможность поиска во всех кодировках теперь доступна и в просмотре
    (Anton Fedorov)

[*] Теперь диалоговые окна поиска и замены в редакторе и окно поиска файлов
    содержат строки для ввода шестнадцатеричных кодов (Anton Fedorov)

[*] При наличии строки поиска она отображается в окне состояния
    (Anton Fedorov)

[-] Исправлена ошибка, приводившая к зависанию при поиске (Anton Fedorov)

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Коренным образом изменена работа с архиваторами, что высвободило
    дополнительно 20 килобайт нижней памяти (Anton Fedorov)

[+] Добавлена поддержка архивов TGZ (Anton Fedorov)

[+] Поддержка архивов InstallShield 3.00.xxx (Max Vasilyev)

[-] Исправлена обработка архивов ZXZIP (Max Vasilyev)

[-] Исправлена обработка архивов ACE, содержащих информацию для восстановления
    при повреждениях (Max Vasilyev)

[-] Исправлено чтение архивов ARC (Anton Fedorov)

[*] Улучшен алгоритм идентификации архивов HA (Max Vasilyev)

[-] Исправлено распознавание архивов ZIP и WinZIP (Max Vasilyev)

[-] Исправлено распознавание самораспаковывающихся архивов с исполняемыми
    частями в форматах PE и NE (Max Vasilyev)

[-] Исправлено извлечение файлов из самораспаковывающихся архивов
    (Max Vasilyev)

[-] Исправлены опции по умолчанию для архиваторов HA, HYP, RAR (Anton Fedorov)

[-] Исправлено архивирование каталогов (Anton Fedorov)

[-] Исправлена обработка файлов с именами, начинающимися с точки, внутри
    архивов (Anton Fedorov)

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Теперь корректно определяется тип процессора и его тактовая частота
    (Max Vasilyev)

[*] Улучшен алгоритм получения параметров жестких дисков (Max Vasilyev)

[*] Улучшен алгоритм идентификации операционной системы (Max Vasilyev)

[+] Теперь в окне системной информации корректно определяется версия Windows,
    включая Windows NT и Windows 2000 (Max Vasilyev)

[*] Системная информация теперь включает корректное определение
    OS/2 Warp Server for e-Business (Mariusz Borkowski)

[*] Системная информация теперь включает версию dosemu (Anton Fedorov)

[+] Поскольку ДН начиная с версии 1.50 работает только на компьютерах с
    процессорами 80286 и выше, то поле Conventional Memory в окне системной
    информации стало практически бессмысленным. Вместо этого теперь
    показывается общее количество физической памяти (Max Vasilyev)

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Произведено заимствование некоторых внутренних модулей из Yasha
    (DOS Navigator) (Автор линии Yasha: Sergey Korshunoff)

[*] Поддерживается чтение телефонной книжки в формате Yasha (DOS Navigator)
    (Anton Fedorov)

[!] Исправлено и вновь написано множество разделов справочной системы
    (Igor Vagin)

[*] В окне Справки теперь действуют команды переключения окон, причем, если
    окно Справки открыто и неактивно, нажатие F1 вызывает переход на него
    (Anton Fedorov)

[-] Теперь окно Справки корректно вызывается нажатием F1 при открытом меню
    (Anton Fedorov)

[*] Список авторов в окне О программе отображается с новым визуальным эффектом
    (Anton Fedorov)

[+] Добавлен Календарь, доступный по двойному нажатию кнопки мыши на часах или
    по Ctrl-F12. Подробную информацию можно найти в разделе справочной
    системы, посвященном Календарю (Jaroslaw Osadtchiy)

[+] Файлы таблиц перекодировок из подкаталога XLAT и файлы палитр из
    подкаталога COLORS теперь доступны через меню быстрого доступа
    (Jaroslaw Osadtchiy)

[*] Длинные меню теперь можно прокручивать нажатием кнопки мыши на верхней и
    нижней линиях рамки (Anton Fedorov)

[*] При расширенном поиске файлов год можно вводить как двумя, так и четырьмя
    цифрами (Jaroslaw Osadtchiy)

[*] При задании адресов в FTN-сетях любые из компонентов зона:, сеть/, узел и
    .поинт можно опустить. Зона, сеть и узел в таких случаях берутся из
    основного адреса пользователя, а поинт считается нулевым (Anton Fedorov)

[*] Теперь при создании списка файлов автоматическое добавление !.! в конец
    строки Действие срабатывает, только если строка не оканчивается на пробел.
    Если строка - одна из строк ^ или ##, символы !.! добавляются без
    разделяющего пробела (Anton Fedorov)

[+] Во всех полях ввода появились новые клавиатурные команды: Ctrl-[
    преобразует текущее слово к верхнему регистру, Ctrl-] - к нижнему, Ctrl-\
    делает первую букву слова заглавной. Использование Shift вместе с этими
    командами заставляет их действовать на весь текст, предварительное нажатие
    Ctrl-K - на выделенную его часть. Alt-F12 действует на выделенный текст и
    преобразует русские буквы в английские и наоборот - это удобно, если Вы
    забыли переключить раскладку клавиатуры (Anton Fedorov)

[*] Часы во встроенной экранной заставке Clock время от времени меняют цвет
    (Jaroslaw Osadtchiy)

[-] Исправлена работа встроенной экранной заставки Flash-light (Anton Fedorov)

[*] В таблице символов ASCII отображается пример символа, раскрашенного
    цветами, соответствующими текущему байту (Anton Fedorov)

[*] Когда длина содержимого командной строки уменьшается, при необходимости
    происходит обратная прокрутка (Anton Fedorov, Alexey Feldgendler)

[*] В историю ввода в диалоговом окне UU-кодирования автоматически добавляется
    имя исходного файла без пути (Anton Fedorov)

[*] Выходным файлам при UU-кодировании теперь дается расширение "uue", а не
    "UUE" (Alexey Feldgendler)

[-] Функция разрезания файлов не работала, если поле ввода было оставлено
    пустым (теперь предполагается текущий каталог), и работала неверно, если
    расширение исходного файла начиналось с "d", а в строке ввода был указан
    только путь (без имени) (Alexey Feldgendler)

[*] Изменился формат файла историй DN.HIS (Anton Fedorov)

[*] При невозможности открыть файлы ресурсов выдается сообщение о том, с каким
    именно файлом возникли проблемы (Anton Fedorov)

[*] Оптимизирован загрузчик DN.COM (Max Vasilyev)

[!] Произведены многочисленные изменения, оптимизирующие код DN по скорости и
    по требуемому объему оперативной памяти (Anton Fedorov)

[-] Исправлена логика отображения Урны (Anton Fedorov)

[-] Надпись на Урне теперь зависит от языка интерфейса (Alexey Feldgendler)

[-] Исправлено позиционирование курсора в командной строке (Anton Fedorov)

[-] Телефонная книжка вызывала сбой при создании пустого раздела
    (Anton Fedorov)

[-] Комбинации клавиш Ctrl-Alt-X и Ctrl-Alt-Z иногда не работали сразу после
    запуска DN (Anton Fedorov)

[-] Исправлена проверка на операционную систему OS/2 перед выдачей
    предупреждения о форматировании (Anton Fedorov)

[-] Исправлена ошибка, вызывающая стопроцентную загрузку процессора при работе
    под Windows NT (Anton Fedorov)

[-] Теперь DN.FLG правильно создается даже тогда, когда DN располагается на
    глубоком уровне вложенности в структуре каталогов (Pawel Ziemian)

[-] Исправлено множество других ошибок, мелких и не очень...


   Версия 1.51.05
  ---------------------------------------------------------------------

    >>> Длинные имена файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[!] Полномасштабная поддержка длинных имен файлов. К сожалению, из-за
    ограничений, не зависящих от разработчиков, файлы, длина имени которых
    вместе с путем превышает 255 символов, пока не могут быть ни открыты, ни
    удалены

[+] Новый параметр системных настроек для дисков: "Запретить использование
    длинных имен" ("Don't use long file names"), который обозначает, что на
    этом диске длинные имена недоступны, даже если операционная система
    утверждает обратное

[-] Исправлена ошибка в алгоритме отображения "двухцветных" строк, в некоторых
    случаях приводившая к некорректному отображению текста, содержащего тильду

[+] Есть возможность создать до 10 настроек вида панелей, между которыми
    можно быстро переключаться по Ctrl-1 ... Ctrl-0

[+] Добавлены новые макроподстановки. Повсюду знак # работает с активной
    панелью, & - с пассивной. Возможно использование этих макросов и в
    названиях элементов меню пользователя.
    #  &  - длинное имя текущего файла до последней точки, не включая ее, без
            кавычек
    .# .& - длинное расширение текущего файла (после последней точки, включая
            ее) или пустая строка, если в имени точки отсутствуют, без кавычек
    #\ &\ - длинный путь к текущему файлу
    #/ &/ - длинный путь к текущему файлу (без \ на конце)
    #: &: - то же, что !: и $:
    ## && - соответственно знаки # и &
    !%? $%? #%? &%? - специальная подстановка, здесь вместо ? может быть:
     a - атрибуты файла: RHSVDA, на месте отсутствующих атрибутов - минусы
     c - упакованный размер, вне архива - реальный размер
     d - дата создания файла в текущем формате дат
     r - отношение упаковки в процентах (со знаком %), вне архива "100%"
     s - размер файла в байтах (в архивах - исходный), пустая строка для
         каталогов
     t - время создания файла в текущем формате времени
     z - первая строка описания файла, без пробелов в начале и в конце, если
         включен режим показа описаний, иначе пустая строка

    >>> Параметры DN.INI, настройки, опции <<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Новый параметр DN.INI: UseLFN = bool (секция [Kernel]), по умолчанию
    включенный, указывает, надо ли пытаться использовать длинные имена файлов,
    или же следует всегда работать только с короткими

[*] Параметр CopyLimit8M в секции [Kernel] DN.INI больше не поддерживается

[+] Новый параметр в DN.INI: CopyLimit = long (секция [Kernel]) - указывает
    ограничение буфера копирования в Windows в килобайтах. Значение 0 означает
    отсутствие ограничения. Значение по умолчанию - 8192 (8 мегабайт)

[-] Исправлено сохранение строковых параметров в DN.INI

[+] Новые параметры DN.INI: HorizScrollBarChars = str и VertScrollBarChars =
    str (секция [Interface]), задающие символы рисования полос прокрутки,
    состоят из 5 символов: первого и последнего символов, символа полосы,
    символа бегунка и символа пустой полосы. Записывается в виде строки из
    пяти символов

[*] Параметр DN.INI ShowKeyCode = long (секция [Kernel]) теперь может быть:
     0: Коды клавиш не показываются
     1: Показываются пары Scan/ASCII в отдельном окне
     2: Показывается Scan-код в верхнем правом углу
     3: 1 и 2 одновременно

[+] Теперь DN команды перехода "cd путь" и D: обрабатывает самостоятельно,
    без запуска командного процессора. Отключается установкой параметра DN.INI
    HandleChDirCommand = bool (секция [Kernel]) в 0

[+] Добавлено автоопределение кодовой страницы для вновь открываемого в
    редакторе файла (которого нет в истории редактирования). Автоопределение
    происходит при установленном значении AUTO параметра DN.INI
    DefCodePage = str (секция [Editor]). Для признания кодировки WIN или KOI
    действительной в тексте должны присутствовать строчные, прописные и
    гласные буквы; на 500..999 строчных букв должна приходиться как минимум
    одна прописная буква но не больше чем одна прописная на 5..9 строчных
    букв; плюс из 5..9 строчных букв как минимум одна должна быть гласной
    ("ы", "э", "ю", "я" в набор гласных не включены)

[+] Удалены параметры DN.INI HideLocalCurDir, HideNetworkCurDir, вместо них
    появился один параметр: DriveInfoType = long (секция [Interface]),
    принимающий комбинацию (сумму) из следующих значений:
    1 - Показывать тип устройства
    2 - Показывать текущий каталог для локальных дисков
    4 - Показывать текущий каталог для CD-ROM
    8 - Показывать текущий каталог для сетевых дисков
    Значение по умолчанию - 2 (показывать текущий каталог только для локальных
    дисков)

[*] Изменены установки по умолчанию на запоминание всех действий

[+] Появились новые настройки для разделения времени в многозадачных
    операционных системах в диалоговом окне Процесс Загрузки/Выгрузки
    (Startup)

[+] Новый алгоритм различения клавиш Ctrl: выбор диска с помощью стрелок и
    левой клавиши Ctrl действует на неактивную панель, с правой клавишей Ctrl
    выбирается диск на активной панели

    >>> Менеджер файлов <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Теперь имеется возможность включить отображение длинных имен в панелях,
    изменять ширину столбца длинного имени и размер поля расширения. Установка
    ширины поля расширения в 0 означает, что расширение следует
    непосредственно после имени через точку

[*] Теперь при указании расширения в файлах редактирования, просмотра,
    запуска можно использовать символы ? и *.

[-] При попытке перехода на панель, отображающую содержимое каталога на
    CD-ROM, в случае, если в приводе не было компакт-диска, сообщение об
    ошибке повторялось неограниченное количество раз

[-] После измерения времени выполнения запущенной программы могли удаляться
    файлы

[-] При чтении списка файлов некорректно обрабатывались пути, указанные в
    нижнем регистре

[+] Добавлена возможность перезапуска Навигатора нажатием Ctrl-Alt-X

[*] Теперь в заголовке окна Windows отображается заголовок текущего окна DN

[+] Теперь по нажатию Ctrl+<Серый +> на элементе ".." выделяются все файлы

[+] Редактирование описания в файловой панели теперь работает даже тогда,
    когда описания не показываются

[-] Исправлено перетаскивание файлов из панелей при выключенном показе
    заголовков панелей

[*] Улучшен алгоритм переноса каталога в пределах диска

[*] Теперь распахивание текущей панели производится по Ctrl-Alt-Z

[+] Добавились визуальные эффекты затемнения на вход/выход DN. Скорость
    затемнения регулируется в DN.INI переменной FadeDelay = long (секция
    [Interface]). Значение 0 (по умолчанию) отключает эффекты. Рекомендуемое
    значение - 5

[+] Теперь команды отметить/разотметить работают с фильтрами вида *.a;*.d

[+] Экран пользователя по Esc теперь показывается в цветах по умолчанию

[*] Теперь более корректно вызываются внешние экранные заставки

[+] Теперь в полях ввода работает комбинация Ctrl-Backspace (стирание слова)

[-] При изменении языка интерфейса окно редактора сохраняло меню на старом
    языке

[-] При перезапуске DN открытые окна SmartPad и Clipboard теряли свой особый
    статус

[*] Теперь в окне Калькулятора работают клавиши F9 и Shift-F9 для переключения
    окон

[*] Исправлено отсутствие горячих клавиш для CD проигрывателя в русских
    ресурсах

[*] Исправлена ошибка в ресурсах, из-за которой было невозможно попасть из
    CD проигрывателя в меню по F10

[*] Теперь командная строка реагирует на нажатия клавиш, только если в данный
    момент активен файловый менеджер или окно вывода

[+] Комбинации клавиш Ctrl-Enter, Ctrl-Shift-Enter, Ctrl-Ins, Ctrl-Shift-Ins,
    Ctrl-[, Ctrl-] теперь используют длинные имена, если применяются при
    нажатой клавише Alt

[+] При быстром переименовании файла теперь доступны выделение, вставка и
    замена

    >>> Редактор и просмотр <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Текст предупреждения, которое выдавалось в случае, если файл не был найден
    по нажатию Ctrl-Enter в редакторе, не зависел от текущего языка интерфейса

[*] Улучшен алгоритм открывания файлов по Ctrl+Enter в редакторе, режим
    отладки удален

[+] Подсветка текущего положения курсора в режиме шестнадцатеричного просмотра

[+] Применение выбранной таблицы перекодировки в режиме шестнадцатеричного
    просмотра

[-] Исправлено позиционирование курсора на ASCII-части экрана в режиме
    шестнадцатеричного просмотра

[*] Ранее в редакторе при выделении или использовании линейки, когда
    происходило перемещение внутри файла, оно было зациклено. Теперь это не
    так

[-] Немного исправлена работа с системным буфером обмена

[*] Теперь меню редактора по одиночному Alt не вызывается

[-] Исправлена ошибка, обнаруженная Max Vasilyev (2:5057/33.36): при просмотре
    в шестнадцатеричном режиме коротких файлов (dn.cfg) невозможно было
    перейти к концу файла по Ctrl-PgDown, не воспользовавшись предварительно
    Ctrl-PgUp

[+] К редактору добавлен показ в нижней линейке текущего типа окончания строк
    (CrLf, Lf, Cr), в меню Разное (Misc) добавлено подменю Перевод строки
    (Line breaks) для его переключения

[+] Теперь таблица перекодировки в просмотре работает и в режиме Dump, и
    редактирование осуществляется с учетом таблицы перекодировки

[*] Теперь появились дополнительные команды переключения окон: Следующее
    другое (Next different), Предыдущее другое (Prev different),
    Следующее такое же (Next similar), Предыдущее такое же (Prev similar),
    доступные пока только из меню Окна (Window)

[-] Исправлено зависание редактора при редактировании длинных строк

[*] Пробел в просмотре теперь действует как PgDn

[*] Теперь просмотр можно закрыть по клавише Enter

[*] Если файл уже открыт в другом окне на редактирование или просмотр,
    повторный вызов редактора или просмотра из менеджера файлов не создает
    нового окна, а делает уже открытое активным

[*] Ранее при повторном открытии файла на просмотр полоса прокрутки всегда
    находилась в верхнем положении

[*] В просмотрщике по F8 кодировки теперь перебираются как в редакторе (DOS,
    WIN, KOI), специальные кодировки выбираются только по Shift-F6. В связи с
    этим изменился формат файла историй DN.HIS

[*] Изменен вид информации состояния просмотрщика на нижней рамке: удалены
    квадратные скобки, показ диапазона фильтрации теперь происходит всегда,
    с помощью нажатия мыши на информации о кодировке и фильтрации теперь можно
    изменить эти значения

[+] В файлах, содержащих последовательность CR CR LF, первый CR теперь
    показывается как символ текста, а не как перевод строки

[*] Правая кнопка мыши на номере маркера в редакторе теперь всегда означает
    установить маркер и не вызывает переход на позицию маркера, если текущая
    позиция не равна позиции маркера

[+] В просмотре теперь тоже есть маркеры позиции. Состояние маркеров
    отображается на нижней рамке аналогично отображению в редакторе (номеров
    установленных маркеров на левой рамке нет)

[+] Теперь из просмотра по Alt-E вызывается редактор для того же файла и
    выполняется переход на тот же его участок. Окно просмотра при этом
    закрывается

[*] Ctrl-S в окне редактора выполняет сохранение файла

[*] Теперь при попытке открыть на просмотр уже открытый файл из архива
    повторное извлечение не происходит

[-] Исправлена ошибка в русскоязычных ресурсах, из-за которой было невозможно
    вызвать справочную систему из окна просмотра клавишей F1

[*] Теперь в таблице символов по нажатии клавиш Ctrl-Enter текущий символ
    вставляется без закрытия таблицы символов

    >>> Поиск <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Все операции сравнения текста без учета регистра и преобразования регистра
    букв теперь корректно обрабатывают русские буквы. В частности, русские
    буквы в именах файлов теперь так же приводятся в нижнему регистру, как и
    латинские; Быстрый поиск (Quick Search) правильно работает с русскими
    именами

[+] В окне истории ввода теперь возможен быстрый поиск строки путем набора ее
    начальных символов. Ctrl-Enter переходит к следующей строке с подходящим
    началом. Клавиша Пробел в режиме быстрого поиска для "заморозки" текущей
    записи не используется (она используется для поиска символа пробел). Чтобы
    заморозить найденную запись, нужно сначала выйти из режима быстрого поиска
    перемещением курсора или щелчком мыши

[*] Если имя файла, введенное в окне поиска файлов, не содержит символов .,
    * или ?, то к нему справа добавляется * и все пробелы преобразуются
    в *, то есть при маске "договор о продаже" будут найдены как
    "договор о продаже.doc", так и "договор запасной о продаже.doc"

[*] Исправлен алгоритм поиска текста в файле

[-] Исправлен поиск во всех кодировках

[*] Теперь при проверке на наличие свободного места при копировании
    учитывается размер кластера на устройстве назначения

[+] Теперь при поиске файлов отображается маска, по которой ведется поиск

    >>> Архиваторы <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[*] Максимальная длина текста в поле Доп. установки (Additional options)
    в диалоговом окне архивации файлов увеличена до 80 символов. Кроме того,
    теперь это поле имеет историю ввода

[*] Корректно обрабатываются многотомные архивы ARJ

[*] Теперь DN правильно распознает директории в архивах, созданных LHA 2.55
    с ключом -h2

[-] Некорректно распознавались некоторые SFX архивы с исполняемой частью в
    формате NE, созданные WinZip

[*] Изменен алгоритм идентификации архивов AIN и TAR

[-] Исправлено неверное распознавание даты файлов в архиве AIN

[*] Исправлена работа с русской версией архиватора AIN

[*] Теперь при извлечении всех файлов из архива по Shift-F2 автоматически
    включается флажок Include pathnames (Извлечь с именем пути). При
    копировании файлов из архива эта установка читается из DN.CFG

[*] Не извлекались файлы из многотомных CAB-архивов. Также файлы не всегда
    разархивировались в нужную директорию.

[*] Умолчание изменено на запрет автоматического перезаписывания существующих
    файлов при распаковке

[-] Заголовки окон настройки архиваторов не соответствовали действительности

[*] Исправлено чтение архивов с пустыми каталогами

[*] Исправлена ошибка в работе с заголовками архивов HA, созданных в других
    операционных системах

[*] Неправильно читался каталог из самораспаковывающихся CAB-архивов

[-] DN не всегда правильно отображал наличие пароля на файлы в архиве

[-] DN неверно понимал архивы RAR, созданные в UNIX: все файлы считались
    каталогами

[+] Добавлена поддержка архиваторов Quark и UFA

[*] Исправлена ошибка при обработке архивов ZXZIP

    >>> Терминал <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] В терминале неправильно вычислялся показатель CPS при возобновлении
    приема/передачи по протоколу Z-Modem

[-] В терминале при приеме/передаче теперь оставшееся время считается по CPS
    (раньше считалось по скорости порта)

[-] Исправлена ошибка записи установок терминала по Ctrl-F9

[+] При нажатии мышью на рабочую область терминала, в зависимости от установок
    мыши:
    первая кнопка - копирует символ и посылает в порт
    вторая кнопка - копирует слово и посылает в порт (корректно работает в
        видеорежиме 80x24, терминал на весь экран)
    двойной щелчок - то же самое, но посылаемый текст завершается переводом
        строки

[+] В строку состояния терминала добавлено Ctrl+Z - Разъединить

[-] В терминале при приеме/передаче для разных языковых режимов теперь
    отображается "bytes of" и "байт из"

[+] Теперь в русских ресурсах для вызова номеронабирателя нужно нажать Ctrl-D

    >>> Системная информация <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[-] Подсвеченная буква в команде "О сети" в русскоязычном ресурсе строки
    состояния не соответствовала действительности

[*] В системной информации теперь корректно определяется версия OS/2

[*] Изменена ширина окна Системная информация, так, чтобы в русскоязычных
    ресурсах вся информация помещалась в отведенные поля

[*] Текстовые строки "MMX Support" и "MMX no support" в окне Системная
    информация изменены на "Pentium MMX" и "Pentium" соответственно

[-] Исправлена обработка дисков очень большого размера

    >>> Разное <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

[+] Теперь любое поле ввода в любом диалоговом окне предоставляет возможность
    быстрого ввода имен каталогов - "закладок" (Quick Dirs) нажатием клавиш
    Alt-1 ... Alt-9

[*] Добавлена история ввода к полю Метка тома (Volume Label) в окне
    форматирования дисков

[*] Окно истории ввода смещено на один символ вниз и вправо относительно
    строки ввода, к которой оно привязано, чтобы не закрывать ее содержимое

[-] Независимо от текущего языка интерфейса DN, диалоговое окно
    Распаковать образы дискет (Unpack Diskette Images) содержало надписи
    на английском языке


[*] Комментарии в шаблоне файла DN.SPF теперь зависят от текущего языка
    интерфейса DN

[*] Выбор из набора фиксированных значений задержки перед запуском экранной
    заставки заменен числовым полем ввода для числа минут

[*] Теперь в окне About отображается дата компиляции DN на отдельной строке

[*] Теперь в случае ошибки, в файл сохраняется также и дамп стека, что
    позволяет оперативно находить место ошибки и причину ее появления

[+] Теперь по нажатию на Ctrl-RShift-Tilde производится запись
    текущего состояния в DN.ERR

[-] После удаления директории в FILES.BBS оставалось ее описание

[+] Теперь при быстром переименовании по Alt-F6 описание переносится вместе
    с файлом

[+] Теперь описания копируются в зависимости от наличия/отсутствия флага
    "Копировать описания". Наличие/отсутствие показа описаний в панели влияет
    только на значение этого флага по умолчанию

[+] Первым символом строки продолжения описания файла теперь может быть не
    только пробел, но и символ табуляции

[+] При перезаписи файла теперь перезаписывается и новое описание

[+] Теперь файлы описаний, ставшие пустыми, удаляются при установленном
    параметре Удалять контейнеры описаний (Kill descriptions container) в
    окне настройки менеджера файлов

[+] Добавлена поддержка файлов AVT, в которых возможно создание, удаление,
    перемещение и переименование каталогов. При попытке записи с диска в
    ARVID или наоборот создаются или дополняются командные файлы для AVCOMSTR

[*] Поправлена работа с AVT файлами, содержащими длинные имена

[*] Теперь дамп экрана в DN.ERR включает информацию о цвете символов

[*] Строка Anonymous, используемая в Тетрисе, а также строки On и Off,
    отображаемые в меню редактора, теперь входят в языковые ресурсы


   Версия 1.51.04
  ---------------------------------------------------------------------

[+] При создании списка файлов появилась возможность добавить к создаваемому
    списку в начало и/или в конец указанные строки или содержимое указанных
    файлов. В режиме Insert text (Вставить текст) в начало или в конец
    вставляется указанная текстовая строка. В режиме Insert files (Вставить
    файлы) вставляется последовательно содержимое файлов, имена которых
    перечислены в строке через символ ";", причем для отсутствующих файлов
    выдается предупреждение без прерывания работы. В режиме Auto (Авто),
    если хотя бы один из файлов, перечисленных через ";", существует, то
    функция работает как в режиме Insert files, только без выдачи
    предупреждений для отсутствующих файлов, а в противном случае функция
    работает как в режиме Insert text

[-] Исправлена старая ошибка в логике работы с FTN-адресами при создании
    списка файлов

[*] Теперь из истории каталогов можно вызывать файлы списков, вход в которые
    осуществляется командой Ассоциировать список файлов (Read file list).
    Файлы списков, в отличие от каталогов, отображаются в списке истории
    каталогов без знака "\" в конце имени

[+] В Калькулятор добавлена функция "логарифм y по основанию x":
    log(x,y) (x>0, y>0, x<>1)

[*] Теперь Калькулятор верно вычисляет отрицательные степени x^y (y<0)

[-] В Калькуляторе теперь появляются сообщения об ошибках при некорректных
    значениях аргумента функций arcsin(x), arccos(x), sec(x), cosec(x) и
    fact(x), вместо появлявшегося ранее нуля

[-] При нажатии стрелки вверх происходил перебор предыдущих введенных команд
    в командной строке, что было явным побочным эффектом

[-] При выходе из DN файл clipboard.dn создавался даже при
    SaveClipboardOnExit = 0

[*] При вызове внешних программ строка "@echo off" ставилось в конец
    временного bat- или cmd-файла. Теперь ставится и в начало

[+] Теперь в параметрах пользовательского меню (строках, начинающихся с "<=")
    разрешено использование зарезервированных символов, то есть теперь
    выражение типа <=!:\! обрабатывается правильно. Если нужно использовать
    символы "!" и "$" то, как и раньше, их нужно указать дважды

[*] Размещение модуля Novell в оверлее позволило высвободить некоторый объем
    нижней оперативной памяти.

[-] При попытке создания файла с помощью Shift-F4 в каталоге с атрибутами
    "Системный", "Только для чтения" и, в некоторых случаях, с другими
    атрибутами, выдавалось сообщение об ошибке "Неправильное имя файла"

[*] Установка Извлечь с именем пути (Extract with path names) при извлечении
    файлов из архива теперь сохраняется в файле конфигурации DN

[-] Исправлен список расширений файлов, считающихся архивами

[*] Исправлены стандартные ключи для архиватора ARJ

[*] Исправлена идентификация архивов как ARJ, CAB, LHA, TAR

[+] Теперь можно входить в SFX-архивы с исполняемыми частями в формате NE,
    а также в архивы WinZip

[*] Улучшена работа с SFX-архивами с исполняемыми частями в форматах LX и PE

[-] Архивы GZ, Z и $Z иногда не подсвечивались цветом для архивов

[*] Файлы с расширениями 777, ACB, BOA, IMP, J теперь подсвечиваются
    как архивы

[-] Исправлены ошибки при обработке каталогов внутри архивов ARJ, HA

[+] Добавлена поддержка архиваторов ACE, AIN и ZXZIP

[*] Команда Текущий архиватор (Current archiver) перенесена из конца меню
    настройки архиваторов в его начало

[*] Теперь, если выпадающее меню слишком большое (как, например, меню
    настройки архиваторов), его команды прокручиваются

[*] Первое подменю главного меню (Системное меню) теперь по умолчанию
    отображается символом "" (#4), так как прежний символ (#240) иногда
    отображался в виде буквы кириллицы. При этом есть возможность задать
    использование любого другого символа

[-] Команды меню "UU-кодирование" и "Дерево каталогов" в русскоязычном ресурсе
    были привязаны к одной и той же горячей клавише Ctrl-F7

[-] Неправильно отображалась тень от меню выбора дисков при нажатии Ctrl-F3 и
    в некоторых других случаях

[-] Если имя текущего каталога на каком-либо диске содержало тильду, то
    в меню выбора дисков оно отображалось некорректно; также некорректно
    отображались длинные имена файлов, содержащие тильду

[*] Вернулась возможность настройки цветов для урны (Trash can)

[*] Внесены косметические исправления в русскоязычный (некоторые строки были
    на английском языке; одно сообщение отображалось некорректно; в меню для
    окна редактора исправлен конфликт подсвеченных букв главных пунктов;
    порядок команд в главном меню приведен в соответствие с порядком этих
    команд в англоязычном ресурсе; исправлен конфликт подсвеченных букв в
    диалоговом окне Архивирование файлов) и англоязычный (исправлен конфликт
    подсвеченных букв в диалоговом окне Archive files) ресурсы

[+] В окне запроса на копирование следующего файла при нехватке места для
    текущего появилась кнопка All (Все). После ее нажатия до конца текущей
    операции копирования будет подразумеваться утвердительный ответ
    пользователя на данный запрос, без выдачи окна запроса

[*] При включенной опции Check free space (Проверять место на диске) перед
    копированием файлов производится проверка объема свободного места. Если
    суммарный объем файлов, подлежащих копированию, превышает объем
    свободного места на устройстве назначения, выдается запрос о том, следует
    ли начинать операцию копирования

[-] После удаления файла в файле описаний (descript.ion, files.bbs) иногда
    оставалась пустая строка

[-] Горизонтальная линейка прокрутки в окне редактора иногда отображалась
    некорректно

[-] Когда окно редактора становилось неактивным и его рамка из двойной
    превращалась в одинарную, левая вертикальная линия этой рамки оставалась
    двойной

[+] Операция Заменить все (Replace All) в редакторе теперь отменяется (Undo)
    и возвращается (Redo) как одна команда

[-] Клавиши Ctrl-J в русскоязычном интерфейсе редактора открывали терминал
    вместо того, чтобы исполнять макросы

[+] Новая горячая клавиша Alt-" (Alt-кавычка) в менеджере файлов позволяет
    быстро включать и выключать режим показа скрытых файлов

[-] При быстром поиске в панели менеджера файлов нажатие клавиши вместе с
    клавишей Shift могло привести в выходу в надкаталог

[+] Клавиши Alt-Z в менеджере файлов разворачивают текущую панель до размеров
    полезной области экрана или возвращают панели к первоначальному виду

[-] Исправлена ошибка в логике обработки клавиш Alt-Z для окна просмотра

[+] Окно редактора теперь так же, как и окно просмотра, можно увеличить до
    размеров экрана по горизонтали (при этом становятся не видны вертикальные
    линии рамки) нажатием Alt-Z

[-] Клавиша F3 в менеджере файлов открывала все файлы как текстовые, игнорируя
    расширения DBF и WKZ

[-] Флажок Перенос по словам (Word wrap) в настройках просмотра работал
    только при включенном флажке Перенос линий (Line wrap)

[-] На маленьких файлах в режиме Hex View невозможно было перейти в конец
    файла по Ctrl-PgDn. Приходилось сначала нажимать Ctrl-PgUp

[+] При чтении нового или измененного DN.INI параметры в двоичном виде
    сохраняются в dn.cfg. Теперь, если DN.INI не изменялся с момента
    предыдущей загрузки DN, чтения DN.INI происходить не будет.

[*] Все параметры DN.INI, относящиеся к часам, перенесены в новую секцию
    [Clock]

[*] Параметр SmallClock был переименован в ShowSeconds и изменил свой смысл
    на обратный

[*] Между названием дня недели и датой при удерживании Ctrl теперь
    показывается пробел, а не запятая

[+] В режиме ShowSeconds = 0 двоеточие между часами и минутами теперь мигает
    с периодом в одну секунду

[*] Исправлена логика позиционирования часов. Теперь, если часы находятся в
    правой половине экрана, они, независимо от длины в текущем режиме (часы,
    дата, объем свободной памяти) придерживаются одного и того же правого
    края, а если они находятся в левой половине экрана, то придерживаются
    левого края. Также исправлена обработка ситуации переключения между
    режимами ShowSeconds = 0 и ShowSeconds = 1

[*] Теперь окно редактирования атрибутов файла отображает четыре цифры для
    года его создания

[+] Новая команда "Сменить язык" ("Change language") в Системном меню
    (горячая клавиша Alt-F12). Позволяет во время работы DN сменить
    текущий язык интерфейса. При этом изменяется значение ActiveLanguage
    в DN.INI и происходит автоматическая перезагрузка DN (перед этим выдаются
    запросы на сохранение открытых файлов). К сожалению, пока открытые окна
    редактора, CD Player'а и еще некоторые не меняют при этом свой язык
    (требуется закрыть их и открыть снова)

[*] Теперь имена файлов ресурсов для каждого языка <язык>.lng и <язык>.dlg,
    а имя файла справки <язык>.hlp. Нет необходимости в переименовании этих
    файлов. После установки новой версии DN настоятельно рекомендуется удалить
    старые файлы dn*.lng, dn*.dlg и dn*.hlp, так как их присутствие может
    вызвать неполадки при переключении языков

[+] Поскольку присутствие файлов ресурсов со старыми именами, оставшихся
    от предыдущей версии DN, может вызвать неправильную работу функции
    быстрой смены языка, то, обнаружив при запуске какие-либо из файлов
    dn.dlg, dneng.dlg, dnrus.dlg, dn.lng, dneng.lng, dnrus.lng, dn.hlp,
    dneng.hlp, dnrus.hlp, DN показывает список этих файлов и предлагает их
    удалить. Если пользователь отказывается от удаления, то при следующих
    запусках DN это предупреждение больше не появляется

[*] Исправлена строка "Please report to RIT" в тексте сообщения о фатальной
    ошибке. Теперь выдается строка "Report to RU.SHELL.DN"

[*] Реорганизована информация об авторах DN, показываемая при нажатии Alt-I
    в окне About (О программе); приведен в соответствие с действительностью
    текст раздела справочной системы "О Навигаторе и его авторах" ("About
    Navigator and its authors")

[+] Новый тип параметра в DN.INI: char - значение такого параметра
    представляет собой один символ

[+] Новые параметры в DN.INI:

    Секция [Interface]

    SystemMenuChar = long
    - задает символ, используемый для отображения первого подменю главного
    меню. Символ задается своим номером в таблице ASCII

    Секция [Clock]

    ShowCentury = bool
    - показывать четыре цифры для года при удерживании Ctrl

    ShowDayOfWeek = bool
    - показывать день недели при удерживании Ctrl

    DaysOfWeek = str
    - позволяет задать названия дней недели, отображаемые в области часов при
    нажатой клавише Ctrl, отличные от предусмотренных по умолчанию для данного
    языка. Если значение этого параметра имеет длину, равную 14 или 21, то из
    него берется соответственно двух- или трехбуквенное название дня недели.
    Названия дней недели перечисляются без пробелов, начиная с воскресенья,
    например, SunMonTueWedThuFriSat. Если же параметр имеет другую длину,
    оставлен пустым или не указан, то используются двухбуквенные названия,
    определенные в ресурсах для каждого языка в отдельности.

    Секция [Editor]

    AutoBracketPairs = str
    - позволяет задать любое количество пар символов, считающихся скобками
    для функции AutoBrackets (АвтоСкобки). (Примечание: этот параметр не имеет
    никакого отношения к функции поиска парных скобок). Значение по умолчанию
    определено как ()[]{}<>

    Секция [SmartPad]

    LineChar = long
    - позволяет задать символ, используемый для разделителя в SmartPad.
    Символ задается своим номером в таблице ASCII. Псевдографический символ,
    используемый по умолчанию (-), в некоторых случаях неуместен, так как не
    поддается перекодировке

    Новая секция [Game]

    EnableGame = bool
    - установка этого параметра в 0 позволяет отключить возможность запуска
    встроенной игры

    Новая секция [Language]

    ActiveLanguage = str
    - если указано непустое значение, оно считается именем текущего языка.
    Например, при ActiveLanguage=russian будут использоваться файлы ресурсов
    russian.*. При пустом значении этого параметра или его отсутствии
    используется переменная окружения DNLNG. Если и этой переменной нет,
    используется английский язык (English)

    HelpLanguageOverride = str
    - если указано непустое значение, оно считается именем языка для
    справочной системы. Например, при HelpLanguageOverride=english будет
    использоваться файл справки english.hlp. При пустом значении этого
    параметра или его отсутствии используется файл справки для текущего
    (активного) языка. Если для активного языка файл справки отсутствует,
    используется файл справки для английского языка (English)

    ShowLanguageMenu = bool
    - значение 1 означает, что при выборе команды меню "Сменить язык"
    ("Change language") или нажатии Alt-F12 следует показывать меню,
    содержащее список всех доступных языков (набор доступных языков
    определяется путем поиска файлов ресурсов в каталогах DN и %DNDLG%). Это
    удобно, если в системе установлено более двух языков. Значение 0 (по
    умолчанию) означает, что при выборе указанной команды или нажатии Alt-F12
    следует автоматически переключаться по кругу на следующий доступный язык
    после текущего


   Версия 1.51.03
  ---------------------------------------------------------------------

[+] Большая часть модулей размещена в оверлее, что высвобождает значительный
    объем нижней оперативной памяти

[-] Исправлен русскоязычный ресурс: не всегда работал вызов терминала
    по Ctrl-J

[+] Список авторов в окне About после нажатия Alt-I можно прокручивать
    стрелками вверх и вниз

[+] К дате, показываемой на месте часов при удерживании Ctrl, добавлен день
    недели

[*] В режиме SmallClock=1 часы теперь выравниваются по правому краю

[+] Параметры, определенные в DN.INI теперь вступают в силу немедленно после
    его сохранения

[*] Улучшена логика работы с символами табуляции в редакторе

[-] Архивы HPK не подсвечивались цветом для архивов

[*] Файлы с расширениями ACE, AIN, GZ, TAZ, TGZ, Z, $Z теперь подсвечиваются
    как архивы

[-] В русскоязычных ресурсах отсутствовала команда меню для настройки
    текущего архиватора

[-] Заголовки окон настройки некоторых архиваторов не соответствовали
    действительности

[*] Теперь все архиваторы перечислены в меню настройки в алфавитном порядке

[*] Архиватор CAB теперь доступен в окне архивации файлов (Shift-F1)

[*] Окно System Information теперь показывает более достоверные сведения о
    системе, включая точное определение типа процессора

[-] В чистом DOS вместо длинных имен файлов отображался мусор

[*] Изменены настройки по умолчанию для цветовых групп: в группу 2 добавлено
    CFG, а в группу 5 - JPE, PNG, TIF и TGA

[+] Новый параметр в DN.INI: CopyLimit8M = bool - включает восьмимегабайтное
    ограничение буфера копирования в Windows (секция [Kernel])

[*] Восьмимегабайтное ограничение буфера копирования теперь включается только
    в операционной системе Windows при CopyLimit8M=1 в секции [kernel] DN.INI

[*] Изменены настройки архиваторов по умолчанию: в ARJ, RAR и ChArc теперь
    сохраняются пустые каталоги, в ARJ установлен правильный ключ для
    максимальной компрессии, для TAR, HA, HPK удалены лишние ключи, для ZIP,
    LHA изменено сохранение структуры каталогов, для RAR, LIM добавлены ключи
    для регулировки степени компрессии, возвращено первоначальное имя
    архиватору ChArc

[-] Отладочный файл dnedit.dbg создавался даже при DebugMode=0

[+] Теперь можно входить в SFX-архивы с исполняемыми частями в форматах
    LX и PE

[-] Исправлена ошибка в алгоритме идентификации архива как TAR


   Версия 1.51.02
  ---------------------------------------------------------------------

[*] Внесены косметические правки в англо- и русскоязычные ресурсы

[-] Исправлена ошибка в диалоговом окне поиска текста

[*] Дата, вставляемая в записную книжку (SmartPad), теперь содержит четыре
    цифры для года

[-] Исправлено редактирование текстовых файлов, содержащих символы табуляции

[-] Исправлена работа с буфером обмена Windows (вслед за полезной информацией
    иногда копировался мусор)

[*] В заголовке окна Clipboard больше не показывается имя Untitled.TXT

[-] Исправлен диалог поиска в dbf-файле (поле подвинуто)


   Версия 1.51.01
  ---------------------------------------------------------------------

[!] Dos Navigator становится проектом Open Source (подробности в файле
    dnosp.txt)

[+] В Калькулятор добавлены функции arcsin(), arccos(), sec(), cosec()
    и факториал fact()

[-] Исправлена ошибка: при входе в каталог с именем AUTOEXEC.BAT
    выдавался запрос на запуск командного файла с таким именем

[-] Исправлена ошибка при работе с путями файлов в архиве

[*] Гудок после копирования теперь снова подается, только если операция
    копирования продолжалась больше 30 секунд (исчезло в 1.51)

[+] При сравнении директорий можно указать маску для файлов, входящих в
    рассмотрение

[-] Исправлена ошибка: если в файле была последовательность символов #00#09,
    она не сохранялась редактором

[-] Исправлена ошибка при отображении текстовых файлов UNIX (с переводом строк
    символом LF)

[+] Добавлена возможность переноса по словам в просмотре (Word Wrap)

[+] Окно просмотра можно увеличить до размеров экрана по горизонтали (при
    этом становятся не видны вертикальные линии рамки) нажатием Alt-Z

[+] Добавлена работа с архивами в формате Microsoft CAB (только распаковка,
    так как не известно какой-нибудь пакующей утилиты)

[+] Добавлен пункт меню "Показать текстовый буфер/Show Clipboard". Работает
    накопительно

[-] Исправлено копирование из Windows Clipboard

[+] Полная поддержка в редакторе трех кодировок: ASCII (866), ANSI (1251)
    и KOI8-R (сменяются по F8, печать теперь по Ctrl+F8)

[+] Настройка при помощи файла DN.INI (см. примечание)

[*] Позиционирование в Alt+0 либо на предыдущее окно (Z-order) или
    на предыдущее окно редактора (флажки WinManagerSelectNext и
    WinManagerPosToEdit, соответственно)

[*] Перемещение по кнопкам в диалогах стрелками

[-] Проверка переполнения длины строки при поиске файлов

[+] Отображение длинных имен файлов в нижней части файловой панели

[*] Прокрутка списка доступных дисков в меню выбора диска по Alt-F1/Alt-F2

[*] Можно включить вертикальное центрирование меню выбора диска по
    Alt-F1/Alt-F2

[+] Переход на конец слова в редакторе: Ctrl+U

[+] Изменение регистра буквы в редакторе по Alt+/

[+] Alt+F12 - изменение языка между русским и английским для исправления
    ошибок набора в блоке

[+] Возможно задание редактору кодовой страницы для новых файлов

[+] Поиск парных begin/end, case/end, if/then, repeat/until

[+] Полоса быстрого доступа к закладкам в редакторе

[+] Отображение закладок в редакторе

[+] Перемещение по выделенным файлам в панели (Alt+Up/Alt+Down)

[+] Флажок AutoScopeDetect (см. примечание в DN.INI)

[+] Если в панели есть маска отличная от *.* и нет выделенных файлов
    то внизу светится маска (флажок ShowFileMask в DN.INI)

[+] Открывание файлов по Ctrl+Enter в редакторе - пути, по которым надо искать
    файлы лежат в DN.SPF. Если нажать Ctrl+Enter и фала dn.spf нет, то
    создается пустой настроечный файл с подробным описанием формата

[+] Редактирование файлов DN.INI и DN.SPF через меню Options

[*] Рисование линий с использованием правой клавиши Shift

[+] Поиск текста во всех кодировках

[+] Операция Redo в редакторе

[-] Исправлена ошибка: неправильно работал откат операций с вертикальным
    блоком

[-] Исправлено копирование

[*] Отображение при выборе диска сетевого пути, отображенного на каждую букву
    диска

[*] Можно заставить Smartpad при открытии не добавлять в текст дату и время

[*] К авто-скобкам добавлена поддержка ломаных скобок "<>"

Примечание: Описание параметров запуска Дос Навигатора (файл DN.INI)

  * bool - параметр может принимать значения: false/true, 0/1, no/yes
  * str  - строковый параметр
  * long - параметр типа longint

===========================================================================

 [Interface]

 CutDriveInfo = bool        - укорачивание описания драйвов в
                              выборе Alt+F1/F2
                              default: 1

 HideLocalCurDir = bool     - спрятать текущий каталог для локальных
                              дисков в выборе Alt+F1/F2
                              default: 0

 SmallClock = bool          - часы без секунд
                              default: 0

 HideNetworkCurDir          - спрятать текущий каталог для сетевых
                              дисков в выборе Alt+F1/F2
                              default: 1

 WinManagerSelectNext       - при выборе окна по Alt+0 выбирается
                              не текущее окно, а следующее по порядку
                              default: 1

===========================================================================

 [SmartPad]

 InsertDate = bool          - вставлять дату при открытии SmartPad-а
                              default: 1

===========================================================================

 [Kernel]

 AutoSave = bool            - пересохранять все параметры в DN.INI при
                              запуске
                              default: 1

 DebugMode = bool           - отладочный флаг
                              если включен, то:
                                1) при нажатии Ctrl+Enter в редакторе
                                   в каталоге Дос Навигатора создается
                                   файл SPF.DBG с перечнем всех каталогов,
                                   в которых производился последний поиск
                              default: 0

===========================================================================

 [Editor]

 UnlimitUnindent = bool     - поведение при сдвигании блока влево с
                              помощью Ctrl+K U (сдвиг пока все строки
                              могут сдвигаться или всегда)
                              default: 0

 Koi8rKeyMap = bool         - переключаться по F8 в из WIN в KOI раскладку
                              или сразу обратно в DOS
                              default: 1

 DrawRShift = bool          - переключение между рисованием одинарной и
                              двойной рамкой в редакторе по правому Shift
                              default: 1

 AutoScopeDetect = bool     - автоматическое определение области поиска
                              замены в редакторе: если есть выделение, то в
                              Selected text, иначе - Global
                              default: 1

 ShowBookmarks = bool       - отображать закладки в редакторе
                              default: 1

 FastBookmark = bool        - отображение полосы быстрого доступа к
                              закладкам внизу окна редактора
                              default: 1

 DefCodePage = str          - указание кодовой страницы для новых
                              файлов. Может иметь значения Dos, Win, Koi
                              default: Dos

 FastSearchDeep = long      - при поиске пар begin/end и т.д. может
                              происходить сбой при наличии комментариев,
                              содержащих ключевые слова (сбивается подсчет
                              пар ...). Для исключения неограниченного
                              поиска по файлу (очень долго ждать) предлагается
                              установить макс. глубину поиска (около 300 стр)
                              default: 0 - не ограниченный поиск

 WinManagerPosToEdit = bool - при нажатии Alt+0 если находимся в редакторе
                              то курсор встает на следующее окно редактора,
                              а не на любое окно
                              Примечание: Действие флага приоритетно, по
                              сравнению с WinManagerSelectNext
                              default: 1

===========================================================================

 [FilePanels]

 ShowFileMask = bool        - отображать маску файлов, отличную от *.*
                              default: 1

 ShowLongName = bool        - не используется, заменен настройкой панели
                              "Длинное имя внизу"

===========================================================================

 [NetInfo]

 NoLevelsInfo = bool        - не отображать в сетевой информации SFT/TTS Lev.
                              default: 0

===========================================================================

 [Clipboard]

 SaveClipboardOnExit= bool - хранить ли Clipboard между запусками,
                             default: 1

 MaxClipboardSize = long   - максимальный накапливаемый размер Clipboard.
                             default: 4096

===========================================================================


   Версия 1.51
  ─────────────────────────────────────────────────────────────────────

[!] Dos Navigator становится бесплатной программой.


   Версия 1.50 Build 002: отличия от Build 000
  ─────────────────────────────────────────────────────────────────────

[-] Исправлена ошибка функции UUDecoder, приводившия к повреждению файла
    конфигурации при выборе количества строк секции, отличного от 100.

[-] Исправлена ошибка, приводившая к добавлению пустых строк в файлы
    описаний.


   Версия 1.50: отличия от 1.42
  ─────────────────────────────────────────────────────────────────────

   Глобальные изменения
    ▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀

[!] Используется расширенная (AT) клавиатура, поэтому DN больше не работает
      на старых PC/XT-машинах.

[!] Код оптимизирован с использованием команд 286-го процессора, поэтому
      DN стал работать чуть быстрее, но не будет запускаться на компьютерах
      с прооцессором 8086.

   Новые "Горячие Клавиши"
    ▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀

[+] В справочнике появилась тема "Горячие Клавиши".

[*] Ctrl-K переключает режим показа описаний в файловой панели.
[*] Ctrl-Y переключает режим показа полной информации о файлах в панели.
[*] Alt-F11 запускает Navigator Link.
[*] Shift-F11 открывает Электронные Таблицы.
[*] Ctrl-F11 запускает Проигрыватель Компакт-Дисков.
[*] Alt-C в редакторе - 'Перейти к строке'.

[*] Быстрый переход опять работает в панели с деревом каталогов.

   UU Decode
    ▀▀▀▀▀▀▀▀▀

[+] Понимает LowNoizeUUE.

[+] Появилась возможность опционально сохранять неудачно декодированные файлы.

[-] Исправлена ошибка, приводящая к зависанию при попытке декодировать
      двоичный файл или однострочную секцию.

[-] Префикс 'table' распознается без ошибок.

   Визуализатор
    ▀▀▀▀▀▀▀▀▀▀▀▀

[+] Возможность редактирования полей DBF (по нажатию F4 над полем).

[*] Поле даты при просмотре DBF файлов показывается в соответствии с
    национальными установками

[*] Shift+F2 для записи изменений в режиме Hex

[-] При просмотре пустых DBF-файлов визуализатор не вываливается в режим
      дампа, а показыватет структуру базы.

[-] Исправлена ошибка, приводящая к зависанию системы при попытке просмотра
      файла, содержащего более 128 символов табуляции в строке.

[-] При повторном просмотре файла со включенной опцией 'Track Viewing History'
      на экране появлялся дамп памяти, если файл был уменьшен в размере со
      времени предыдущего просмотра.

[-] Исправлена ошибка, приводящая к зависанию системы при попытке прокрутить
      мышкой пустой файл.

[-] Исправлено изчезание последнего сивола в строках при просмотре UNIX-файлов.

[-] Некоторые ошибки при просмотре DBF файлов, которые были причинами
    Share Violation and "забывание" временных файлов в каталоге TEMP

[-] Ошибка переноса линий, если в переносимой строке содержались символы
    табуляции

   Редактор
    ▀▀▀▀▀▀▀▀

[!] Запрашивается подтверждение на перезапись файлов с атрибутом Read-Only.

[+] "Optimal Fill" в локальных настройках редактора.

[+] Возможность установить ширину табуляции

[*] Уже возможна запись больших блоков на диск

[*] Функция автоскобок работает только если курсор находится на проблеле
    или за концом редактируемой строки

[*] Alt-G - 'goto line number'.

[*] Увеличена скорость сортировки вертикальных блоков.

[-] Исправлены ошибки, приводившие к забиванию свободной оперативной памяти,
      и аварийному завершению программы в дальнейшем.

[-] Первая строка текстового файла терялась при загрузке в некорректном
      XMS/EMS окружении.

[-] Исправлен 'autowrap' - DeltaX теперь всегда соответствует левой границе.

[-] Исправлена ошибка, приводившая к игнорированию локальных и глобальных
      установок 'AutoWrap/AutoIndent'.

[-] Поправлен вызов 'Undo' из меню.

[-] Ввведены команды управления блоками:
       Режим      │ Ctrl-B V
       Выравнять  │ Ctrl-B J
       По правому │ Ctrl-B R
       По левому  │ Ctrl-B L
       По центру  │ Ctrl-B C
    (в предыдущих версиях по Ctrl-B всегда вызывалась таблица ASCII)

[-] Ошибка при перемещении блока внутри только что отредактированной
    строки

   Архивы
    ▀▀▀▀▀▀

[+] Размер элемента '..' соответствует сумме размеров всех файлов в текущем
       каталоге архива.

[*] Увеличена скорость чтения архивов.

[*] Тип архиватора теперь показывается в заголовке окна настройки
      ("Archiver Setup", Options|Archives).

[-] Нормально распознается содержимое многотомных ARJ-архивов.

[-] Исправлена ошибка в визуализаторе, из-за которой некоторые файлы
      ошибочно принимались за ARC/ZOO-архивы.

[-] TDR'ы, извлеченные из архивов, корректно удаляюся из temp-каталога и
      больше не засоряют его.

[-] "Options|Archives|Current archiver" вместо текущего всегда вызывал
      настройки архиватора ARJ.

[-] Нормально распознаются каталоги RAR-архивов с токой в конце имени
      ('DN.\*.*', созданный командой 'rar a -r dn dn.')

[-] Исправлена опция "Swap when unpack/del/test" в настройках архиватора.

[-] Включение QuickView при открытом архиве и последующее извлечение файла
      приводило к порче DSK-файла и зависанию системы.

[-] После извлечения файлов из архива дата элемента '..' становилась
      неопределенной.

[-] Исправлен подсчет коэффициента сжатия в панели просмотра архивов.

   File Manager / Panels & Drives
    ▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀

[+] File|Unpack diskette images (Ctrl-I) - распаковщик образов дискет.

[+] Появиласть возможность "Do not kill descriptions" (не удалять описания)
      из файлов типа "descript.ion" при операциях удаления/переноса.

[+] [Shift-Enter] работает в панелях 'TEMP/List' так же, как и в 'Find'.

[+] Теперь при сравнении файлов учитываются и секудны. Исправлена
      потенциальная ошибка пре переносе в 21'е столетие.

[+] Добавлена "горячая клавиша" Ctrl+R для перечитывания дерева каталогов

[+] Клавиша DEL в панели с деревом каталогов для удаления (если включена
    соответствующая опция)

[*] Новый принцип работы 'Advanced Filter' (Alt-Del).

[*] Функция 'All drives' при поиске файлов учитывает CD так же как и флоппи.

[*] При переносе имени каталога в командную строку (Ctrl+[Shift]+Enter)
      точка в конце имени больше не появляется.

[*] Окно истории каталогов теперь можно вызывать из панелей
      archive/find/temp.

[*] Уже возможно вызывать диалог смены каталога с деревом из любой
    файловой панели Поиска/Ветви/Архива/TEMP

[*] Уже нельзя "перетащить" мышью каталог и бросить его на самого себя
    (если подтверждение операций с мышью выключено)

[-] "Длинные описания" в инфо-панели изчезали при перечитывании (Ctrl-L),
      смене установок панели (Alt-K) или режима описаний (Ctrl-K).

[-] Длинные описания извлекаются не только из files.bbs, но и из файлов,
      описанных в Options|File Manager|Setup.

[-] "Файлменеджер" не работал с числами более 2^31.

[-] Окно вопроса о запуске "AUTOEXEC.BAT" не появляется в панели FileFind.

[-] DN не работал с файлами, содержащими в имени символы '%' - они
      трактовались как спецкоды.

[-] Исправлена внутрення ошибка, связанная с чтением пустых каталогов
      (например свежеформатированной дискеты), приводившая в некоторых
      особых случаях к сбоям м зависаниям системы.

[-] Исправлена ошибка при работе с памятью в диалоге дерева каталогов,
      возникавшая в некоторых случаях при смене каталога.

[-] Ошибка при "перетаскивании" файлов с именами  содержащими знак "~"

[-] При быстром переименовании файлов по Alt-F6 описания файлов не теряются
    (если был включен их показ)

[-] Ошибка, при которой после ошибки работы с диском возникали два курсора
    в файловом менеджере

[-] Описания каталогов теперь тоже переносятся

   Разное
    ▀▀▀▀▀▀

[+] Продолжительные по времени операции (загрузка файлов для редактирования,
      сканинирование дерева диска, ветвление и определение размера каталогов)
      можно прервать нажатием кнопки ESC.

[+] Сообщения о критических ошибках выдаются на национальном языке.

[+] Options|Configuration|Startup|TimeSlicing Options (настройки разделения
      времени под многозадачными средами)
      [ ] DOS Idle (Int28)     ─ периодически (обычно не реже 15 раз в
           секунду, а в моменты ожидания ввода намного чаще) вызывать
           DOS-функцию Int28. Этот метод использовался в предыдущих
           версиях DN.
      [ ] Sleep when inactive  ─ "засыпать" после пескольких секунд
           отсутствия ввода.

[+] Options|Configuration|System Setup|Options|Flush disk buffers.
      Если установлена, то после копирования/стирания файлов DN будет
      требовать сбросить на диск все буфера отложенной записи операционной
      системы.

[+] Options|Configuration|System Setup|Options|Advanced copy
      [ ] При выключенной опции DN не будет отводить EMS/XMS под
            буфера копирования файлов. Копирование будет производиться
            по одному файлу.

[+] Автоопределение надобности путей в диалоге создания списка файлов.
      Со включенной опцией, при каждом вызове диалога начальное состояние
      чекбокса "Store path names in list files" будет устанавлтваться
      автоматически. Считается, что пути нужны только в панелях Branch/Find/
      Temp. С выключенной опцией состояние чекбокса "Store path names" будет
      сохранено с момента последнего вызова окна.

[+] Screen Grabber обрабатывает нажатия клавиш PgUp/PgDn, Home/End и Ctrl.

[*] Символ ';' может использоваться в .MNU-файлах как индикатор начала строки
      комментария.

[*] Увеличена скорость копирования файлов.

[*] Если явно не указывать "Временный каталог" (Настройки|Конфигурация|
      Системные установки), его значение будет взято из переменной окружения
      %TEMP% (или %TMP%).

[*] Под буфер копирования отводится не более 8 Мб оперативной памяти.
      Это предотвращает излишний свопинг виртуальной памяти под многозадачными
      операционными системами.

[*] Результаты поиска файлов и каталоги архивов могут храниться в EMS/XMS.

[*] Чтобы обойти серьезную ошибку OS/2 Warp 4 (Merlin), связанную с крайне
      некорректной эмуляцией функции DOS 13h (удаление файлов через FCB),
      запретите расширенное копирование (Options|Configuration|System Setup|
      Options|Advanced copy) - это несколько замедлит процесс, зато
      предотвратит аварийные остановы операционной системы.

[*] Наличие VESA-BIOS проверяется непосредственно перед установкой
      расширенных видеорежимов. Теперь Windows 95 не переключает при загрузке
      окно с DN в режим Full-Screen.

[*] Проверка даты создания файлов в диалоге смены атрибутов.

[*] Часы правильно позиционируются при изменении видеорежима

[*] В диалоге форматирования дискет можно использовать все 11 символов
    для метки диска

[*] Окна прогресса формата и поиска файлов появляются в списке окон

[-] Исправлена ошибка с отображением процесса копирования больших файлов
      (>~30Mb)

[-] Увеличена скорость удаления файлов. До этого атрибут ReadOnly снимался
      даже при отсутствии в этом необходимости, а также принудительно
      сбрасывались буфера DOS.

[-] Значение выбора "Отключить XMS/EMS" (Настройки|Конфигурация|
    Системные установки) игнорировалось в предыдущих версиях Навигатора.

[-] Калькулятор теперь корректно возводит в степень.

[-] При перенаборе номера теперь используется значением из настроек модема

[-] Ошики с числами, начинающихся с '.' в калькуляторе и электронных таблицах

[-] Калькулятор теперь не приводит к аварийному завершению Навигатора
      при попытки передачи неверного аргумента (например "EXP(A)").

[-] Исправлены ошибки при освобождении памяти, занимаемой диалогом
      "Advanced Format".

[-] После работы с электронными таблицами файловая панель не перечитывалась.

[-] DN спрашивает подтрверждение на перезапись ReadOnly файлов. Ошибка
      в предыдущих версиях приводила к их перезаписи без всяких вопросов,
      в отличии от файлов без этого атрибута.

[-] Ширина кнопок в окнах сообщений соответствует их тексту. Это
      предотвращает вылезание текста за пределы кнопки в национальных
      версиях Навигатора.

[-] Окна "Reanimator" и "Environment editor" не перемещались по нажатию
      Ctrl-F5.

[-] В предыдущих версиях спецификаторы расширений "!\" and "!/"
      обрабатывались с потерей послендего символа имени файла.

[-] Если в предыдущих версиях ответить 'Cancel' на вопрос о сохранении
      модифицированного файла в редакторе перед запуском внешних программ,
      система зависала. Теперь эта ошибка исправлена.

[-] При недостаточном для размещения оверлеев количестве свободной EMS/XMS
      DN вываливался с фатальной ошибкой, вместо того чтобы читать их с
      диска.

[-] При изменении размеров окна терминала фон окрашивался неопределенным
      цветом.

[-] Переполнение Scrollback-буфера обрабатывалось некорректно и могло
      превести к сбоям системы.

[-] Значение строки "Printer Setup | Ending string" игнорировалось.

[-] Навигатор не мог именить описания в TDR-файлах с установленным
      атрибутом ReadOnly, который является стандартным для этого типа
      файлов.

[-] Исправлены ошибки с овобождением памяти при работе с TDR-файлами.

[-] Символ '~' в именах файлов не выводился в диалогах копирования.

   Navigator Link
    ▀▀▀▀▀▀▀▀▀▀▀▀▀▀

[+] Navigator Link позволяет осуществлять связь с удаленной машиной
    посредством обычной файловой панели - можно создавать/удалять директории,
    копировать, просматривать и стирать файлы.

    Navigator Link использует специальный коммуникационный протокол
    (разновидность протокола Niagara(tm)), оригинальной разработки фирмы RIT,
    обладающий следующими преимуществами:

    - поточный режим передачи блоков:
        Navigator Link выполняет функции server/slave в фоновом режиме и не
        требует выделенного процессорного времени. Link отлично работает
        через пакетные протоколы (ipx/spx, tcp/ip) и на нестандартном
        для коммуникаций оборудовании (параллельный порт) через интерфейс
        FOSSIL.
    - двунаправленный дуплексный режим:
        Обе машины, связанные через Navigator Link, имеют одинаковые права
        доступа и работают с дисками друг друга одновременно.
    - коррекция ошибок:
        Navigator Link использует двухуровневый режим выборочной перепосылки
        сбойных кадров, поэтому работает на линиях с высоким уровнем помех.
    - компрессия данных:
        Позволяет передавать текстовую информацию, документы и содержимое
        каталогов значительно быстрее, чем того позволяет реальная пропускная
        способность линии. Работает эффективнее, чем внутренние методы
        компрессии модемов.


   Версия 1.42: отличия от 1.41
  ─────────────────────────────────────────────────────────────────────

  Интерфейс
  ~~~~~~~~~
  [+] Ctrl-стрелки работают в строках текстового ввода
  [+] Ведется история редактирования и просмотра файлов
      (<Alt-PgUp> and <Alt-PgDn> соответственно)
  [+] Возможно перемещение только по выбранным элементах в списках
      истории (кроме истории строках текстового ввода)
  [*] Таблица ASCII снова вызывается по <Ctrl-P> (<Ctrl-B>) в
      строках текстового ввода

  Редактор
  ~~~~~~~~
  [-] Исправлена ошибка с поиском целых слов

  Менеджер файлов
  ~~~~~~~~~~~~~~~
  [+] Ctrl-Shift-Стрелки перемещаются по дискам независимо от состояния
      командной строки
  [+] A## and R## рассматриваются как архивы (# = 0,1,2,...,9)
  [+] при смене дисков по AltF1/2, если клавиша Shift нажата во время выбора
      диска, активизируется панель, для которой происходит смена устройства
  [+] Ведется история входа в подкаталоги (<Alt-BackSpace> для выбора
      каталога из истории для перехода)
  [+] Установка для перехода в верхний каталог по клавише <Backspace>
      (<Shift-Backspace> для смены каталога независимо от состояния
      командной строки)
  [*] Опять можно выбирать символ отметки
  [*] Описания файлов теперь копируются в уже существующие файлы описаний
  [*] Имена файлов в файлах описаний теперь сохраняются в верхнем регистре
  [-] При выборе файлов в Clipboard перед первым именем файла уже не
      ставится пробел
  [-] Переход из панели поиска по <Shift-Enter> не происходил правильно,
      если в соседней панели был архив

  Просмотр файлов
  ~~~~~~~~~~~~~~~
  [+] Возможность установки файла перевода по <Shift-F6>. Файлы *.XLT
      (расположенные в подкаталоге XLT) имеют следующую структуру:
        <байт1><переведенный байт1>..<байтN><переведенный байтN>
       пример:
        Если XLT файл содержит
           A!B!C! т.е. (hex dump): 41 21 42 21 43 21
        то при просмотре буквы A,B,C будут заменены символом "!"

  Терминал
  ~~~~~~~~
  [+] Возможность установки контроля данных и переполнения (flow
      control) для коммуникационного порта
  [-] некоторые ошибки при работе с терминалом (эмуляция ANSI,
      смена видеорежима)
  [-] ошибка работы буфера обратной прокрутки, вызывавшая его неработо-
      способность, дупликаты строк и просто подвисания системы

  Проигрыватель CD
  ~~~~~~~~~~~~~~~~
  [-] Опять возможно подключение внешнего микшера

  Эл. таблицы
  ~~~~~~~~~~~
  [-] Ошибка изменения формул при операциях удаления/добавления


   Версия 1.41: изменения по сравнению с версией 1.40
  ────────────────────────────────────────────────────

  [!] Существенных изменений в интерфейсе и функциях нет, версия является
      большей частью "работой над ошибками"

  Some details:
  ~~~~~~~~~~~~~
  [-] Ошибки с палитрой и миганием - зачастую действия не соответствовали
      установкам
  [-] Могли происходить зависания при дозвонке из тел. книги и последующем
      соединении
  [-] При сортироке по типу цвета выбирались случайным образом
  [-] Невозможно было установить файл помощи
  [-] Неправильно работало изменение регистра слов в вертикальном блоке
  [-] При работе с архиваторами без поддержки файловых списков, файлы
      для обработки в командной строке передавались без разделяющих пробелов
  [*] Усовершенствована работа автоматического выключения командной строки -
      при обратном переключении в менеджер файлов командная строка
      показывается только при наличии там набранного тескта
  [+] Возможность изменять имя файла не выходя из панели по [Alt-F6]
  [+] Возможность запоминания позиции окна визуализатора

  Build 002

  [-] Не работал вызов меню по [Alt-Enter]

  Build 003:

  [-] Ошибки, связанные с автоматическим скрыванием командной строки
  [-] Ошибка в редакторе, не позволяющая загружать файлы с символом
      CR (ASCII 13)
  [+] Команды ForceCR, ForceLF и ForceCRLF в файле DN.HGL для установки
      режима разделения строк


   Версия 1.40: изменения по сравнению с версией 1.39
  ────────────────────────────────────────────────────

  [!] Улучшена производительность системы в целом за счет оптимизации
      некоторых часто используемых алгоритмов
  [!] Исправлены ошибки, замеченные при использовании предыдущих версий

  Разное (интерфейс)
  ~~~~~~~~~~~~~~~~~~
  [+] Улучшена поддержка истории команд - теперь история не зависит от
      файла Рабочего Стола, а также появилась возможность сохранять строки,
      которые необходимы Вам, после перезапуска ДНа
  [+] При включении опции System Clipboard в System Setup Навигатором
      используется общий с Windows буфер.
  [+] Добавлены следующие опции в <Interface Setup>:
         [Command line autohide] для скрытия командной строки, когда
                                 активными являются редактор, визуализатор
                                 и т.п.
         [Block Insert cursor]   для большого курсора в режиме вставки
         [Store editor position] для сохранения последней позиции окна
                                 редактора (это полезно при открытии нового
                                 окна редактора)
  [+] Новый режим командной строки {C:\} - для подсчета времени выполнения
      команды
  [+] При помощи нажатия [Shift-Alt-/] можно изменить режим командной строки
      на предыдущий
  [+] Параметр '/C<filename>' для загрузки палитры из соответствующего файла
  [-] Ошибка с перемещениями корзиной для мусора при смене видеорежима
  [-] Ошибка с поддержкой VESA SVGA режимов
  [*] Подправлена отдача тиков под Windows
  [+] Введены локальные файлы для внешнего просмотра (DN.VWR),
      редактирования (DN.EDT), быстрого запуска (DN.XRN) и запуска файлов
      по расширениям (DN.EXT) для каждого каталога. Если нужный обработчик
      не найден в локальных файлах, он ищется в соответсвующем файле в
      каталоге DN.
  [+] Если удерживать Shift при выборе из меню пунктов Options|Extension file edit,
      Options|Quick Run file edit, Options|Editors, Options|Viewers,
      то на редактирование будет вызван локальный файл.

  Менеджер файлов
  ~~~~~~~~~~~~~~~
  [+] Увеличена скорость сортировки
  [+] Подсчет размера каталогов в архивах ARVID
  [+] Расширена возможность работы с  Bink Style outbound для узлов
      сети FidoNet
  [+] Увеличена скорость копирования
  [-] Ошибка с командой пропуска при копировании файлов

  Текстовый редактор
  ~~~~~~~~~~~~~~~~~~
  [+] Режим рисования линий [F4]
  [+] Комманда поиска назад [Alt-F7]
  [-] Перевод блока в верхний регистр неправильно выполнялся для первого
      и последнего слова в блоке
  [-] Некоторые неточности при Поиске/Замене
  [*] Подменю "Wizards" изменено на "Misc"

  Файловый визуализатор
  ~~~~~~~~~~~~~~~~~~~~~
  [+] Опция поиска назад
  [+] Команда поиска назад [Alt-F7]

  Терминал
  ~~~~~~~~
  [+] Поддержка FOSSIL и INT 14h
  [+] Буффер обратной прокрутки по [Alt-B] или [Shift-]
  [+] Опция "Connect sound", извлекающая из вашего компьютера звуки,
      призванные Вас разбудить, если произошло соединение при наборе
      из автонабирателя
  [+] Опция "Controls in capture", контролирующая появление управляющих
      ANSI и Avatar последовательностей в Capture файле (в котором собирается
      весь вывод модема)
  [-] Ошибка при чтении статуса модема, приводящая к потере байтов
  [-] Некоторые неточности в эмуляции ANSI
  [-] Ошибка с определением несущей при передаче
  [-] Не всегда срабатывал автоприем на Zmodem
  [-] Из эмуляций работали только ANSI+Avatar и TTY

  Восстановление файлов
  ~~~~~~~~~~~~~~~~~~~~~
  [+] Добавлена возможность записать просматриваемый восстанавливаемый
      файл при помощи команды Copy в диалоге просмотра.


  Версия 1.39 (4 октября 1995 г) - отличия от версии 1.38 Beta
 ───────────────────────────────────────────────────────────────────────

  [!] Оптимизирован алгоритм регистрации.

 Копирование
 ~~~~~~~~~~~
  [*] Оптимизирован алгоритм копирования.
      Увеличилась скорость копирования и переименования большой группы файлов.

 Редактор
 ~~~~~~~~
  [+] Добавлена работа с Windows Clipboard
      Ctrl-Q C - копировать блок в Windows Clipboard
      Ctrl-Q V - взять блок из Windows Clipboard

  [-] Иногда произвольно возникали пустые строки.
  [-] При Replace All происходило зацикливание, если строка New Text
      содержала в себе Text to find.

 Файловая панель
 ~~~~~~~~~~~~~~~
  [-] Tag Character теперь может быть прозрачным
      (для отметки Hidden и System файлов).
      При этом Advanced Filter работает нормально.

 Работа с архивами
 ~~~~~~~~~~~~~~~~~
  [*] Оптимизированы настройки Compression type для RAR.

 Общее
 ~~~~~
  [-] Direct Disk Access для дисководов не работал.


  Версия 1.38 Beta (1 августа 1995 г) - отличия от версии 1.37 Beta
 ───────────────────────────────────────────────────────────────────────

  [!] Новый CD-player
  [!] Исправлена ошибка в режимах Append/Overwrite, допущенная в v1.37 Beta

 Копирование
 ~~~~~~~~~~~
  [*] При копировании с CD-ROM'а у файлов сбрасывается атрибут Read-Only,
      если в Configuration|Drives access установлена опция
      [X] Clear Read-Only from CD
  [*] Установки диалога копирования не сохраняются в файле конфигурации.
  [*] File Split теперь можно производить не только на дискеты.
  [*] Если File Split производился в режиме 'Binary splitting only', то
      вместо операции Combine(которая несовместима с этим режимом) будет
      производиться операция копирования.

  [-] При копировании файла отрабатывается ситуация Access Denied
      (запрет доступа) к файлу назначения, причем в некоторых случаях
      операция копирования может быть разрешена и пользователь имеет
      возможность ее подтвердить или отменить.

 Утилиты
 ~~~~~~~
  [+] Новый CD-Player с возможностью выбора последовательности
      проигрывания треков и ведения базы названий дисков и треков на них
      с отображением что сейчас проигрывается. Исправлены мелкие
      ошибки с определением смены диска.
  [+] Поддержка UU кодирования/декодирования для текстов UNIX'овского типа
      <LF> - конец строки.

  [-] Не нужно нажимать [Esc] после Screen Grabber'а.
      После Screen Grabber'а окна распахивались на весь экран (Zoom).
  [-] Format: Информационное окно теперь убирается если при форматировании
      не было найдено системных файлов.
  [-] DBFView теперь нормально записывается в desktop файл.

 Редактор
 ~~~~~~~~
  [+] Теперь поддерживаются тексты, в которых строки оканчиваются не только
      парой символов <CR><LF>, но и отдельно <CR> или <LF>. При сохранении
      редактируемого текста окончания строк соответствуют исходному формату.
      Для новых текстов имеется опция
       Options|Configuration|Editor\Viewers|New editor
  [+] Добавлена возможность взаимного преобразования "строчных", "прописных"
       и "заглавных" букв не только в словах и строках, но и в блоках:
        Alt-[   - Перевод в "СТРОЧНЫЕ" буквы:
        Alt-]   - Перевод в "прописные" буквы:
        Alt-\   - Перевод в "Заглавные" буквы
  [+] Добавлены меню Block и Wizards

  [-] Не функционировали AutoBrackets в конце строки.
  [-] Не показывался результат последней операции замены в режиме
      Replace All с запросом.
  [-] Ctrl-Del не работало с _большими_ блоками

 Визуализатор (viewer)
 ~~~~~~~~~~~~~~~~~~~~~
  [+] При вводе строки для поиска оявилась кнопка <ASCII>

  [-] Исправлена ошибка при Шестнадцатеричном поиске
  [-] Исправлена ошибка скроллинга при помощи мыши индикатора ScrollBar'а
      на _больших_ файлах
  [-] Файлы .DBF, которые не являлись файлами баз данных не просматривались

 Общее
 ~~~~~
  [+] Если в качестве командного процессора установлен 4DOS.COM, то
      возможность формирования нескольких команд в одной строке при помощи
      '||' отключается. Вместо этого пользователи 4DOS могут использовать
      знак '^'
  [+] В Install DN можно выбирать другой Help language file.
  [+] В System Setup'е можно включить очистку буффера клавиатуры при
      возврате из запускаемых программ 'Clear keyboard buffer'.
  [+] В System Setup'е можно отключить использование VGA-палитры.

  [*] Изменены настройки System Setup.
      Опция 'Preserve directory' теперь называется 'Autochange directory'.
      Вместо 'Disable EMS/XMS usage' есть 'Use EMS/XMS'.
      Упразднены настройки Startup. Теперь они настраиваются в System Setup'е.
      Появились настройки Drives access... и Directories...
  [*] Test Direct Disk Access теперь не сохраняет изменения
      в файле конфигурации, а действует только на текущий сеанс работы.

  [-] Не функционировала Commands history при выключенной командной строке.
  [-] Неправильно переключался тип курсора мыши.
  [-] Комментарии из DN.XRN больше не копируются в *.bat
  [-] VGA-Palette на некоторых видеокартах(например TSENG) не работала.


  Версия 1.37 Beta (13 июля 1995 г) - отличия от версии 1.35
 ───────────────────────────────────────────────────────────

  [!] Больше не поддерживаются DEMO-ключи
  [!] Появилась поддержка .TDR'ов - оглавлений стримера Arvid
  [!] Добавлена возможность UU Encode/Decode
  [!] При сравнении директорий можно задавать режим 'Compare contents'
  [!] Возможность настройки VGA-палитры
  [!] Редактор умеет использовать EMS/XMS.
  [!] Совместимость с MS Windows (Win 3.x, Win'95, NT)
  [!] Исправлены многие неточности и неудобства в интерфейсе пользователя
  [!] PowerPack for Dos Navigator

 Файловая панель
 ~~~~~~~~~~~~~~~
  [+] Можно отмечать файлы [пробелом]
      Options|File Manager|Setup|[X] SPACE toggles selection
  [+] Можно Удалять файлы DEL'ом, а одиночный файл Shift-DEL'ом.
      Options|File Manager|Setup|[X] DEL erases file(s)
  [+] Выделенные файлы и директории теперь отмечаются не только цветом, но и
      специальным символом, который можно выбирать. Например: '√'
      Options|File Manager|Setup|Tag character
  [+] Появилась команда Panel|Directory Branch... [Ctrl-H]
  [+] В диалоге Directory tree для текущей директории выдаются ее полный путь и
      информация о количестве файлов в этой директории и их суммарный размер.
  [+] Появился автоповтор Ins (Под управлением OS/2 не работает).
  [+] Появилась команда Manager|Show\hide inactive panel [Ctrl-P]
  [+] Появилась команда File|Edit|Edit file description  [Alt-Ins].
  [+] Все директории в панели рисуются строчными буквами, а файлы прописными,
      согласно установкам в Configuration|Country support...
      (В информационной панели файлы и директории показываются в 'истинном'
      виде)
  [+] Можно задавать информационные поля, показываемые по Manager|Info
      Options|File Manager|Information panel...
  [+] Можно задавать тип левой панели нового менеджера
      Options|File Manager|New Manager defaults...
  [+] Можно удобно устанавливать фильтр имен файлов в файловой панели при
      помощи Panel|Advanced filter...  [(Shift)Alt-Del]
  [+] Добавлена проверка типов носителей: Hard Drive, Floppy, CD-ROM, Subst,
      Network drive, etc.
  [+] Для отметки файлов можно пользоваться следующими комбинациями клавиш:
      <Shift> <+>  - выделение группы файлов по расширениям, отличным от
                      введенного (работает только для файлов);
      <Shift> <->  - развыделение группы файлов по расширениям, отличным от
                      введенного (работает только для файлов);
        <ALT> <+>  - выделение файлов и директорий с тем же именем, что и у
                      текущего файла, на который указывает полоска-курсор;
        <ALT> <->  - развыделение файлов и директорий с тем же именем, что и
                      у текущего файла, на который указывает полоска-курсор;
  <ALT-Shift> <+>  - выделение файлов и директорий с именем, отличным от
                      имени текущего файла;
  <ALT-Shift> <->  - развыделение файлов и директорий с именем, отличным от
                      имени текущего файла;
  [+] В Directory Tree теперь поддерживаются Quick Dirs и переключение дисков
      через DriveLine.
  [+] При сравнении директорий можно задавать режим 'Compare contents'. Кроме
      того, сама команда 'Compare directories' теперь вызывается по [Ctrl-C].
      Параметры сравнения сохраняются в файле конфигурации.
  [+] Установки диалога копирования и поиска файлов сохраняются в файле
      конфигурации.

  [-] При поиске по [CAPS+Char] не очищался CapsLock.
  [-] При перемещении имени файла Drag-and-Drop'ом на самого себя - это
      перемещение ингорируется.
  [-] При изменении видеорежима не сохранялось положение разделителя правой и
      левой панели менеджера.
  [-] Исправлен incremental search в файловой панели при открытой колонке
      Description.
  [-] При просмотре экрана пользователя показывались часы и CD-player.

 Утилиты
 ~~~~~~~
  [+] Появилась поддержка .TDR'ов - оглавлений стримера Arvid с возможностью
      поиска по различным TDR'ам и по description'ам.
  [+] Добавлена возможность UU Encode/Decode. Поддерживается директива
      filetime и считаются контрольные суммы(CheckSum).
      UU-Decoder умеет вытаскивать перемешанные секции разных файлов.
  [+] Двойной щелчек мышки по Trashcan'у вызывает Reanimator.
  [+] При нажатии на клавишу [Shift] или [Ctrl] часы показывают текущую дату.
  [+] При форматировании системной дискеты правильно копируется
      текущий комадный процессор и создается на дискете config.sys
      с указанием имени этого командного процессора.
  [+] В телефонной книжке заработали кнопки из нижнего ряда.
      Добавлена кнопка <Dupe>.

  [*] В телефонной книжке группы и записи теперь организованы по принципу
      директорий и файлов. Выбор Enter'ом записи приводит к автоматическому
      запуску Автодозвона. Формат базы данных DN.PHN не изменился.
  [*] Reanimator. Был немного доработан интерфейс и ужесточены критерии
      прогноза восстановления директорий. _Ошибки_ при восстановлении
      директории происходили из-за того, что некоторые пользователи пытались
      восстанавливать их при 'average' прогнозе, хотя в документации
      предупреждается насчет возможных ошибок.
      Восстанавливать директории теперь можно только при 'Good' прогнозе.

  [-] Исправлены некоторые ошибки и неточности в интерфейсе форматировщика.
  [-] Исправлены некоторые ошибки в Calculator'е. Появились логические
      функции и функции отношений.
  [-] TrashCan больше не прячется под Файловыми Менеджерами и сохраняется в
      Desktop'е.
  [-] В телефонной книжке и при ручном вводе номера телефонов было выделено
      всего 20 символов под телефонный номер, поэтому 'длинные' междугородние
      номера не помещались. Теперь под номер выделено 100 символов.

 Редактор
 ~~~~~~~~
  [+] Теперь можно редактировать файлы _любого_ размера, если
      достаточно EMS/XMS памяти. Ограничено лишь количество строк <30,000
      Options|Configuration|Editor/Viewer...|Use XMS/EMS memory.
  [+] Можно задавать направление поиска Forward/Backward и
      начало поиска Entire scope/From cursor.
  [+] Появилась команда File|Save all - сохранение содержимого
      всех открытых редакторов. Соответственно, при запросе
      "File XXX was modified. Save?" появилась кнопка <All>.
  [+] Появился режим
      Options|Configuration|Editor/Viewer...|[ ] Cursor through tabs.
      Соответственно можно указывать TabSize(Шаг табуляции).

  [*] Если опция [X] Internal Editor в  Options|Configuration|Editor/Viewer...
      установлена, то функции клавиш [F4] и [Alt-F4] меняются местами.
  [*] Новая линейка, которая вызывается нажатием правой
      кнопки мыши. Цвета десятков и единиц настраиваютя отдельно.
  [*] AutoBrackets работают только тогда, когда следующий за
      курсором символ не является буквой или цифрой.
  [*] При редактировании текстов и описаний файлов(descriptions) теперь
      сохраняются атрибуты файла до редактирования
      (дата и время, разумеется, изменяются)

  [-] При 'Replace All' сначала производится замена, а потом уже
      показывается результат.
  [-] При перезапуске иногда не сохранялись некоторое опции редактирования.

 Визуализатор (viewer)
 ~~~~~~~~~~~~~~~~~~~~~
  [+] Появился режим поиска 'Whole words only'
  [+] Теперь можно перемещать мышью указатель ScrollBar'а.

  [*] При редактировании сохраняются атрибуты файла до редактирования
      (дата и время изменяются)

  [-] Исправлена ошибка с Sharing Violation при Quick View.

 Копирование
 ~~~~~~~~~~~
  [+] Теперь можно запретить запрос директории назначения при перетаскивании
      файлов при помощи Drag-and-drop, причем копирование в пределах одной
      директории игнорируется. Options|Configuration|Confirmations...
                                 [X] Drag-and-drop destination.
  [+] При копирования с CD-ROM'а у файлов сбрасывается атрибут Read-Only.

  [-] При запущенной программе Append происходило перенаправление копируемых
      файлов из назначенных директорий в директории, указанные Append'у,
      если файлы с аналогичными именами уже существовали в этих директориях.
      Соответственно, ничего нельзя было скопировать ИЗ этих директорий.
      Особенно гибельно это сказывалось на пользователях OS/2.
  [-] Можно перемещать файлы по сети (Novell Netware) c установленным
      атрибутом Read-Only.

 Настройка цветов
 ~~~~~~~~~~~~~~~~
  [+] Добавлена настройка VGA-palette и сохранение ее в .PAL
      Использовать собственную VGA-palette можно и в Dos Navigator'е
      и во всех приложениях, запущенных после Dos Navigator'а
      Options|Configuration|Startup...|[X] Restore VGA palette...
  [+] В настройке цветов появилась возможность удобно настраивать цвета для
      черно-белых и монохромных мониторов и сохранять их в файле конфигурации.
  [+] Появилась возможность использовать 'фабричные' Color\BW\Mono палитры,
      которые хранятся не в .PAL (внешние палитры), а в самой программе.
      Options|Colors...|Default color scheme
  [+] Для настройки VGA-цветов на черно-белых и монохромных мониторах
      запрещается смешивание цветов RGB палитры.
  [+] Для различных манипуляций с палитрами есть программа DNPAL.EXE, которая
      входит в состав PowerPack for DN.

  [*] Поправлены многие цветовые настройки. Теперь цвета многих элементов
      настраиваются в Options|Colors...
  [*] Опция 'Enable blinking' (моргание) теперь устанавливается в диалоге
      настройки цветов 'Colors'. Ее значение сохраняется вместе с палитрой.
      Таким образом теперь можно использовать 'моргающие' цвета.
      При запуске программ и при просмотре User Screen(экрана пользователя)
      восстанавливается текущий режим Blinking, установленный в Dos.
  [*] Внешние палитры теперь хранятся в директории COLORS\

  [-] Теперь при настройке цветов можно использовать цвет 'черное на черном'.

 Работа с архивами
 ~~~~~~~~~~~~~~~~~
  [*] При архивировании файлов, если архивируется один файл, то имя архива
      по-умолчанию совпадает с именем архивируемого файла, а если архивируются
      несколько файлов, то имя архива по-умолчанию совпадает с именем текущего
      каталога.

  [-] Исправлена ошибка при чтении архивов .LHA, .ICE, .LZH
  [-] Исправлена ошибка при создании архивов .ARJ

 Общее
 ~~~~~
  [+] Введена поддержка быстрого запуска внешних приложений. Структрура,
      описывающая соответствующие .BAT или .CMD файлы, хранится в файле
      DN.XRN, который должен находится в системной директории Dos Navigator'а.
      Редактирование этого файла Options|Quick run file edit...
  [+] Разработан PowerPack - дополнение для Dos Navigator Shareware,
      которое поставляется отдельно.
      (см. DN.DOC)
  [+] Добавлена возможность установки размера буффера оверлея для оптимизации
      распределения conventional памяти:
      Options|Configuration|Startup...|Overlay buffer size
  [+] Если DN обнаруживает что он запущен из под Windows 3.x , то режим
      'fast command execution' отключается автоматически.
  [+] Для пользователей OS/2 при переключении системного приглашения
      (command prompt) добавлен режим для индикации запуска команд в
      OS/2-windowed сессии. Переключение режимов: DOS, OS/2-FS, OS/2-Windowed
       осуществляется при помощи [Alt-/].
      Вид системного приглашения для каждого режима задается в DNL-ресурсе,
      который входит в состав PowerPack.
  [+] Появилась опция Options|Configuration|Startup|Exit on inactivity hour.
  [+] Появилась команда File|Execute DOS command...  [Alt-F6]
  [+] В строках ввода теперь можно вводить символы #10..#31.
      Там же по [Ctrl+B] или по [Ctrl+P] вызывается таблица ASCII для более
      удобного ввода.
  [+] Улучшена совместимость с MS Windows. Теперь SysInfo определяет тип
      Windows (Win 3.x, Win'95, NT) и Dos Navigator правильно отдает ей
      TimeSlice'ы.
  [+] Сделано автоматическое отключение Direct Disk Access под OS/2 и Windows,
      а также на Network, Subst,  CD-ROM, DoubleSpace, Stacker и т.д.
      Options|Configuration|System Setup...|[X] Test Direct Disk Access.
  [+] [Shift+Ctrl+Ins]  -  поместить содержимое командной строки в Clipboard
  [+] Во всех списках, где фигурируют имена файлов (Input File Name,
      Reanimator) теперь поддерживается выбор мышью и incremental file
      search
  [+] В System Setup теперь для каждого диска можно установить флаг
      Verify writes

  [*] Улучшена программа инсталляции.
  [*] Теперь в System setup параметры 'Disable XMS usage' и
      'Disable EMS usage' настраиваются отдельно.
  [*] Упорядочены многие опции, диалоги и меню настройки...
  [*] Теперь в качестве разделителя команд DOS в командной строке
      вместо символа ';' (точка с запятой) используется пара символов '||'.
      Таким образом, возможно задание группы команд для пакетной обработки
      (в виде .BAT-файла).
  [*] Внешние  ScreenSaver'ы теперь хранятся в директории SSAVERS\
      Теперь в качестве ScreenSaver'ов наряду с .SS могут выступать обычные
      .COM и .EXE файлы.

  [-] При переключении видеорежима часы перемещались в правый верхний угол.
  [-] При запуске внешних редакторов прятался экранный курсор в запускаемой
      программе.
  [-] Исправлена ошибка, из-за которой иногда не удавалось зарегистрировать
      DN на сетевых или HPFS386 дисках.
  [-] Часто не освобождалась Conventional и Extended память, из-за чего после
      нескольких часов не хватало памяти и происходил сбой по Exeption.
  [-] Иногда самопроизвольно _портился_ desktop.
  [-] При достижении номера временного .BAT-файла для запуска элементов
      меню пользователя трехзначного номера - получалось $$dn100$$.bat - 9
      символов в имени файла, поэтому такие .BAT-файлы не запускались.
  [-] Исправлен запуск файлов по расширению. Раньше обрабатывались только
      3-х символьные расширения. Теперь можно задавать любые и даже файлы
      без расширения.


  Версия 1.35 Shareware (1 февраля 1995 г) - отличия от версии 1.33
 ───────────────────────────────────────────────────────────────────

Исправлено множество больших и маленьких ошибок, нет особого смысла
перечислять все, а по сему приведены только основные изменения:

 Общее
 ~~~~~
  [+] Программа инсталляции.
  [+] Добавлена возможность загрузки оверлеев в XMS/EMS (Startup)
  [+] Проигрыватель компакт-дисков (CD Player).
  [+] Просмотр/редактирование DOS environment.
  [+] Если в памяти находится копия DN, при запуске выдается сообщение об этом.
  [*] Создается файл DN.FLG для работы в многозадачной системе.
  [+] Автоматически поисходит увеличение FILES, если их меньше 20
  [+] Очистка буфера клавиатура после выхода из внешних задач.
  [+] Если нужно исключить из фильтра какую-либо маску, можно задать в
      _конце_ фильтра -маска. Например: *.*;-*.bak
  [+] Возможно работать без командной строки (для интерфейса типа XTree)
  [+] Расширен запуск пакета команд из командной строки - параметр %1
      означает имя текущего файла в активной панели файл-менеджера.
  [+] Добавлена установка 'Preserve directory' в диалоге Startup для
      перехода в последний активный каталог активной панели.

 Копирование
 ~~~~~~~~~~~
  [*] Очень надеемся, что исправлены все ужасающие ошибки в этой части DN.
  [+] Если копирование длилось более 30 сек, то после него можно услышать
      сигнал (установка 'Beep after copy' в Options|Configuration|Interface)
  [*] Каталоги при копировании/переносе сохраняют свои атрибуты.

 Редактор
 ~~~~~~~~
  [+] Постоянные блоки (т.е. они не убираются при обычном перемещении курсора).
  [+] Режим перезаписи блоков (только для непостоянных блоков)
  [+] Функция автодобавления скобок (AutoBrackets)
  [+] Возможности различных подсветок в зависимости от спецификации
      редактируемого файла.
  [+] Макросы редактора, набор которых также может зависеть от
      спецификации редактируемого файла (См. DN.HGL). Вызов макросов по
      Ctrl-J+n
  [+] Добавлены команды:
         Отметка слова           - Ctrl+K T
         Отметка текущей строки  - Ctrl+K L
         Копирование блока       - Ctrl+K C
         Переместить блок        - Ctrl+K V
         Удалить блок            - Ctrl+K Y
         Скрыть/показать блок    - Ctrl+K H
         Печать блока            - Ctrl+K P
         Переход на начало блока - Ctrl+Q B
         Переход на начало блока - Ctrl+Q K
         Выход в меню            - Ctrl+K Q

 Визуализатор (viewer)
 ~~~~~~~~~~~~~~~~~~~~~
  [+] Dump режим для отображения файла в виде сплошного потока символов.
  [+] Переключаемый фильтр для отображаемых символов.
      Возможные интервалы для кодов: 0-255 (по умолчанию), 32-127(ASCII),
      32-255 (Расширенный ASCII). Переключение интервалов фильтрации - F6 .
  [+] В HEX-режиме появилась линейка текущих смещений и возможность
      установить курсор на определенное смещение от начала файла (F5).
  [-] Исправлены ошибки позиционирования курсора при поиске в HEX режиме.

 Менеджер файлов
 ~~~~~~~~~~~~~~~
  [+] Возможность создания нескольких каталогов за одну операцию -
      используйте ';' в качестве разделителя.
      Например: MkDir 1;2;3;4;5 создаст пять соответствующих подкаталогов в
      текущем каталоге.
  [+] Нажатие Shift-Enter на панели найденных влечет за собой переход на
      выбранный файл в соседней панели (т.е. список найденных файлов остается).
  [+] F3 на каталоге = [ALT][G]
  [+] F4 на каталоге = [ALT][E]
  [+] Добавлено отображение текущего каталога в диалоге с деревом каталогов.
  [+] Различие клавиш Ctrl (см. Options|Configuration|Interface):
      при удержании левой клавиши Ctrl и перемещения стрелок вправо/влево
      активизируется Drive Line левой панели, аналогично для правой клавиши
      и правой панели.
  [+] Различие клавиш Alt - аналогично различию Ctrl, только для быстрой смены
      каталогов (Alt-n)
  [+] Если в панели не установлен показ информации о выбранных файлов, но
      файлы отмечены, то эта информация замещает информацию о текущем файле
      (т.е. что-то похожее на NC)
  [+] Расширен синтаксис команды создания списка файлов: добавлены макросы
      '!:' для имени диска и '!/' для имени каталога без обратного слэша.
      Также возможно задание нескольких команд при помощи ';' (например
      print !.!;del !.!;pause). Для задания символа ';' нужно использовать
      ';;'.
  [+] Работа с DirInfo (файл с информацией о каталоге) в панели информации.

 Point-and-shoot (запуск по расширениям)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  [+] Возможна установка запуска одного командного блока для нескольких
      расширений. Например: pcx,bmp,tif{win !.!}
  [+] Для задания в команде DOS ] следует использовать ]] (внутри командного
      блока), }} для }, )) для )


  Версия 1.33 Shareware (31 октября 1994 г) - отличия от версии 1.32
 ───────────────────────────────────────────────────────────────────

1. Теперь есть возможность Rename при Copy/Move одноименных файлов.
2. В диалоге копирования появились новые опции Recurse directories,
   Remove source files - Это, в частности, удобно при удалении с TEMP:
   устройства.
3. В окне копирования теперь ведется раздельная статистика в процентах
   по Read и Write.
4. ПОЛНОСТЬЮ переписаны алгоритмы Copy/Move. Надеемся, что теперь они
   будут глючить заметно меньше ;)
5. В терминале исправлен Grab (Ctrl-Ins, Shift-Ins).
6. Исправлен  автодозвон.
7. Исправлен курсор в Disk Editor'е .
8. Раньше  в  архиве при нажатии  Alt-(1-9),  вываливался  из  архива,
   а в нужную директорию не попадал .
9. Находясь в  архиве на дискете, можно поменять ее и нажать Alt(Ctrl)-R.
10.Поправлен Country support.
11.Поправлен текстовый редактор:
   появилась команда F4 - размножение текущей строки.
12.Исправлен запуск файлов по расширению. Раньше обрабатывались только
   3-х символьные расширения. Теперь можно задавать любые и даже файлы
   без расширения.
13.Убраны некоторые баги при работе с пользовательским меню, в частности,
   при вызове InputBox'а для ввода данных.
14.Теперь в Command Line ^V переключает режим Insert/Overstrike.
15.Нажатие ^Del в File Panel приводит к тому, что выделенные файлы
   удаляются из списка на экране без физического уничтожения.
16.Вход в поддиректории на TEMP: или в FIND: в режиме "Enter opens directory"
   осуществляется по ^PgDn.
17.Уже возмжно возведение в степень в калькуляторе.
18.Убрана поддержка FOSSIL'а в терминале - смотри Communication Dialog,
   зато добавлена возможность вручную установить IRQ и Port.
19.Исправлен ZModem в терминале - уже работает докачка файлов.
20.При наличии знака '$' в командной строке, строка уже не обрубается при
   запуске.
21.Исправлен File Search.


  Версия 1.32 Shareware (4 июня 1994 г) - отличия от версии 1.31
 ─────────────────────────────────────────────────────────────────

1. HPFS conflicts with Direct Disk Access bug - fixed
2. Added internal Screen Grabber to place grabbed images into Clipboard
   of SmartPad(TM). Instead of having all those loose bits of paper
   cluttering your desk, just pop up SmartPad(TM) anywhere in Dos Navigator
   with ALT-Q, make a few notes and then carry on with what you were doing.
3. Fixed bug with deleting directory from Tree Panel.
4. Removed separate Tree Window - Select Directory Dialog is called instead.
   After selecting File manager with Tree panel will be opened.
5. Terminal recompiled with new libraries - I hope that some bugs in the
   protocols were fixed, also Compuserve B+ protocol added.
6. History strings in Terminal added.
7. Terminal Screen Grabber added - (by Ctrl-Ins pressing) - you can place
   screen into String History or into SmartPad(TM) Clipboard.
8. Added FOSSIL support in terminal - see Communications Dialog.


  Версия 1.31 Shareware (19 июня 1994 г) - отличия от версии 1.30
 ─────────────────────────────────────────────────────────────────

1. Добавлена возможность быстрой смены текущего каталога по горячей клавише -
   Alt-n (n от 1 до 9). Для помещения текущего каталога в список каталогов
   для быстрой смены, нажмите Ctrl-Alt-Shift-n (1-9). Для получения
   списка используйте Alt-Shift-0.
2. Возможна смена каталога во время быстрого поиска в файловой панели -
   по нажатию "\" в конце набранного имени.
3. В редакторе:
    Ctrl-[ - перевод слова в верхний регистр (Ctrl-Shift-[ для всей строки)
    Ctrl-] - перевод слова в нижний регистр (Ctrl-Shift-] для всей строки)
    Ctrl-\ - перевод слова в нижний регистр с первой заглавной буквой
             (Ctrl-Shift-\ для всех слов строки)
4. В помощи добавлено описание горячих клавиш файловой панели.
5. Исправлены ошибки:
   - если диск A: не готов и A: активен, DN подвешивался.
   - при некоторой конфигурации DN было обращение к флоповодам при запуске.
   - DN не мог установить атрибуты на файлы с атрибутом read-only.
   - в архивах RAR 1.50 каталоги показывались как файлы.
   - при работе с пустыми каталогами в телефонной книжке DN вешался.
   - при смене позиции курсора в Memo поле была не соответсвующая информация.
   - Disk Format: при обнаружении bad sector сваливал (не должен был)
   - после форматирования на нестандартные форматы при наличии резидентных
     драйверов дискет дисковод становился недоступным.
6. Возможно использование переменных среды окружения DNCFG и DNDSK для
   задания имен для файлов конфигурации (DNxxxxxx.CFG) и desktop'а
   (DNxxxxxx.DSK). Например, строка
   SET DNCFG = _OS2
   будет предписывать DN использование в качестве фала конфигурации
   файл DN_OS2.CFG.
   Таким образом можно создавать различные конфигурации DN для разных
   пользователей и операционных систем.


  Версия 1.30 Shareware (1 июня 1994 г) - отличия от версии 1.25
 ────────────────────────────────────────────────────────────────

1. Изменен калькулятор. Кнопка "Copy" позволяет поместить результат вычислений
   в Clipboard в формате, указанном 'Copy as'.
   Для обозначения шестнадцатиричных, двоичных и восьмеричных констант
   возможно использование всех возможных обозначений, принятых в
   Assembler, С/С++, Turbo Pascal.
   Например:  0x23AF=$23AF=23AFh, 01234=1234o, 0b100101=100101b
2. Возможно поместить имена выбранных в панели файлов (записнные в одну
   строку) в Clipboard, нажав Ctrl+Ins.
   Также можно поместить содержимое Clipboard в командную строку.
3. Изменен алгоритм копирования. Сейчас DN использует всю доступную
   EMS/XMS память.
4. Возможно копирование в несуществующие каталоги - они будут создаваться
   автоматически. Таким же образом можно создавать новые каталоги,
   указывая, какие из них нужно создать "по дороге".
   Например: вы хотите скопироавть/распаковать файлы в каталог
   C:\MYDIR\MYSUBDIR1\MYSUBDIR2. Но каталог C:\MYDIR не существует
   (впрочем, как и его подкаталоги).
   Нет проблем - наберите C:\MYDIR\MYSUBDIR1\MYSUBDIR2\ в строке "Copy to"
   диалога копирования - вы получите желаемый результат.
5. Поддержка OS/2:
   ! Alt+'/' - переключение в режим командной строки OS/2. Все файлы (за
     исключением архиваторов и визуализаторов) и команды будут переданы
     командному интерпретатору OS/2, который указан переменной OS2COMSPEC.
6. Исправлены QuickView and Autochange Directory в файловой панели.
7. Изменен интерфейс с меню пользователя:
   ! Если файл с меню не найден в текущем каталоге, он будет искаться в
     выше лежащих каталогах.
   ! Возможен переключение между локальным и глобальным меню пользователя
   ! Возможен вызов редактрования меню пользователя после его вызова.
   ! Пустая линия после заголовка элемента меню подразумевает, что
     вместо элеметна меню будет разделитель.
   ! Изменены назначения макросов.
          ! - Имя текущего файла в активной файловой панели
          $ - Имя текущего файла в пассивной файловой панели
          .! - Расширение текущего файла в активной файловой панели
          .$ - Расширение текущего файла в пассивной файловой панели
          !\ - Имя каталога текущего файла в активной файловой панели
          $\ - Имя каталога текущего файла в пассивной файловой панели
          !/ - Имя каталога текущего файла в активной файловой панели (без "\" в конце)
          $/ - Имя каталога текущего файла в пассивной файловой панели (без "\" в конце)
          !: - Имя диска текущего файла в активной файловой панели
          $: - Имя диска текущего файла в пассивной файловой панели

          Возможно использование этих макросов и в названиях элементов меню.

          %1 - Имя списка выбранных файлов в активной панели
          %2 - Имя списка выбранных файлов в пассивной панели
          %3... - параметры пользователя
8. Файловый диалог в стиле Windows.
9. Поддержка TAR - архиватор для *NIX.
10. Добавлен "Refresh old files" radio button в диалог Copy/Move.
11. Работа с архивами:
     ! Функция копрования в архив "Copy to archive" - Shift-F1
     ! Функция распаковки архива (если это архив) по Shift-F2.
12. Работа с описаниями файлов: редактирование (по нажатию Alt-INS),
    копирование, перемещение (все это возможно тольков режиме показа
    описаний и только для регистрированных пользователей).
13. Добавлена поддержка архивов RAR 1.50
14. Текстовый редактор:
     ! сортировка строк по содержимому выделенного вертикального блока (Alt-T)
     ! возможен подсчет суммы чисел в выделенном вертикальном блоке
       и занесение ее в Clipboard (Alt-Ins)
15. Поиск файлов:
     ! Ускорен поиск по одинарной маске файла.
     ! Добавлен диалог "Advanced search" для задания временного интервала,
       размеров и требуемых атрибутов для искомых файлов.
       (Только для регистрированных пользователей)
16. Нажатие на правую кнопку мыши во время исполнения диалога аналогично
    нажатию на Enter.
17. Возможно чтение списка файлов из текстового файла, например, из файлов
    *.?lo, files.bbs (Alt-V в файловой панели).
18. Добавлена команда "View DN Team" (Alt-I) в диалоге About
19. Новый форматтер дисков. (Advanced options доступны только для
    регистрированных пользователей)
20. Для зарегистрированных пользователей стал доступен нижний ряд кнопок
    в телефонной книжке (алфавитный список, поиск, импорт телефонов).
